# arabic_billion_words

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/arabic_billion_words)
*   [Huggingface](https://huggingface.co/datasets/arabic_billion_words)


## Alittihad


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:arabic_billion_words/Alittihad')
```

*   **Description**:

```
Abu El-Khair Corpus is an Arabic text corpus, that includes more than five million newspaper articles.
It contains over a billion and a half words in total, out of which, there are about three million unique words.
The corpus is encoded with two types of encoding, namely: UTF-8, and Windows CP-1256.
Also it was marked with two mark-up languages, namely: SGML, and XML.
```

*   **License**: No known license
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 349342

*   **Features**:

```json
{
    "url": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "head_line": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "date": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "text": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    }
}
```



## Almasryalyoum


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:arabic_billion_words/Almasryalyoum')
```

*   **Description**:

```
Abu El-Khair Corpus is an Arabic text corpus, that includes more than five million newspaper articles.
It contains over a billion and a half words in total, out of which, there are about three million unique words.
The corpus is encoded with two types of encoding, namely: UTF-8, and Windows CP-1256.
Also it was marked with two mark-up languages, namely: SGML, and XML.
```

*   **License**: No known license
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 291723

*   **Features**:

```json
{
    "url": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "head_line": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "date": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "text": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    }
}
```



## Almustaqbal


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:arabic_billion_words/Almustaqbal')
```

*   **Description**:

```
Abu El-Khair Corpus is an Arabic text corpus, that includes more than five million newspaper articles.
It contains over a billion and a half words in total, out of which, there are about three million unique words.
The corpus is encoded with two types of encoding, namely: UTF-8, and Windows CP-1256.
Also it was marked with two mark-up languages, namely: SGML, and XML.
```

*   **License**: No known license
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 446873

*   **Features**:

```json
{
    "url": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "head_line": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "date": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "text": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    }
}
```



## Alqabas


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:arabic_billion_words/Alqabas')
```

*   **Description**:

```
Abu El-Khair Corpus is an Arabic text corpus, that includes more than five million newspaper articles.
It contains over a billion and a half words in total, out of which, there are about three million unique words.
The corpus is encoded with two types of encoding, namely: UTF-8, and Windows CP-1256.
Also it was marked with two mark-up languages, namely: SGML, and XML.
```

*   **License**: No known license
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 817274

*   **Features**:

```json
{
    "url": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "head_line": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "date": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "text": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    }
}
```



## Echoroukonline


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:arabic_billion_words/Echoroukonline')
```

*   **Description**:

```
Abu El-Khair Corpus is an Arabic text corpus, that includes more than five million newspaper articles.
It contains over a billion and a half words in total, out of which, there are about three million unique words.
The corpus is encoded with two types of encoding, namely: UTF-8, and Windows CP-1256.
Also it was marked with two mark-up languages, namely: SGML, and XML.
```

*   **License**: No known license
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 139732

*   **Features**:

```json
{
    "url": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "head_line": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "date": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "text": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    }
}
```



## Ryiadh


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:arabic_billion_words/Ryiadh')
```

*   **Description**:

```
Abu El-Khair Corpus is an Arabic text corpus, that includes more than five million newspaper articles.
It contains over a billion and a half words in total, out of which, there are about three million unique words.
The corpus is encoded with two types of encoding, namely: UTF-8, and Windows CP-1256.
Also it was marked with two mark-up languages, namely: SGML, and XML.
```

*   **License**: No known license
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 858188

*   **Features**:

```json
{
    "url": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "head_line": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "date": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "text": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    }
}
```



## Sabanews


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:arabic_billion_words/Sabanews')
```

*   **Description**:

```
Abu El-Khair Corpus is an Arabic text corpus, that includes more than five million newspaper articles.
It contains over a billion and a half words in total, out of which, there are about three million unique words.
The corpus is encoded with two types of encoding, namely: UTF-8, and Windows CP-1256.
Also it was marked with two mark-up languages, namely: SGML, and XML.
```

*   **License**: No known license
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 92149

*   **Features**:

```json
{
    "url": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "head_line": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "date": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "text": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    }
}
```



## SaudiYoum


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:arabic_billion_words/SaudiYoum')
```

*   **Description**:

```
Abu El-Khair Corpus is an Arabic text corpus, that includes more than five million newspaper articles.
It contains over a billion and a half words in total, out of which, there are about three million unique words.
The corpus is encoded with two types of encoding, namely: UTF-8, and Windows CP-1256.
Also it was marked with two mark-up languages, namely: SGML, and XML.
```

*   **License**: No known license
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 888068

*   **Features**:

```json
{
    "url": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "head_line": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "date": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "text": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    }
}
```



## Techreen


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:arabic_billion_words/Techreen')
```

*   **Description**:

```
Abu El-Khair Corpus is an Arabic text corpus, that includes more than five million newspaper articles.
It contains over a billion and a half words in total, out of which, there are about three million unique words.
The corpus is encoded with two types of encoding, namely: UTF-8, and Windows CP-1256.
Also it was marked with two mark-up languages, namely: SGML, and XML.
```

*   **License**: No known license
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 314597

*   **Features**:

```json
{
    "url": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "head_line": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "date": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "text": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    }
}
```



## Youm7


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:arabic_billion_words/Youm7')
```

*   **Description**:

```
Abu El-Khair Corpus is an Arabic text corpus, that includes more than five million newspaper articles.
It contains over a billion and a half words in total, out of which, there are about three million unique words.
The corpus is encoded with two types of encoding, namely: UTF-8, and Windows CP-1256.
Also it was marked with two mark-up languages, namely: SGML, and XML.
```

*   **License**: No known license
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 1172136

*   **Features**:

```json
{
    "url": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "head_line": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "date": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "text": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    }
}
```


