# autshumato

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/autshumato)
*   [Huggingface](https://huggingface.co/datasets/autshumato)


## autshumato-en-tn


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:autshumato/autshumato-en-tn')
```

*   **Description**:

```
Multilingual information access is stipulated in the South African constitution. In practise, this
is hampered by a lack of resources and capacity to perform the large volumes of translation
work required to realise multilingual information access. One of the aims of the Autshumato
project is to develop machine translation systems for three South African languages pairs.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 159000

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "en",
            "tn"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## autshumato-en-zu


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:autshumato/autshumato-en-zu')
```

*   **Description**:

```
Multilingual information access is stipulated in the South African constitution. In practise, this
is hampered by a lack of resources and capacity to perform the large volumes of translation
work required to realise multilingual information access. One of the aims of the Autshumato
project is to develop machine translation systems for three South African languages pairs.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 35489

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "en",
            "zu"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## autshumato-en-ts


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:autshumato/autshumato-en-ts')
```

*   **Description**:

```
Multilingual information access is stipulated in the South African constitution. In practise, this
is hampered by a lack of resources and capacity to perform the large volumes of translation
work required to realise multilingual information access. One of the aims of the Autshumato
project is to develop machine translation systems for three South African languages pairs.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 450000

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "en",
            "ts"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## autshumato-en-ts-manual


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:autshumato/autshumato-en-ts-manual')
```

*   **Description**:

```
Multilingual information access is stipulated in the South African constitution. In practise, this
is hampered by a lack of resources and capacity to perform the large volumes of translation
work required to realise multilingual information access. One of the aims of the Autshumato
project is to develop machine translation systems for three South African languages pairs.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 92396

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "en",
            "ts"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## autshumato-tn


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:autshumato/autshumato-tn')
```

*   **Description**:

```
Multilingual information access is stipulated in the South African constitution. In practise, this
is hampered by a lack of resources and capacity to perform the large volumes of translation
work required to realise multilingual information access. One of the aims of the Autshumato
project is to develop machine translation systems for three South African languages pairs.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 38206

*   **Features**:

```json
{
    "text": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    }
}
```



## autshumato-ts


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:autshumato/autshumato-ts')
```

*   **Description**:

```
Multilingual information access is stipulated in the South African constitution. In practise, this
is hampered by a lack of resources and capacity to perform the large volumes of translation
work required to realise multilingual information access. One of the aims of the Autshumato
project is to develop machine translation systems for three South African languages pairs.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 58398

*   **Features**:

```json
{
    "text": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    }
}
```


