# bible_para

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/bible_para)
*   [Huggingface](https://huggingface.co/datasets/bible_para)


## de-en


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:bible_para/de-en')
```

*   **Description**:

```
This is a multilingual parallel corpus created from translations of the Bible compiled by Christos Christodoulopoulos and Mark Steedman.

102 languages, 5,148 bitexts
total number of files: 107
total number of tokens: 56.43M
total number of sentence fragments: 2.84M
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 62195

*   **Features**:

```json
{
    "id": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "translation": {
        "languages": [
            "de",
            "en"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## en-fr


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:bible_para/en-fr')
```

*   **Description**:

```
This is a multilingual parallel corpus created from translations of the Bible compiled by Christos Christodoulopoulos and Mark Steedman.

102 languages, 5,148 bitexts
total number of files: 107
total number of tokens: 56.43M
total number of sentence fragments: 2.84M
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 62195

*   **Features**:

```json
{
    "id": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "translation": {
        "languages": [
            "en",
            "fr"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## en-es


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:bible_para/en-es')
```

*   **Description**:

```
This is a multilingual parallel corpus created from translations of the Bible compiled by Christos Christodoulopoulos and Mark Steedman.

102 languages, 5,148 bitexts
total number of files: 107
total number of tokens: 56.43M
total number of sentence fragments: 2.84M
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 62191

*   **Features**:

```json
{
    "id": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "translation": {
        "languages": [
            "en",
            "es"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## en-fi


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:bible_para/en-fi')
```

*   **Description**:

```
This is a multilingual parallel corpus created from translations of the Bible compiled by Christos Christodoulopoulos and Mark Steedman.

102 languages, 5,148 bitexts
total number of files: 107
total number of tokens: 56.43M
total number of sentence fragments: 2.84M
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 62026

*   **Features**:

```json
{
    "id": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "translation": {
        "languages": [
            "en",
            "fi"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## en-no


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:bible_para/en-no')
```

*   **Description**:

```
This is a multilingual parallel corpus created from translations of the Bible compiled by Christos Christodoulopoulos and Mark Steedman.

102 languages, 5,148 bitexts
total number of files: 107
total number of tokens: 56.43M
total number of sentence fragments: 2.84M
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 62107

*   **Features**:

```json
{
    "id": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "translation": {
        "languages": [
            "en",
            "no"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## en-hi


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:bible_para/en-hi')
```

*   **Description**:

```
This is a multilingual parallel corpus created from translations of the Bible compiled by Christos Christodoulopoulos and Mark Steedman.

102 languages, 5,148 bitexts
total number of files: 107
total number of tokens: 56.43M
total number of sentence fragments: 2.84M
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 62073

*   **Features**:

```json
{
    "id": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "translation": {
        "languages": [
            "en",
            "hi"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```


