# ecb

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/ecb)
*   [Huggingface](https://huggingface.co/datasets/ecb)


## de-fr


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:ecb/de-fr')
```

*   **Description**:

```
Original source: Website and documentatuion from the European Central Bank, compiled and made available by Alberto Simoes (thank you very much!)
19 languages, 170 bitexts
total number of files: 340
total number of tokens: 757.37M
total number of sentence fragments: 30.55M
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 105116

*   **Features**:

```json
{
    "id": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "translation": {
        "languages": [
            "de",
            "fr"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## cs-en


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:ecb/cs-en')
```

*   **Description**:

```
Original source: Website and documentatuion from the European Central Bank, compiled and made available by Alberto Simoes (thank you very much!)
19 languages, 170 bitexts
total number of files: 340
total number of tokens: 757.37M
total number of sentence fragments: 30.55M
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 63716

*   **Features**:

```json
{
    "id": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "translation": {
        "languages": [
            "cs",
            "en"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## el-it


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:ecb/el-it')
```

*   **Description**:

```
Original source: Website and documentatuion from the European Central Bank, compiled and made available by Alberto Simoes (thank you very much!)
19 languages, 170 bitexts
total number of files: 340
total number of tokens: 757.37M
total number of sentence fragments: 30.55M
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 94712

*   **Features**:

```json
{
    "id": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "translation": {
        "languages": [
            "el",
            "it"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## en-nl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:ecb/en-nl')
```

*   **Description**:

```
Original source: Website and documentatuion from the European Central Bank, compiled and made available by Alberto Simoes (thank you very much!)
19 languages, 170 bitexts
total number of files: 340
total number of tokens: 757.37M
total number of sentence fragments: 30.55M
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 126482

*   **Features**:

```json
{
    "id": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "translation": {
        "languages": [
            "en",
            "nl"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## fi-pl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:ecb/fi-pl')
```

*   **Description**:

```
Original source: Website and documentatuion from the European Central Bank, compiled and made available by Alberto Simoes (thank you very much!)
19 languages, 170 bitexts
total number of files: 340
total number of tokens: 757.37M
total number of sentence fragments: 30.55M
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 41686

*   **Features**:

```json
{
    "id": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "translation": {
        "languages": [
            "fi",
            "pl"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```


