# emea

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/emea)
*   [Huggingface](https://huggingface.co/datasets/emea)


## bg-el


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:emea/bg-el')
```

*   **Description**:

```
This is a parallel corpus made out of PDF documents from the European Medicines Agency. All files are automatically converted from PDF to plain text using pdftotext with the command line arguments -layout -nopgbrk -eol unix. There are some known problems with tables and multi-column layouts - some of them are fixed in the current version.

source: http://www.emea.europa.eu/

22 languages, 231 bitexts
total number of files: 41,957
total number of tokens: 311.65M
total number of sentence fragments: 26.51M
```

*   **License**: No known license
*   **Version**: 3.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 1044065

*   **Features**:

```json
{
    "id": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "translation": {
        "languages": [
            "bg",
            "el"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## cs-et


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:emea/cs-et')
```

*   **Description**:

```
This is a parallel corpus made out of PDF documents from the European Medicines Agency. All files are automatically converted from PDF to plain text using pdftotext with the command line arguments -layout -nopgbrk -eol unix. There are some known problems with tables and multi-column layouts - some of them are fixed in the current version.

source: http://www.emea.europa.eu/

22 languages, 231 bitexts
total number of files: 41,957
total number of tokens: 311.65M
total number of sentence fragments: 26.51M
```

*   **License**: No known license
*   **Version**: 3.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 1053164

*   **Features**:

```json
{
    "id": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "translation": {
        "languages": [
            "cs",
            "et"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## de-mt


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:emea/de-mt')
```

*   **Description**:

```
This is a parallel corpus made out of PDF documents from the European Medicines Agency. All files are automatically converted from PDF to plain text using pdftotext with the command line arguments -layout -nopgbrk -eol unix. There are some known problems with tables and multi-column layouts - some of them are fixed in the current version.

source: http://www.emea.europa.eu/

22 languages, 231 bitexts
total number of files: 41,957
total number of tokens: 311.65M
total number of sentence fragments: 26.51M
```

*   **License**: No known license
*   **Version**: 3.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 1000532

*   **Features**:

```json
{
    "id": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "translation": {
        "languages": [
            "de",
            "mt"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## fr-sk


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:emea/fr-sk')
```

*   **Description**:

```
This is a parallel corpus made out of PDF documents from the European Medicines Agency. All files are automatically converted from PDF to plain text using pdftotext with the command line arguments -layout -nopgbrk -eol unix. There are some known problems with tables and multi-column layouts - some of them are fixed in the current version.

source: http://www.emea.europa.eu/

22 languages, 231 bitexts
total number of files: 41,957
total number of tokens: 311.65M
total number of sentence fragments: 26.51M
```

*   **License**: No known license
*   **Version**: 3.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 1062753

*   **Features**:

```json
{
    "id": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "translation": {
        "languages": [
            "fr",
            "sk"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## es-lt


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:emea/es-lt')
```

*   **Description**:

```
This is a parallel corpus made out of PDF documents from the European Medicines Agency. All files are automatically converted from PDF to plain text using pdftotext with the command line arguments -layout -nopgbrk -eol unix. There are some known problems with tables and multi-column layouts - some of them are fixed in the current version.

source: http://www.emea.europa.eu/

22 languages, 231 bitexts
total number of files: 41,957
total number of tokens: 311.65M
total number of sentence fragments: 26.51M
```

*   **License**: No known license
*   **Version**: 3.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 1051370

*   **Features**:

```json
{
    "id": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "translation": {
        "languages": [
            "es",
            "lt"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```


