# europarl_bilingual

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/europarl_bilingual)
*   [Huggingface](https://huggingface.co/datasets/europarl_bilingual)


## bg-cs


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/bg-cs')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 402657

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "bg",
            "cs"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## bg-da


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/bg-da')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 393449

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "bg",
            "da"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## bg-de


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/bg-de')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 393298

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "bg",
            "de"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## bg-el


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/bg-el')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 377341

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "bg",
            "el"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## bg-en


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/bg-en')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 408290

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "bg",
            "en"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## bg-es


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/bg-es')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 388226

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "bg",
            "es"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## bg-et


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/bg-et')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 400712

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "bg",
            "et"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## bg-fi


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/bg-fi')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 396624

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "bg",
            "fi"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## bg-fr


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/bg-fr')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 393644

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "bg",
            "fr"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## bg-hu


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/bg-hu')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 382773

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "bg",
            "hu"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## bg-it


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/bg-it')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 377822

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "bg",
            "it"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## bg-lt


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/bg-lt')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 392554

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "bg",
            "lt"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## bg-lv


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/bg-lv')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 398355

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "bg",
            "lv"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## bg-nl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/bg-nl')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 388273

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "bg",
            "nl"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## bg-pl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/bg-pl')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 395269

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "bg",
            "pl"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## bg-pt


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/bg-pt')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 388972

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "bg",
            "pt"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## bg-ro


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/bg-ro')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 389381

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "bg",
            "ro"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## bg-sk


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/bg-sk')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 393815

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "bg",
            "sk"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## bg-sl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/bg-sl')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 380231

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "bg",
            "sl"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## bg-sv


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/bg-sv')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 398236

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "bg",
            "sv"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## cs-da


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/cs-da')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 618055

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "cs",
            "da"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## cs-de


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/cs-de')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 568589

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "cs",
            "de"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## cs-el


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/cs-el')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 599489

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "cs",
            "el"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## cs-en


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/cs-en')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 647095

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "cs",
            "en"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## cs-es


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/cs-es')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 619774

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "cs",
            "es"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## cs-et


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/cs-et')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 636512

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "cs",
            "et"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## cs-fi


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/cs-fi')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 619320

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "cs",
            "fi"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## cs-fr


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/cs-fr')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 628200

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "cs",
            "fr"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## cs-hu


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/cs-hu')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 616160

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "cs",
            "hu"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## cs-it


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/cs-it')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 607017

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "cs",
            "it"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## cs-lt


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/cs-lt')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 624292

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "cs",
            "lt"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## cs-lv


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/cs-lv')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 627873

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "cs",
            "lv"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## cs-nl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/cs-nl')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 618414

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "cs",
            "nl"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## cs-pl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/cs-pl')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 621387

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "cs",
            "pl"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## cs-pt


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/cs-pt')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 609729

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "cs",
            "pt"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## cs-ro


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/cs-ro')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 392085

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "cs",
            "ro"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## cs-sk


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/cs-sk')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 636128

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "cs",
            "sk"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## cs-sl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/cs-sl')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 611624

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "cs",
            "sl"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## cs-sv


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/cs-sv')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 631544

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "cs",
            "sv"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## da-de


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/da-de')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 1928414

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "da",
            "de"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## da-el


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/da-el')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 1280579

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "da",
            "el"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## da-en


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/da-en')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 1991647

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "da",
            "en"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## da-es


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/da-es')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 1943931

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "da",
            "es"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## da-et


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/da-et')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 635018

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "da",
            "et"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## da-fi


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/da-fi')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 1917260

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "da",
            "fi"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## da-fr


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/da-fr')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 1992590

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "da",
            "fr"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## da-hu


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/da-hu')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 617519

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "da",
            "hu"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## da-it


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/da-it')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 1876703

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "da",
            "it"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## da-lt


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/da-lt')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 614923

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "da",
            "lt"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## da-lv


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/da-lv')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 627809

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "da",
            "lv"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## da-nl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/da-nl')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 1987498

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "da",
            "nl"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## da-pl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/da-pl')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 642544

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "da",
            "pl"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## da-pt


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/da-pt')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 1930454

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "da",
            "pt"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## da-ro


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/da-ro')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 388156

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "da",
            "ro"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## da-sk


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/da-sk')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 621907

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "da",
            "sk"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## da-sl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/da-sl')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 595944

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "da",
            "sl"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## da-sv


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/da-sv')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 1871171

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "da",
            "sv"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## de-el


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/de-el')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 1223026

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "de",
            "el"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## de-en


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/de-en')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 1961119

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "de",
            "en"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## de-es


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/de-es')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 1887879

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "de",
            "es"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## de-et


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/de-et')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 578248

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "de",
            "et"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## de-fi


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/de-fi')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 1871185

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "de",
            "fi"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## de-fr


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/de-fr')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 1942666

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "de",
            "fr"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## de-hu


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/de-hu')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 563571

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "de",
            "hu"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## de-it


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/de-it')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 1832989

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "de",
            "it"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## de-lt


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/de-lt')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 565892

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "de",
            "lt"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## de-lv


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/de-lv')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 573226

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "de",
            "lv"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## de-nl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/de-nl')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 1934111

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "de",
            "nl"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## de-pl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/de-pl')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 579166

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "de",
            "pl"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## de-pt


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/de-pt')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 1884176

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "de",
            "pt"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## de-ro


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/de-ro')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 385663

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "de",
            "ro"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## de-sk


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/de-sk')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 569381

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "de",
            "sk"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## de-sl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/de-sl')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 546212

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "de",
            "sl"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## de-sv


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/de-sv')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 1842026

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "de",
            "sv"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## el-en


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/el-en')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 1292180

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "el",
            "en"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## el-es


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/el-es')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 1272383

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "el",
            "es"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## el-et


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/el-et')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 599915

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "el",
            "et"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## el-fi


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/el-fi')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 1227612

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "el",
            "fi"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## el-fr


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/el-fr')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 1290796

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "el",
            "fr"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## el-hu


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/el-hu')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 586250

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "el",
            "hu"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## el-it


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/el-it')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 1231222

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "el",
            "it"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## el-lt


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/el-lt')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 590850

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "el",
            "lt"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## el-lv


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/el-lv')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 596929

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "el",
            "lv"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## el-nl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/el-nl')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 1277297

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "el",
            "nl"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## el-pl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/el-pl')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 591069

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "el",
            "pl"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## el-pt


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/el-pt')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 1261188

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "el",
            "pt"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## el-ro


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/el-ro')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 372839

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "el",
            "ro"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## el-sk


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/el-sk')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 600684

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "el",
            "sk"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## el-sl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/el-sl')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 579109

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "el",
            "sl"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## el-sv


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/el-sv')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 1273743

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "el",
            "sv"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## en-es


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/en-es')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 2009073

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "en",
            "es"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## en-et


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/en-et')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 651236

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "en",
            "et"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## en-fi


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/en-fi')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 1969624

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "en",
            "fi"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## en-fr


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/en-fr')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 2051014

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "en",
            "fr"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## en-hu


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/en-hu')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 625178

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "en",
            "hu"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## en-it


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/en-it')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 1946253

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "en",
            "it"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## en-lt


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/en-lt')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 634284

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "en",
            "lt"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## en-lv


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/en-lv')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 639318

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "en",
            "lv"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## en-nl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/en-nl')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 2027447

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "en",
            "nl"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## en-pl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/en-pl')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 631160

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "en",
            "pl"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## en-pt


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/en-pt')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 2002943

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "en",
            "pt"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## en-ro


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/en-ro')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 400356

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "en",
            "ro"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## en-sk


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/en-sk')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 639958

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "en",
            "sk"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## en-sl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/en-sl')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 624803

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "en",
            "sl"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## en-sv


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/en-sv')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 1892723

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "en",
            "sv"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## es-et


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/es-et')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 618350

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "es",
            "et"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## es-fi


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/es-fi')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 1901596

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "es",
            "fi"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## es-fr


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/es-fr')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 1982990

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "es",
            "fr"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## es-hu


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/es-hu')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 604007

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "es",
            "hu"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## es-it


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/es-it')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 1880982

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "es",
            "it"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## es-lt


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/es-lt')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 611082

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "es",
            "lt"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## es-lv


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/es-lv')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 615496

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "es",
            "lv"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## es-nl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/es-nl')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 1954351

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "es",
            "nl"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## es-pl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/es-pl')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 609297

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "es",
            "pl"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## es-pt


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/es-pt')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 1933321

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "es",
            "pt"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## es-ro


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/es-ro')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 387653

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "es",
            "ro"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## es-sk


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/es-sk')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 619027

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "es",
            "sk"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## es-sl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/es-sl')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 599168

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "es",
            "sl"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## es-sv


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/es-sv')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 1826855

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "es",
            "sv"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## et-fi


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/et-fi')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 620939

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "et",
            "fi"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## et-fr


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/et-fr')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 630126

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "et",
            "fr"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## et-hu


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/et-hu')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 628044

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "et",
            "hu"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## et-it


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/et-it')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 607088

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "et",
            "it"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## et-lt


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/et-lt')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 622003

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "et",
            "lt"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## et-lv


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/et-lv')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 637468

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "et",
            "lv"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## et-nl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/et-nl')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 621150

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "et",
            "nl"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## et-pl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/et-pl')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 639046

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "et",
            "pl"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## et-pt


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/et-pt')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 616238

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "et",
            "pt"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## et-ro


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/et-ro')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 389087

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "et",
            "ro"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## et-sk


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/et-sk')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 634168

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "et",
            "sk"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## et-sl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/et-sl')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 609731

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "et",
            "sl"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## et-sv


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/et-sv')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 656646

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "et",
            "sv"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## fi-fr


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/fi-fr')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 1964126

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "fi",
            "fr"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## fi-hu


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/fi-hu')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 606348

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "fi",
            "hu"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## fi-it


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/fi-it')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 1845203

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "fi",
            "it"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## fi-lt


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/fi-lt')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 613113

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "fi",
            "lt"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## fi-lv


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/fi-lv')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 616816

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "fi",
            "lv"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## fi-nl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/fi-nl')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 1940808

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "fi",
            "nl"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## fi-pl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/fi-pl')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 612689

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "fi",
            "pl"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## fi-pt


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/fi-pt')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 1885062

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "fi",
            "pt"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## fi-ro


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/fi-ro')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 391430

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "fi",
            "ro"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## fi-sk


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/fi-sk')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 623686

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "fi",
            "sk"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## fi-sl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/fi-sl')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 596661

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "fi",
            "sl"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## fi-sv


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/fi-sv')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 1883314

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "fi",
            "sv"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## fr-hu


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/fr-hu')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 615791

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "fr",
            "hu"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## fr-it


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/fr-it')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 1943673

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "fr",
            "it"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## fr-lt


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/fr-lt')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 620660

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "fr",
            "lt"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## fr-lv


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/fr-lv')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 626280

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "fr",
            "lv"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## fr-nl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/fr-nl')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 2029551

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "fr",
            "nl"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## fr-pl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/fr-pl')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 621402

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "fr",
            "pl"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## fr-pt


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/fr-pt')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 1980132

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "fr",
            "pt"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## fr-ro


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/fr-ro')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 387846

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "fr",
            "ro"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## fr-sk


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/fr-sk')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 631846

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "fr",
            "sk"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## fr-sl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/fr-sl')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 606897

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "fr",
            "sl"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## fr-sv


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/fr-sv')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 1880390

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "fr",
            "sv"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## hu-it


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/hu-it')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 589563

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "hu",
            "it"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## hu-lt


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/hu-lt')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 610298

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "hu",
            "lt"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## hu-lv


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/hu-lv')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 621101

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "hu",
            "lv"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## hu-nl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/hu-nl')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 605806

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "hu",
            "nl"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## hu-pl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/hu-pl')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 621820

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "hu",
            "pl"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## hu-pt


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/hu-pt')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 599639

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "hu",
            "pt"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## hu-ro


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/hu-ro')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 377239

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "hu",
            "ro"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## hu-sk


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/hu-sk')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 618247

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "hu",
            "sk"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## hu-sl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/hu-sl')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 601671

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "hu",
            "sl"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## hu-sv


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/hu-sv')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 631872

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "hu",
            "sv"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## it-lt


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/it-lt')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 593003

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "it",
            "lt"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## it-lv


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/it-lv')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 599394

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "it",
            "lv"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## it-nl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/it-nl')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 1919855

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "it",
            "nl"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## it-pl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/it-pl')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 594472

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "it",
            "pl"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## it-pt


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/it-pt')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 1877432

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "it",
            "pt"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## it-ro


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/it-ro')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 367904

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "it",
            "ro"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## it-sk


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/it-sk')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 603467

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "it",
            "sk"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## it-sl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/it-sl')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 579968

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "it",
            "sl"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## it-sv


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/it-sv')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 1766096

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "it",
            "sv"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## lt-lv


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/lt-lv')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 621857

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "lt",
            "lv"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## lt-nl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/lt-nl')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 613308

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "lt",
            "nl"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## lt-pl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/lt-pl')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 617296

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "lt",
            "pl"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## lt-pt


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/lt-pt')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 603223

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "lt",
            "pt"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## lt-ro


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/lt-ro')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 384679

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "lt",
            "ro"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## lt-sk


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/lt-sk')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 622997

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "lt",
            "sk"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## lt-sl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/lt-sl')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 602442

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "lt",
            "sl"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## lt-sv


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/lt-sv')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 628817

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "lt",
            "sv"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## lv-nl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/lv-nl')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 618352

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "lv",
            "nl"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## lv-pl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/lv-pl')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 638453

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "lv",
            "pl"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## lv-pt


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/lv-pt')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 615580

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "lv",
            "pt"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## lv-ro


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/lv-ro')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 390857

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "lv",
            "ro"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## lv-sk


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/lv-sk')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 629803

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "lv",
            "sk"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## lv-sl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/lv-sl')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 607381

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "lv",
            "sl"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## lv-sv


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/lv-sv')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 643600

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "lv",
            "sv"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## nl-pl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/nl-pl')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 612797

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "nl",
            "pl"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## nl-pt


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/nl-pt')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 1957189

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "nl",
            "pt"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## nl-ro


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/nl-ro')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 380736

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "nl",
            "ro"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## nl-sk


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/nl-sk')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 622650

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "nl",
            "sk"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## nl-sl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/nl-sl')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 600023

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "nl",
            "sl"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## nl-sv


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/nl-sv')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 1870685

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "nl",
            "sv"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## pl-pt


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/pl-pt')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 608181

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "pl",
            "pt"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## pl-ro


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/pl-ro')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 389341

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "pl",
            "ro"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## pl-sk


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/pl-sk')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 624330

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "pl",
            "sk"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## pl-sl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/pl-sl')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 600511

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "pl",
            "sl"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## pl-sv


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/pl-sv')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 657951

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "pl",
            "sv"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## pt-ro


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/pt-ro')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 381404

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "pt",
            "ro"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## pt-sk


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/pt-sk')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 611895

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "pt",
            "sk"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## pt-sl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/pt-sl')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 593455

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "pt",
            "sl"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## pt-sv


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/pt-sv')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 1823402

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "pt",
            "sv"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## ro-sk


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/ro-sk')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 387839

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "ro",
            "sk"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## ro-sl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/ro-sl')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 374859

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "ro",
            "sl"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## ro-sv


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/ro-sv')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 390133

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "ro",
            "sv"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## sk-sl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/sk-sl')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 609698

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "sk",
            "sl"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## sk-sv


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/sk-sv')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 636353

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "sk",
            "sv"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## sl-sv


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:europarl_bilingual/sl-sv')
```

*   **Description**:

```
A parallel corpus extracted from the European Parliament web site by Philipp Koehn (University of Edinburgh). The main intended use is to aid statistical machine translation research.
```

*   **License**: The data set comes with the same license
as the original sources.
Please, check the information about the source
that is given on
http://opus.nlpl.eu/Europarl-v8.php

*   **Version**: 8.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 608740

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "sl",
            "sv"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```


