# freebase_qa

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/freebase_qa)
*   [Huggingface](https://huggingface.co/datasets/freebase_qa)



Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:freebase_qa')
```

*   **Description**:

```
FreebaseQA is for open-domain factoid question answering (QA) tasks over structured knowledge bases, like Freebase The data set is generated by matching trivia-type question-answer pairs with subject-predicateobject triples in Freebase.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'test'` | 3996
`'train'` | 20358
`'validation'` | 3994

*   **Features**:

```json
{
    "Question-ID": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "RawQuestion": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "ProcessedQuestion": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "Parses": {
        "feature": {
            "Parse-Id": {
                "dtype": "string",
                "id": null,
                "_type": "Value"
            },
            "PotentialTopicEntityMention": {
                "dtype": "string",
                "id": null,
                "_type": "Value"
            },
            "TopicEntityName": {
                "dtype": "string",
                "id": null,
                "_type": "Value"
            },
            "TopicEntityMid": {
                "dtype": "string",
                "id": null,
                "_type": "Value"
            },
            "InferentialChain": {
                "dtype": "string",
                "id": null,
                "_type": "Value"
            },
            "Answers": {
                "feature": {
                    "AnswersMid": {
                        "dtype": "string",
                        "id": null,
                        "_type": "Value"
                    },
                    "AnswersName": {
                        "feature": {
                            "dtype": "string",
                            "id": null,
                            "_type": "Value"
                        },
                        "length": -1,
                        "id": null,
                        "_type": "Sequence"
                    }
                },
                "length": -1,
                "id": null,
                "_type": "Sequence"
            }
        },
        "length": -1,
        "id": null,
        "_type": "Sequence"
    }
}
```


