# igbo_monolingual

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/igbo_monolingual)
*   [Huggingface](https://huggingface.co/datasets/igbo_monolingual)


## eze_goes_to_school


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:igbo_monolingual/eze_goes_to_school')
```

*   **Description**:

```
A dataset is a collection of Monolingual Igbo sentences.
```

*   **License**: No known license
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 1

*   **Features**:

```json
{
    "format": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "title": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "chapters": {
        "feature": {
            "title": {
                "dtype": "string",
                "id": null,
                "_type": "Value"
            },
            "content": {
                "dtype": "string",
                "id": null,
                "_type": "Value"
            }
        },
        "length": -1,
        "id": null,
        "_type": "Sequence"
    }
}
```



## bbc-igbo


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:igbo_monolingual/bbc-igbo')
```

*   **Description**:

```
A dataset is a collection of Monolingual Igbo sentences.
```

*   **License**: No known license
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 1297

*   **Features**:

```json
{
    "source": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "title": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "description": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "date": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "headline": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "content": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "tags": {
        "feature": {
            "dtype": "string",
            "id": null,
            "_type": "Value"
        },
        "length": -1,
        "id": null,
        "_type": "Sequence"
    }
}
```



## igbo-radio


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:igbo_monolingual/igbo-radio')
```

*   **Description**:

```
A dataset is a collection of Monolingual Igbo sentences.
```

*   **License**: No known license
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 440

*   **Features**:

```json
{
    "source": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "headline": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "author": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "date": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "description": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "content": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    }
}
```



## jw-ot-igbo


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:igbo_monolingual/jw-ot-igbo')
```

*   **Description**:

```
A dataset is a collection of Monolingual Igbo sentences.
```

*   **License**: No known license
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 39

*   **Features**:

```json
{
    "format": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "title": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "chapters": {
        "feature": {
            "title": {
                "dtype": "string",
                "id": null,
                "_type": "Value"
            },
            "content": {
                "dtype": "string",
                "id": null,
                "_type": "Value"
            }
        },
        "length": -1,
        "id": null,
        "_type": "Sequence"
    }
}
```



## jw-nt-igbo


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:igbo_monolingual/jw-nt-igbo')
```

*   **Description**:

```
A dataset is a collection of Monolingual Igbo sentences.
```

*   **License**: No known license
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 27

*   **Features**:

```json
{
    "format": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "title": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "chapters": {
        "feature": {
            "title": {
                "dtype": "string",
                "id": null,
                "_type": "Value"
            },
            "content": {
                "dtype": "string",
                "id": null,
                "_type": "Value"
            }
        },
        "length": -1,
        "id": null,
        "_type": "Sequence"
    }
}
```



## jw-books


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:igbo_monolingual/jw-books')
```

*   **Description**:

```
A dataset is a collection of Monolingual Igbo sentences.
```

*   **License**: No known license
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 48

*   **Features**:

```json
{
    "title": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "content": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "format": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "date": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    }
}
```



## jw-teta


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:igbo_monolingual/jw-teta')
```

*   **Description**:

```
A dataset is a collection of Monolingual Igbo sentences.
```

*   **License**: No known license
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 37

*   **Features**:

```json
{
    "title": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "content": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "format": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "date": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    }
}
```



## jw-ulo_nche


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:igbo_monolingual/jw-ulo_nche')
```

*   **Description**:

```
A dataset is a collection of Monolingual Igbo sentences.
```

*   **License**: No known license
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 55

*   **Features**:

```json
{
    "title": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "content": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "format": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "date": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    }
}
```



## jw-ulo_nche_naamu


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:igbo_monolingual/jw-ulo_nche_naamu')
```

*   **Description**:

```
A dataset is a collection of Monolingual Igbo sentences.
```

*   **License**: No known license
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 88

*   **Features**:

```json
{
    "title": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "content": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "format": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "date": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    }
}
```


