# iwslt2017

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/iwslt2017)
*   [Huggingface](https://huggingface.co/datasets/iwslt2017)


## iwslt2017-en-it


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:iwslt2017/iwslt2017-en-it')
```

*   **Description**:

```
The IWSLT 2017 Evaluation Campaign includes a multilingual TED Talks MT task. The languages involved are five:

  German, English, Italian, Dutch, Romanian.

For each language pair, training and development sets are available through the entry of the table below: by clicking, an archive will be downloaded which contains the sets and a README file. Numbers in the table refer to millions of units (untokenized words) of the target side of all parallel training sets.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'test'` | 1566
`'train'` | 231619
`'validation'` | 929

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "en",
            "it"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## iwslt2017-en-nl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:iwslt2017/iwslt2017-en-nl')
```

*   **Description**:

```
The IWSLT 2017 Evaluation Campaign includes a multilingual TED Talks MT task. The languages involved are five:

  German, English, Italian, Dutch, Romanian.

For each language pair, training and development sets are available through the entry of the table below: by clicking, an archive will be downloaded which contains the sets and a README file. Numbers in the table refer to millions of units (untokenized words) of the target side of all parallel training sets.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'test'` | 1777
`'train'` | 237240
`'validation'` | 1003

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "en",
            "nl"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## iwslt2017-en-ro


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:iwslt2017/iwslt2017-en-ro')
```

*   **Description**:

```
The IWSLT 2017 Evaluation Campaign includes a multilingual TED Talks MT task. The languages involved are five:

  German, English, Italian, Dutch, Romanian.

For each language pair, training and development sets are available through the entry of the table below: by clicking, an archive will be downloaded which contains the sets and a README file. Numbers in the table refer to millions of units (untokenized words) of the target side of all parallel training sets.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'test'` | 1678
`'train'` | 220538
`'validation'` | 914

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "en",
            "ro"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## iwslt2017-it-en


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:iwslt2017/iwslt2017-it-en')
```

*   **Description**:

```
The IWSLT 2017 Evaluation Campaign includes a multilingual TED Talks MT task. The languages involved are five:

  German, English, Italian, Dutch, Romanian.

For each language pair, training and development sets are available through the entry of the table below: by clicking, an archive will be downloaded which contains the sets and a README file. Numbers in the table refer to millions of units (untokenized words) of the target side of all parallel training sets.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'test'` | 1566
`'train'` | 231619
`'validation'` | 929

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "it",
            "en"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## iwslt2017-it-nl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:iwslt2017/iwslt2017-it-nl')
```

*   **Description**:

```
The IWSLT 2017 Evaluation Campaign includes a multilingual TED Talks MT task. The languages involved are five:

  German, English, Italian, Dutch, Romanian.

For each language pair, training and development sets are available through the entry of the table below: by clicking, an archive will be downloaded which contains the sets and a README file. Numbers in the table refer to millions of units (untokenized words) of the target side of all parallel training sets.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'test'` | 1669
`'train'` | 233415
`'validation'` | 1001

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "it",
            "nl"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## iwslt2017-it-ro


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:iwslt2017/iwslt2017-it-ro')
```

*   **Description**:

```
The IWSLT 2017 Evaluation Campaign includes a multilingual TED Talks MT task. The languages involved are five:

  German, English, Italian, Dutch, Romanian.

For each language pair, training and development sets are available through the entry of the table below: by clicking, an archive will be downloaded which contains the sets and a README file. Numbers in the table refer to millions of units (untokenized words) of the target side of all parallel training sets.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'test'` | 1643
`'train'` | 217551
`'validation'` | 914

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "it",
            "ro"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## iwslt2017-nl-en


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:iwslt2017/iwslt2017-nl-en')
```

*   **Description**:

```
The IWSLT 2017 Evaluation Campaign includes a multilingual TED Talks MT task. The languages involved are five:

  German, English, Italian, Dutch, Romanian.

For each language pair, training and development sets are available through the entry of the table below: by clicking, an archive will be downloaded which contains the sets and a README file. Numbers in the table refer to millions of units (untokenized words) of the target side of all parallel training sets.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'test'` | 1777
`'train'` | 237240
`'validation'` | 1003

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "nl",
            "en"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## iwslt2017-nl-it


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:iwslt2017/iwslt2017-nl-it')
```

*   **Description**:

```
The IWSLT 2017 Evaluation Campaign includes a multilingual TED Talks MT task. The languages involved are five:

  German, English, Italian, Dutch, Romanian.

For each language pair, training and development sets are available through the entry of the table below: by clicking, an archive will be downloaded which contains the sets and a README file. Numbers in the table refer to millions of units (untokenized words) of the target side of all parallel training sets.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'test'` | 1669
`'train'` | 233415
`'validation'` | 1001

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "nl",
            "it"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## iwslt2017-nl-ro


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:iwslt2017/iwslt2017-nl-ro')
```

*   **Description**:

```
The IWSLT 2017 Evaluation Campaign includes a multilingual TED Talks MT task. The languages involved are five:

  German, English, Italian, Dutch, Romanian.

For each language pair, training and development sets are available through the entry of the table below: by clicking, an archive will be downloaded which contains the sets and a README file. Numbers in the table refer to millions of units (untokenized words) of the target side of all parallel training sets.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'test'` | 1680
`'train'` | 206920
`'validation'` | 913

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "nl",
            "ro"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## iwslt2017-ro-en


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:iwslt2017/iwslt2017-ro-en')
```

*   **Description**:

```
The IWSLT 2017 Evaluation Campaign includes a multilingual TED Talks MT task. The languages involved are five:

  German, English, Italian, Dutch, Romanian.

For each language pair, training and development sets are available through the entry of the table below: by clicking, an archive will be downloaded which contains the sets and a README file. Numbers in the table refer to millions of units (untokenized words) of the target side of all parallel training sets.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'test'` | 1678
`'train'` | 220538
`'validation'` | 914

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "ro",
            "en"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## iwslt2017-ro-it


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:iwslt2017/iwslt2017-ro-it')
```

*   **Description**:

```
The IWSLT 2017 Evaluation Campaign includes a multilingual TED Talks MT task. The languages involved are five:

  German, English, Italian, Dutch, Romanian.

For each language pair, training and development sets are available through the entry of the table below: by clicking, an archive will be downloaded which contains the sets and a README file. Numbers in the table refer to millions of units (untokenized words) of the target side of all parallel training sets.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'test'` | 1643
`'train'` | 217551
`'validation'` | 914

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "ro",
            "it"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## iwslt2017-ro-nl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:iwslt2017/iwslt2017-ro-nl')
```

*   **Description**:

```
The IWSLT 2017 Evaluation Campaign includes a multilingual TED Talks MT task. The languages involved are five:

  German, English, Italian, Dutch, Romanian.

For each language pair, training and development sets are available through the entry of the table below: by clicking, an archive will be downloaded which contains the sets and a README file. Numbers in the table refer to millions of units (untokenized words) of the target side of all parallel training sets.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'test'` | 1680
`'train'` | 206920
`'validation'` | 913

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "ro",
            "nl"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## iwslt2017-ar-en


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:iwslt2017/iwslt2017-ar-en')
```

*   **Description**:

```
The IWSLT 2017 Evaluation Campaign includes a multilingual TED Talks MT task. The languages involved are five:

  German, English, Italian, Dutch, Romanian.

For each language pair, training and development sets are available through the entry of the table below: by clicking, an archive will be downloaded which contains the sets and a README file. Numbers in the table refer to millions of units (untokenized words) of the target side of all parallel training sets.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'test'` | 8583
`'train'` | 231713
`'validation'` | 888

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "ar",
            "en"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## iwslt2017-de-en


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:iwslt2017/iwslt2017-de-en')
```

*   **Description**:

```
The IWSLT 2017 Evaluation Campaign includes a multilingual TED Talks MT task. The languages involved are five:

  German, English, Italian, Dutch, Romanian.

For each language pair, training and development sets are available through the entry of the table below: by clicking, an archive will be downloaded which contains the sets and a README file. Numbers in the table refer to millions of units (untokenized words) of the target side of all parallel training sets.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'test'` | 8079
`'train'` | 206112
`'validation'` | 888

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "de",
            "en"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## iwslt2017-en-ar


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:iwslt2017/iwslt2017-en-ar')
```

*   **Description**:

```
The IWSLT 2017 Evaluation Campaign includes a multilingual TED Talks MT task. The languages involved are five:

  German, English, Italian, Dutch, Romanian.

For each language pair, training and development sets are available through the entry of the table below: by clicking, an archive will be downloaded which contains the sets and a README file. Numbers in the table refer to millions of units (untokenized words) of the target side of all parallel training sets.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'test'` | 8583
`'train'` | 231713
`'validation'` | 888

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "en",
            "ar"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## iwslt2017-en-de


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:iwslt2017/iwslt2017-en-de')
```

*   **Description**:

```
The IWSLT 2017 Evaluation Campaign includes a multilingual TED Talks MT task. The languages involved are five:

  German, English, Italian, Dutch, Romanian.

For each language pair, training and development sets are available through the entry of the table below: by clicking, an archive will be downloaded which contains the sets and a README file. Numbers in the table refer to millions of units (untokenized words) of the target side of all parallel training sets.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'test'` | 8079
`'train'` | 206112
`'validation'` | 888

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "en",
            "de"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## iwslt2017-en-fr


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:iwslt2017/iwslt2017-en-fr')
```

*   **Description**:

```
The IWSLT 2017 Evaluation Campaign includes a multilingual TED Talks MT task. The languages involved are five:

  German, English, Italian, Dutch, Romanian.

For each language pair, training and development sets are available through the entry of the table below: by clicking, an archive will be downloaded which contains the sets and a README file. Numbers in the table refer to millions of units (untokenized words) of the target side of all parallel training sets.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'test'` | 8597
`'train'` | 232825
`'validation'` | 890

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "en",
            "fr"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## iwslt2017-en-ja


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:iwslt2017/iwslt2017-en-ja')
```

*   **Description**:

```
The IWSLT 2017 Evaluation Campaign includes a multilingual TED Talks MT task. The languages involved are five:

  German, English, Italian, Dutch, Romanian.

For each language pair, training and development sets are available through the entry of the table below: by clicking, an archive will be downloaded which contains the sets and a README file. Numbers in the table refer to millions of units (untokenized words) of the target side of all parallel training sets.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'test'` | 8469
`'train'` | 223108
`'validation'` | 871

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "en",
            "ja"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## iwslt2017-en-ko


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:iwslt2017/iwslt2017-en-ko')
```

*   **Description**:

```
The IWSLT 2017 Evaluation Campaign includes a multilingual TED Talks MT task. The languages involved are five:

  German, English, Italian, Dutch, Romanian.

For each language pair, training and development sets are available through the entry of the table below: by clicking, an archive will be downloaded which contains the sets and a README file. Numbers in the table refer to millions of units (untokenized words) of the target side of all parallel training sets.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'test'` | 8514
`'train'` | 230240
`'validation'` | 879

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "en",
            "ko"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## iwslt2017-en-zh


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:iwslt2017/iwslt2017-en-zh')
```

*   **Description**:

```
The IWSLT 2017 Evaluation Campaign includes a multilingual TED Talks MT task. The languages involved are five:

  German, English, Italian, Dutch, Romanian.

For each language pair, training and development sets are available through the entry of the table below: by clicking, an archive will be downloaded which contains the sets and a README file. Numbers in the table refer to millions of units (untokenized words) of the target side of all parallel training sets.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'test'` | 8549
`'train'` | 231266
`'validation'` | 879

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "en",
            "zh"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## iwslt2017-fr-en


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:iwslt2017/iwslt2017-fr-en')
```

*   **Description**:

```
The IWSLT 2017 Evaluation Campaign includes a multilingual TED Talks MT task. The languages involved are five:

  German, English, Italian, Dutch, Romanian.

For each language pair, training and development sets are available through the entry of the table below: by clicking, an archive will be downloaded which contains the sets and a README file. Numbers in the table refer to millions of units (untokenized words) of the target side of all parallel training sets.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'test'` | 8597
`'train'` | 232825
`'validation'` | 890

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "fr",
            "en"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## iwslt2017-ja-en


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:iwslt2017/iwslt2017-ja-en')
```

*   **Description**:

```
The IWSLT 2017 Evaluation Campaign includes a multilingual TED Talks MT task. The languages involved are five:

  German, English, Italian, Dutch, Romanian.

For each language pair, training and development sets are available through the entry of the table below: by clicking, an archive will be downloaded which contains the sets and a README file. Numbers in the table refer to millions of units (untokenized words) of the target side of all parallel training sets.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'test'` | 8469
`'train'` | 223108
`'validation'` | 871

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "ja",
            "en"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## iwslt2017-ko-en


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:iwslt2017/iwslt2017-ko-en')
```

*   **Description**:

```
The IWSLT 2017 Evaluation Campaign includes a multilingual TED Talks MT task. The languages involved are five:

  German, English, Italian, Dutch, Romanian.

For each language pair, training and development sets are available through the entry of the table below: by clicking, an archive will be downloaded which contains the sets and a README file. Numbers in the table refer to millions of units (untokenized words) of the target side of all parallel training sets.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'test'` | 8514
`'train'` | 230240
`'validation'` | 879

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "ko",
            "en"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## iwslt2017-zh-en


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:iwslt2017/iwslt2017-zh-en')
```

*   **Description**:

```
The IWSLT 2017 Evaluation Campaign includes a multilingual TED Talks MT task. The languages involved are five:

  German, English, Italian, Dutch, Romanian.

For each language pair, training and development sets are available through the entry of the table below: by clicking, an archive will be downloaded which contains the sets and a README file. Numbers in the table refer to millions of units (untokenized words) of the target side of all parallel training sets.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'test'` | 8549
`'train'` | 231266
`'validation'` | 879

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "zh",
            "en"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```


