# kde4

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/kde4)
*   [Huggingface](https://huggingface.co/datasets/kde4)


## fi-nl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:kde4/fi-nl')
```

*   **Description**:

```
A parallel corpus of KDE4 localization files (v.2).

92 languages, 4,099 bitexts
total number of files: 75,535
total number of tokens: 60.75M
total number of sentence fragments: 8.89M
```

*   **License**: No known license
*   **Version**: 2.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 101593

*   **Features**:

```json
{
    "id": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "translation": {
        "languages": [
            "fi",
            "nl"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## it-ro


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:kde4/it-ro')
```

*   **Description**:

```
A parallel corpus of KDE4 localization files (v.2).

92 languages, 4,099 bitexts
total number of files: 75,535
total number of tokens: 60.75M
total number of sentence fragments: 8.89M
```

*   **License**: No known license
*   **Version**: 2.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 109003

*   **Features**:

```json
{
    "id": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "translation": {
        "languages": [
            "it",
            "ro"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## nl-sv


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:kde4/nl-sv')
```

*   **Description**:

```
A parallel corpus of KDE4 localization files (v.2).

92 languages, 4,099 bitexts
total number of files: 75,535
total number of tokens: 60.75M
total number of sentence fragments: 8.89M
```

*   **License**: No known license
*   **Version**: 2.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 188454

*   **Features**:

```json
{
    "id": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "translation": {
        "languages": [
            "nl",
            "sv"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## en-it


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:kde4/en-it')
```

*   **Description**:

```
A parallel corpus of KDE4 localization files (v.2).

92 languages, 4,099 bitexts
total number of files: 75,535
total number of tokens: 60.75M
total number of sentence fragments: 8.89M
```

*   **License**: No known license
*   **Version**: 2.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 220566

*   **Features**:

```json
{
    "id": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "translation": {
        "languages": [
            "en",
            "it"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## en-fr


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:kde4/en-fr')
```

*   **Description**:

```
A parallel corpus of KDE4 localization files (v.2).

92 languages, 4,099 bitexts
total number of files: 75,535
total number of tokens: 60.75M
total number of sentence fragments: 8.89M
```

*   **License**: No known license
*   **Version**: 2.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 210173

*   **Features**:

```json
{
    "id": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "translation": {
        "languages": [
            "en",
            "fr"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```


