# mkb

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/mkb)
*   [Huggingface](https://huggingface.co/datasets/mkb)


## or-ur


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:mkb/or-ur')
```

*   **Description**:

```
The Prime Minister's speeches - Mann Ki Baat, on All India Radio, translated into many languages.
```

*   **License**: No known license
*   **Version**: 0.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 98

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "or",
            "ur"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## ml-or


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:mkb/ml-or')
```

*   **Description**:

```
The Prime Minister's speeches - Mann Ki Baat, on All India Radio, translated into many languages.
```

*   **License**: No known license
*   **Version**: 0.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 427

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "ml",
            "or"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## bn-ta


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:mkb/bn-ta')
```

*   **Description**:

```
The Prime Minister's speeches - Mann Ki Baat, on All India Radio, translated into many languages.
```

*   **License**: No known license
*   **Version**: 0.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 3460

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "bn",
            "ta"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## gu-mr


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:mkb/gu-mr')
```

*   **Description**:

```
The Prime Minister's speeches - Mann Ki Baat, on All India Radio, translated into many languages.
```

*   **License**: No known license
*   **Version**: 0.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 3658

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "gu",
            "mr"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## hi-or


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:mkb/hi-or')
```

*   **Description**:

```
The Prime Minister's speeches - Mann Ki Baat, on All India Radio, translated into many languages.
```

*   **License**: No known license
*   **Version**: 0.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 389

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "hi",
            "or"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## en-or


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:mkb/en-or')
```

*   **Description**:

```
The Prime Minister's speeches - Mann Ki Baat, on All India Radio, translated into many languages.
```

*   **License**: No known license
*   **Version**: 0.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 768

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "en",
            "or"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## mr-ur


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:mkb/mr-ur')
```

*   **Description**:

```
The Prime Minister's speeches - Mann Ki Baat, on All India Radio, translated into many languages.
```

*   **License**: No known license
*   **Version**: 0.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 490

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "mr",
            "ur"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## en-ta


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:mkb/en-ta')
```

*   **Description**:

```
The Prime Minister's speeches - Mann Ki Baat, on All India Radio, translated into many languages.
```

*   **License**: No known license
*   **Version**: 0.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 5744

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "en",
            "ta"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## hi-ta


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:mkb/hi-ta')
```

*   **Description**:

```
The Prime Minister's speeches - Mann Ki Baat, on All India Radio, translated into many languages.
```

*   **License**: No known license
*   **Version**: 0.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 2761

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "hi",
            "ta"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## bn-en


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:mkb/bn-en')
```

*   **Description**:

```
The Prime Minister's speeches - Mann Ki Baat, on All India Radio, translated into many languages.
```

*   **License**: No known license
*   **Version**: 0.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 5634

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "bn",
            "en"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## bn-or


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:mkb/bn-or')
```

*   **Description**:

```
The Prime Minister's speeches - Mann Ki Baat, on All India Radio, translated into many languages.
```

*   **License**: No known license
*   **Version**: 0.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 447

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "bn",
            "or"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## ml-ta


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:mkb/ml-ta')
```

*   **Description**:

```
The Prime Minister's speeches - Mann Ki Baat, on All India Radio, translated into many languages.
```

*   **License**: No known license
*   **Version**: 0.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 3124

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "ml",
            "ta"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## gu-ur


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:mkb/gu-ur')
```

*   **Description**:

```
The Prime Minister's speeches - Mann Ki Baat, on All India Radio, translated into many languages.
```

*   **License**: No known license
*   **Version**: 0.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 749

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "gu",
            "ur"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## bn-ml


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:mkb/bn-ml')
```

*   **Description**:

```
The Prime Minister's speeches - Mann Ki Baat, on All India Radio, translated into many languages.
```

*   **License**: No known license
*   **Version**: 0.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 2938

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "bn",
            "ml"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## bn-hi


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:mkb/bn-hi')
```

*   **Description**:

```
The Prime Minister's speeches - Mann Ki Baat, on All India Radio, translated into many languages.
```

*   **License**: No known license
*   **Version**: 0.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 2706

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "bn",
            "hi"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## gu-te


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:mkb/gu-te')
```

*   **Description**:

```
The Prime Minister's speeches - Mann Ki Baat, on All India Radio, translated into many languages.
```

*   **License**: No known license
*   **Version**: 0.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 3528

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "gu",
            "te"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## hi-ml


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:mkb/hi-ml')
```

*   **Description**:

```
The Prime Minister's speeches - Mann Ki Baat, on All India Radio, translated into many languages.
```

*   **License**: No known license
*   **Version**: 0.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 2305

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "hi",
            "ml"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## or-te


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:mkb/or-te')
```

*   **Description**:

```
The Prime Minister's speeches - Mann Ki Baat, on All India Radio, translated into many languages.
```

*   **License**: No known license
*   **Version**: 0.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 440

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "or",
            "te"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## en-ml


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:mkb/en-ml')
```

*   **Description**:

```
The Prime Minister's speeches - Mann Ki Baat, on All India Radio, translated into many languages.
```

*   **License**: No known license
*   **Version**: 0.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 5017

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "en",
            "ml"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## en-hi


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:mkb/en-hi')
```

*   **Description**:

```
The Prime Minister's speeches - Mann Ki Baat, on All India Radio, translated into many languages.
```

*   **License**: No known license
*   **Version**: 0.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 5272

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "en",
            "hi"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## mr-te


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:mkb/mr-te')
```

*   **Description**:

```
The Prime Minister's speeches - Mann Ki Baat, on All India Radio, translated into many languages.
```

*   **License**: No known license
*   **Version**: 0.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 2839

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "mr",
            "te"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## bn-te


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:mkb/bn-te')
```

*   **Description**:

```
The Prime Minister's speeches - Mann Ki Baat, on All India Radio, translated into many languages.
```

*   **License**: No known license
*   **Version**: 0.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 2939

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "bn",
            "te"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## gu-hi


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:mkb/gu-hi')
```

*   **Description**:

```
The Prime Minister's speeches - Mann Ki Baat, on All India Radio, translated into many languages.
```

*   **License**: No known license
*   **Version**: 0.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 3213

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "gu",
            "hi"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## ta-ur


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:mkb/ta-ur')
```

*   **Description**:

```
The Prime Minister's speeches - Mann Ki Baat, on All India Radio, translated into many languages.
```

*   **License**: No known license
*   **Version**: 0.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 637

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "ta",
            "ur"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## te-ur


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:mkb/te-ur')
```

*   **Description**:

```
The Prime Minister's speeches - Mann Ki Baat, on All India Radio, translated into many languages.
```

*   **License**: No known license
*   **Version**: 0.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 599

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "te",
            "ur"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## gu-ml


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:mkb/gu-ml')
```

*   **Description**:

```
The Prime Minister's speeches - Mann Ki Baat, on All India Radio, translated into many languages.
```

*   **License**: No known license
*   **Version**: 0.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 3469

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "gu",
            "ml"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## hi-te


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:mkb/hi-te')
```

*   **Description**:

```
The Prime Minister's speeches - Mann Ki Baat, on All India Radio, translated into many languages.
```

*   **License**: No known license
*   **Version**: 0.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 2289

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "hi",
            "te"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## en-te


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:mkb/en-te')
```

*   **Description**:

```
The Prime Minister's speeches - Mann Ki Baat, on All India Radio, translated into many languages.
```

*   **License**: No known license
*   **Version**: 0.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 5177

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "en",
            "te"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## ml-te


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:mkb/ml-te')
```

*   **Description**:

```
The Prime Minister's speeches - Mann Ki Baat, on All India Radio, translated into many languages.
```

*   **License**: No known license
*   **Version**: 0.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 2898

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "ml",
            "te"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## hi-ur


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:mkb/hi-ur')
```

*   **Description**:

```
The Prime Minister's speeches - Mann Ki Baat, on All India Radio, translated into many languages.
```

*   **License**: No known license
*   **Version**: 0.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 742

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "hi",
            "ur"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## mr-or


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:mkb/mr-or')
```

*   **Description**:

```
The Prime Minister's speeches - Mann Ki Baat, on All India Radio, translated into many languages.
```

*   **License**: No known license
*   **Version**: 0.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 432

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "mr",
            "or"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## en-ur


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:mkb/en-ur')
```

*   **Description**:

```
The Prime Minister's speeches - Mann Ki Baat, on All India Radio, translated into many languages.
```

*   **License**: No known license
*   **Version**: 0.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 1019

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "en",
            "ur"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## ml-ur


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:mkb/ml-ur')
```

*   **Description**:

```
The Prime Minister's speeches - Mann Ki Baat, on All India Radio, translated into many languages.
```

*   **License**: No known license
*   **Version**: 0.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 624

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "ml",
            "ur"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## bn-mr


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:mkb/bn-mr')
```

*   **Description**:

```
The Prime Minister's speeches - Mann Ki Baat, on All India Radio, translated into many languages.
```

*   **License**: No known license
*   **Version**: 0.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 3054

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "bn",
            "mr"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## gu-ta


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:mkb/gu-ta')
```

*   **Description**:

```
The Prime Minister's speeches - Mann Ki Baat, on All India Radio, translated into many languages.
```

*   **License**: No known license
*   **Version**: 0.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 3998

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "gu",
            "ta"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## bn-gu


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:mkb/bn-gu')
```

*   **Description**:

```
The Prime Minister's speeches - Mann Ki Baat, on All India Radio, translated into many languages.
```

*   **License**: No known license
*   **Version**: 0.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 3810

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "bn",
            "gu"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## bn-ur


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:mkb/bn-ur')
```

*   **Description**:

```
The Prime Minister's speeches - Mann Ki Baat, on All India Radio, translated into many languages.
```

*   **License**: No known license
*   **Version**: 0.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 559

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "bn",
            "ur"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## ml-mr


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:mkb/ml-mr')
```

*   **Description**:

```
The Prime Minister's speeches - Mann Ki Baat, on All India Radio, translated into many languages.
```

*   **License**: No known license
*   **Version**: 0.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 2803

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "ml",
            "mr"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## or-ta


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:mkb/or-ta')
```

*   **Description**:

```
The Prime Minister's speeches - Mann Ki Baat, on All India Radio, translated into many languages.
```

*   **License**: No known license
*   **Version**: 0.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 470

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "or",
            "ta"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## ta-te


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:mkb/ta-te')
```

*   **Description**:

```
The Prime Minister's speeches - Mann Ki Baat, on All India Radio, translated into many languages.
```

*   **License**: No known license
*   **Version**: 0.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 3100

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "ta",
            "te"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## gu-or


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:mkb/gu-or')
```

*   **Description**:

```
The Prime Minister's speeches - Mann Ki Baat, on All India Radio, translated into many languages.
```

*   **License**: No known license
*   **Version**: 0.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 541

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "gu",
            "or"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## en-gu


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:mkb/en-gu')
```

*   **Description**:

```
The Prime Minister's speeches - Mann Ki Baat, on All India Radio, translated into many languages.
```

*   **License**: No known license
*   **Version**: 0.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 6615

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "en",
            "gu"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## hi-mr


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:mkb/hi-mr')
```

*   **Description**:

```
The Prime Minister's speeches - Mann Ki Baat, on All India Radio, translated into many languages.
```

*   **License**: No known license
*   **Version**: 0.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 2491

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "hi",
            "mr"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## mr-ta


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:mkb/mr-ta')
```

*   **Description**:

```
The Prime Minister's speeches - Mann Ki Baat, on All India Radio, translated into many languages.
```

*   **License**: No known license
*   **Version**: 0.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 3175

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "mr",
            "ta"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## en-mr


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:mkb/en-mr')
```

*   **Description**:

```
The Prime Minister's speeches - Mann Ki Baat, on All India Radio, translated into many languages.
```

*   **License**: No known license
*   **Version**: 0.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 5867

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "en",
            "mr"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```


