# multi_para_crawl

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/multi_para_crawl)
*   [Huggingface](https://huggingface.co/datasets/multi_para_crawl)


## cs-is


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:multi_para_crawl/cs-is')
```

*   **Description**:

```
Parallel corpora from Web Crawls collected in the ParaCrawl project and further processed for making it a multi-parallel corpus by pivoting via English. Here we only provide the additional language pairs that came out of pivoting. The bitexts for English are available from the ParaCrawl release.
40 languages, 669 bitexts
total number of files: 40
total number of tokens: 10.14G
total number of sentence fragments: 505.48M

Please, acknowledge the ParaCrawl project at http://paracrawl.eu. This version is derived from the original release at their website adjusted for redistribution via the OPUS corpus collection. Please, acknowledge OPUS as well for this service.
```

*   **License**: No known license
*   **Version**: 7.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 691006

*   **Features**:

```json
{
    "id": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "translation": {
        "languages": [
            "cs",
            "is"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## ga-sk


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:multi_para_crawl/ga-sk')
```

*   **Description**:

```
Parallel corpora from Web Crawls collected in the ParaCrawl project and further processed for making it a multi-parallel corpus by pivoting via English. Here we only provide the additional language pairs that came out of pivoting. The bitexts for English are available from the ParaCrawl release.
40 languages, 669 bitexts
total number of files: 40
total number of tokens: 10.14G
total number of sentence fragments: 505.48M

Please, acknowledge the ParaCrawl project at http://paracrawl.eu. This version is derived from the original release at their website adjusted for redistribution via the OPUS corpus collection. Please, acknowledge OPUS as well for this service.
```

*   **License**: No known license
*   **Version**: 7.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 390327

*   **Features**:

```json
{
    "id": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "translation": {
        "languages": [
            "ga",
            "sk"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## lv-mt


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:multi_para_crawl/lv-mt')
```

*   **Description**:

```
Parallel corpora from Web Crawls collected in the ParaCrawl project and further processed for making it a multi-parallel corpus by pivoting via English. Here we only provide the additional language pairs that came out of pivoting. The bitexts for English are available from the ParaCrawl release.
40 languages, 669 bitexts
total number of files: 40
total number of tokens: 10.14G
total number of sentence fragments: 505.48M

Please, acknowledge the ParaCrawl project at http://paracrawl.eu. This version is derived from the original release at their website adjusted for redistribution via the OPUS corpus collection. Please, acknowledge OPUS as well for this service.
```

*   **License**: No known license
*   **Version**: 7.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 464160

*   **Features**:

```json
{
    "id": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "translation": {
        "languages": [
            "lv",
            "mt"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## nb-ru


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:multi_para_crawl/nb-ru')
```

*   **Description**:

```
Parallel corpora from Web Crawls collected in the ParaCrawl project and further processed for making it a multi-parallel corpus by pivoting via English. Here we only provide the additional language pairs that came out of pivoting. The bitexts for English are available from the ParaCrawl release.
40 languages, 669 bitexts
total number of files: 40
total number of tokens: 10.14G
total number of sentence fragments: 505.48M

Please, acknowledge the ParaCrawl project at http://paracrawl.eu. This version is derived from the original release at their website adjusted for redistribution via the OPUS corpus collection. Please, acknowledge OPUS as well for this service.
```

*   **License**: No known license
*   **Version**: 7.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 399050

*   **Features**:

```json
{
    "id": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "translation": {
        "languages": [
            "nb",
            "ru"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## de-tl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:multi_para_crawl/de-tl')
```

*   **Description**:

```
Parallel corpora from Web Crawls collected in the ParaCrawl project and further processed for making it a multi-parallel corpus by pivoting via English. Here we only provide the additional language pairs that came out of pivoting. The bitexts for English are available from the ParaCrawl release.
40 languages, 669 bitexts
total number of files: 40
total number of tokens: 10.14G
total number of sentence fragments: 505.48M

Please, acknowledge the ParaCrawl project at http://paracrawl.eu. This version is derived from the original release at their website adjusted for redistribution via the OPUS corpus collection. Please, acknowledge OPUS as well for this service.
```

*   **License**: No known license
*   **Version**: 7.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 98156

*   **Features**:

```json
{
    "id": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "translation": {
        "languages": [
            "de",
            "tl"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```


