# opus_dgt

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/opus_dgt)
*   [Huggingface](https://huggingface.co/datasets/opus_dgt)


## bg-ga


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_dgt/bg-ga')
```

*   **Description**:

```
A collection of translation memories provided by the JRC. Source: https://ec.europa.eu/jrc/en/language-technologies/dgt-translation-memory
25 languages, 299 bitexts
total number of files: 817,410
total number of tokens: 2.13G
total number of sentence fragments: 113.52M
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 179142

*   **Features**:

```json
{
    "id": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "translation": {
        "languages": [
            "bg",
            "ga"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## bg-hr


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_dgt/bg-hr')
```

*   **Description**:

```
A collection of translation memories provided by the JRC. Source: https://ec.europa.eu/jrc/en/language-technologies/dgt-translation-memory
25 languages, 299 bitexts
total number of files: 817,410
total number of tokens: 2.13G
total number of sentence fragments: 113.52M
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 701572

*   **Features**:

```json
{
    "id": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "translation": {
        "languages": [
            "bg",
            "hr"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## bg-sh


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_dgt/bg-sh')
```

*   **Description**:

```
A collection of translation memories provided by the JRC. Source: https://ec.europa.eu/jrc/en/language-technologies/dgt-translation-memory
25 languages, 299 bitexts
total number of files: 817,410
total number of tokens: 2.13G
total number of sentence fragments: 113.52M
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 1488507

*   **Features**:

```json
{
    "id": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "translation": {
        "languages": [
            "bg",
            "sh"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## fi-ga


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_dgt/fi-ga')
```

*   **Description**:

```
A collection of translation memories provided by the JRC. Source: https://ec.europa.eu/jrc/en/language-technologies/dgt-translation-memory
25 languages, 299 bitexts
total number of files: 817,410
total number of tokens: 2.13G
total number of sentence fragments: 113.52M
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 178619

*   **Features**:

```json
{
    "id": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "translation": {
        "languages": [
            "fi",
            "ga"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## es-ga


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_dgt/es-ga')
```

*   **Description**:

```
A collection of translation memories provided by the JRC. Source: https://ec.europa.eu/jrc/en/language-technologies/dgt-translation-memory
25 languages, 299 bitexts
total number of files: 817,410
total number of tokens: 2.13G
total number of sentence fragments: 113.52M
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 178696

*   **Features**:

```json
{
    "id": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "translation": {
        "languages": [
            "es",
            "ga"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## ga-sh


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_dgt/ga-sh')
```

*   **Description**:

```
A collection of translation memories provided by the JRC. Source: https://ec.europa.eu/jrc/en/language-technologies/dgt-translation-memory
25 languages, 299 bitexts
total number of files: 817,410
total number of tokens: 2.13G
total number of sentence fragments: 113.52M
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 91613

*   **Features**:

```json
{
    "id": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "translation": {
        "languages": [
            "ga",
            "sh"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## hr-sk


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_dgt/hr-sk')
```

*   **Description**:

```
A collection of translation memories provided by the JRC. Source: https://ec.europa.eu/jrc/en/language-technologies/dgt-translation-memory
25 languages, 299 bitexts
total number of files: 817,410
total number of tokens: 2.13G
total number of sentence fragments: 113.52M
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 689263

*   **Features**:

```json
{
    "id": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "translation": {
        "languages": [
            "hr",
            "sk"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## mt-sh


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_dgt/mt-sh')
```

*   **Description**:

```
A collection of translation memories provided by the JRC. Source: https://ec.europa.eu/jrc/en/language-technologies/dgt-translation-memory
25 languages, 299 bitexts
total number of files: 817,410
total number of tokens: 2.13G
total number of sentence fragments: 113.52M
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 1450424

*   **Features**:

```json
{
    "id": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "translation": {
        "languages": [
            "mt",
            "sh"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## hr-sv


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_dgt/hr-sv')
```

*   **Description**:

```
A collection of translation memories provided by the JRC. Source: https://ec.europa.eu/jrc/en/language-technologies/dgt-translation-memory
25 languages, 299 bitexts
total number of files: 817,410
total number of tokens: 2.13G
total number of sentence fragments: 113.52M
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 696334

*   **Features**:

```json
{
    "id": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "translation": {
        "languages": [
            "hr",
            "sv"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## ga-nl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_dgt/ga-nl')
```

*   **Description**:

```
A collection of translation memories provided by the JRC. Source: https://ec.europa.eu/jrc/en/language-technologies/dgt-translation-memory
25 languages, 299 bitexts
total number of files: 817,410
total number of tokens: 2.13G
total number of sentence fragments: 113.52M
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 170644

*   **Features**:

```json
{
    "id": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "translation": {
        "languages": [
            "ga",
            "nl"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```


