# opus_euconst

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/opus_euconst)
*   [Huggingface](https://huggingface.co/datasets/opus_euconst)


## cs-da


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/cs-da')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10554

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "cs",
            "da"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## cs-de


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/cs-de')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 8844

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "cs",
            "de"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## cs-el


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/cs-el')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10072

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "cs",
            "el"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## cs-en


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/cs-en')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 9954

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "cs",
            "en"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## cs-es


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/cs-es')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10023

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "cs",
            "es"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## cs-et


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/cs-et')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10037

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "cs",
            "et"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## cs-fi


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/cs-fi')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 9848

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "cs",
            "fi"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## cs-fr


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/cs-fr')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10160

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "cs",
            "fr"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## cs-ga


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/cs-ga')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10126

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "cs",
            "ga"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## cs-hu


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/cs-hu')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 8586

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "cs",
            "hu"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## cs-it


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/cs-it')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10081

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "cs",
            "it"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## cs-lt


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/cs-lt')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10008

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "cs",
            "lt"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## cs-lv


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/cs-lv')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10144

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "cs",
            "lv"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## cs-mt


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/cs-mt')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10122

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "cs",
            "mt"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## cs-nl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/cs-nl')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10021

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "cs",
            "nl"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## cs-pl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/cs-pl')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10029

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "cs",
            "pl"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## cs-pt


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/cs-pt')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10970

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "cs",
            "pt"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## cs-sk


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/cs-sk')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10631

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "cs",
            "sk"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## cs-sl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/cs-sl')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 8860

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "cs",
            "sl"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## cs-sv


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/cs-sv')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10003

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "cs",
            "sv"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## da-de


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/da-de')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 9001

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "da",
            "de"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## da-el


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/da-el')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10317

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "da",
            "el"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## da-en


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/da-en')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10033

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "da",
            "en"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## da-es


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/da-es')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10227

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "da",
            "es"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## da-et


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/da-et')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10166

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "da",
            "et"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## da-fi


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/da-fi')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10176

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "da",
            "fi"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## da-fr


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/da-fr')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10410

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "da",
            "fr"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## da-ga


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/da-ga')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10205

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "da",
            "ga"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## da-hu


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/da-hu')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 8702

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "da",
            "hu"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## da-it


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/da-it')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10309

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "da",
            "it"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## da-lt


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/da-lt')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10269

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "da",
            "lt"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## da-lv


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/da-lv')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10309

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "da",
            "lv"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## da-mt


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/da-mt')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10231

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "da",
            "mt"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## da-nl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/da-nl')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10261

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "da",
            "nl"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## da-pl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/da-pl')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10196

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "da",
            "pl"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## da-pt


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/da-pt')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10910

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "da",
            "pt"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## da-sk


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/da-sk')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10685

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "da",
            "sk"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## da-sl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/da-sl')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 8891

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "da",
            "sl"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## da-sv


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/da-sv')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10238

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "da",
            "sv"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## de-el


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/de-el')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 8865

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "de",
            "el"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## de-en


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/de-en')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 8772

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "de",
            "en"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## de-es


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/de-es')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 8875

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "de",
            "es"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## de-et


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/de-et')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 8764

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "de",
            "et"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## de-fi


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/de-fi')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 8894

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "de",
            "fi"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## de-fr


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/de-fr')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 9068

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "de",
            "fr"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## de-ga


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/de-ga')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 8803

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "de",
            "ga"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## de-hu


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/de-hu')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 8651

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "de",
            "hu"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## de-it


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/de-it')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 9044

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "de",
            "it"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## de-lt


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/de-lt')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 8957

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "de",
            "lt"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## de-lv


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/de-lv')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 8885

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "de",
            "lv"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## de-mt


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/de-mt')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 8882

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "de",
            "mt"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## de-nl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/de-nl')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 8938

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "de",
            "nl"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## de-pl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/de-pl')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 8866

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "de",
            "pl"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## de-pt


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/de-pt')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 8963

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "de",
            "pt"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## de-sk


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/de-sk')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 9033

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "de",
            "sk"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## de-sl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/de-sl')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 8713

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "de",
            "sl"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## de-sv


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/de-sv')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 8860

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "de",
            "sv"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## el-en


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/el-en')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 9991

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "el",
            "en"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## el-es


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/el-es')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10284

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "el",
            "es"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## el-et


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/el-et')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10173

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "el",
            "et"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## el-fi


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/el-fi')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10056

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "el",
            "fi"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## el-fr


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/el-fr')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10315

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "el",
            "fr"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## el-ga


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/el-ga')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10094

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "el",
            "ga"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## el-hu


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/el-hu')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 8745

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "el",
            "hu"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## el-it


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/el-it')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10303

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "el",
            "it"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## el-lt


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/el-lt')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10208

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "el",
            "lt"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## el-lv


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/el-lv')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10146

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "el",
            "lv"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## el-mt


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/el-mt')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10277

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "el",
            "mt"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## el-nl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/el-nl')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10304

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "el",
            "nl"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## el-pl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/el-pl')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10250

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "el",
            "pl"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## el-pt


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/el-pt')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10102

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "el",
            "pt"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## el-sk


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/el-sk')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10332

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "el",
            "sk"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## el-sl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/el-sl')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 8852

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "el",
            "sl"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## el-sv


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/el-sv')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10114

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "el",
            "sv"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## en-es


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/en-es')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10040

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "en",
            "es"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## en-et


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/en-et')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10087

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "en",
            "et"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## en-fi


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/en-fi')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10027

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "en",
            "fi"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## en-fr


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/en-fr')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10104

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "en",
            "fr"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## en-ga


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/en-ga')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10028

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "en",
            "ga"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## en-hu


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/en-hu')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 8749

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "en",
            "hu"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## en-it


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/en-it')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10073

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "en",
            "it"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## en-lt


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/en-lt')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10172

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "en",
            "lt"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## en-lv


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/en-lv')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10037

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "en",
            "lv"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## en-mt


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/en-mt')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10121

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "en",
            "mt"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## en-nl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/en-nl')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10033

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "en",
            "nl"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## en-pl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/en-pl')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 9938

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "en",
            "pl"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## en-pt


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/en-pt')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 9990

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "en",
            "pt"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## en-sk


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/en-sk')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10120

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "en",
            "sk"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## en-sl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/en-sl')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 8808

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "en",
            "sl"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## en-sv


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/en-sv')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 9955

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "en",
            "sv"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## es-et


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/es-et')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10191

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "es",
            "et"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## es-fi


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/es-fi')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10121

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "es",
            "fi"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## es-fr


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/es-fr')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10420

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "es",
            "fr"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## es-ga


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/es-ga')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10147

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "es",
            "ga"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## es-hu


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/es-hu')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 8760

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "es",
            "hu"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## es-it


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/es-it')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10336

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "es",
            "it"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## es-lt


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/es-lt')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10297

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "es",
            "lt"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## es-lv


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/es-lv')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10218

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "es",
            "lv"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## es-mt


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/es-mt')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10270

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "es",
            "mt"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## es-nl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/es-nl')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10331

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "es",
            "nl"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## es-pl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/es-pl')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10228

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "es",
            "pl"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## es-pt


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/es-pt')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10186

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "es",
            "pt"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## es-sk


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/es-sk')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10322

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "es",
            "sk"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## es-sl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/es-sl')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 8904

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "es",
            "sl"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## es-sv


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/es-sv')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10215

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "es",
            "sv"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## et-fi


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/et-fi')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 9707

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "et",
            "fi"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## et-fr


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/et-fr')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10221

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "et",
            "fr"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## et-ga


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/et-ga')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10159

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "et",
            "ga"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## et-hu


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/et-hu')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 8872

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "et",
            "hu"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## et-it


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/et-it')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10198

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "et",
            "it"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## et-lt


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/et-lt')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10015

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "et",
            "lt"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## et-lv


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/et-lv')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10379

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "et",
            "lv"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## et-mt


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/et-mt')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10278

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "et",
            "mt"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## et-nl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/et-nl')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10196

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "et",
            "nl"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## et-pl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/et-pl')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10194

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "et",
            "pl"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## et-pt


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/et-pt')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10018

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "et",
            "pt"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## et-sk


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/et-sk')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10022

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "et",
            "sk"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## et-sl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/et-sl')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 8896

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "et",
            "sl"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## et-sv


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/et-sv')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10193

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "et",
            "sv"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## fi-fr


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/fi-fr')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10077

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "fi",
            "fr"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## fi-ga


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/fi-ga')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10098

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "fi",
            "ga"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## fi-hu


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/fi-hu')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 8606

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "fi",
            "hu"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## fi-it


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/fi-it')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10048

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "fi",
            "it"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## fi-lt


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/fi-lt')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10166

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "fi",
            "lt"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## fi-lv


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/fi-lv')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10121

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "fi",
            "lv"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## fi-mt


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/fi-mt')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10097

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "fi",
            "mt"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## fi-nl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/fi-nl')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10082

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "fi",
            "nl"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## fi-pl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/fi-pl')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10147

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "fi",
            "pl"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## fi-pt


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/fi-pt')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10098

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "fi",
            "pt"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## fi-sk


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/fi-sk')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10080

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "fi",
            "sk"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## fi-sl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/fi-sl')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 8826

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "fi",
            "sl"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## fi-sv


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/fi-sv')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10143

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "fi",
            "sv"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## fr-ga


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/fr-ga')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10119

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "fr",
            "ga"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## fr-hu


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/fr-hu')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 8781

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "fr",
            "hu"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## fr-it


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/fr-it')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10562

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "fr",
            "it"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## fr-lt


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/fr-lt')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10346

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "fr",
            "lt"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## fr-lv


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/fr-lv')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10269

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "fr",
            "lv"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## fr-mt


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/fr-mt')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10333

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "fr",
            "mt"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## fr-nl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/fr-nl')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10363

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "fr",
            "nl"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## fr-pl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/fr-pl')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10243

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "fr",
            "pl"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## fr-pt


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/fr-pt')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10469

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "fr",
            "pt"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## fr-sk


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/fr-sk')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10352

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "fr",
            "sk"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## fr-sl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/fr-sl')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 9125

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "fr",
            "sl"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## fr-sv


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/fr-sv')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10223

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "fr",
            "sv"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## ga-hu


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/ga-hu')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 8581

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "ga",
            "hu"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## ga-it


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/ga-it')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10052

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "ga",
            "it"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## ga-lt


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/ga-lt')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10202

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "ga",
            "lt"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## ga-lv


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/ga-lv')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10233

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "ga",
            "lv"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## ga-mt


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/ga-mt')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10192

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "ga",
            "mt"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## ga-nl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/ga-nl')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10092

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "ga",
            "nl"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## ga-pl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/ga-pl')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10127

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "ga",
            "pl"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## ga-pt


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/ga-pt')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10228

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "ga",
            "pt"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## ga-sk


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/ga-sk')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10160

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "ga",
            "sk"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## ga-sl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/ga-sl')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 8880

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "ga",
            "sl"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## ga-sv


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/ga-sv')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10141

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "ga",
            "sv"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## hu-it


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/hu-it')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 8743

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "hu",
            "it"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## hu-lt


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/hu-lt')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 8773

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "hu",
            "lt"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## hu-lv


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/hu-lv')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 8805

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "hu",
            "lv"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## hu-mt


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/hu-mt')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 8746

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "hu",
            "mt"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## hu-nl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/hu-nl')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 8768

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "hu",
            "nl"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## hu-pl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/hu-pl')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 8746

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "hu",
            "pl"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## hu-pt


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/hu-pt')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 8671

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "hu",
            "pt"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## hu-sk


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/hu-sk')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 8754

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "hu",
            "sk"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## hu-sl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/hu-sl')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 8822

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "hu",
            "sl"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## hu-sv


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/hu-sv')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 8737

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "hu",
            "sv"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## it-lt


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/it-lt')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10310

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "it",
            "lt"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## it-lv


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/it-lv')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10228

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "it",
            "lv"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## it-mt


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/it-mt')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10284

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "it",
            "mt"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## it-nl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/it-nl')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10354

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "it",
            "nl"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## it-pl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/it-pl')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10225

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "it",
            "pl"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## it-pt


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/it-pt')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10249

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "it",
            "pt"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## it-sk


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/it-sk')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10322

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "it",
            "sk"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## it-sl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/it-sl')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 8916

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "it",
            "sl"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## it-sv


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/it-sv')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10226

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "it",
            "sv"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## lt-lv


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/lt-lv')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10355

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "lt",
            "lv"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## lt-mt


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/lt-mt')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10407

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "lt",
            "mt"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## lt-nl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/lt-nl')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10309

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "lt",
            "nl"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## lt-pl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/lt-pl')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10255

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "lt",
            "pl"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## lt-pt


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/lt-pt')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10260

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "lt",
            "pt"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## lt-sk


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/lt-sk')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10395

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "lt",
            "sk"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## lt-sl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/lt-sl')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 8912

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "lt",
            "sl"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## lt-sv


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/lt-sv')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10208

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "lt",
            "sv"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## lv-mt


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/lv-mt')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10231

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "lv",
            "mt"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## lv-nl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/lv-nl')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10160

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "lv",
            "nl"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## lv-pl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/lv-pl')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10106

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "lv",
            "pl"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## lv-pt


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/lv-pt')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10257

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "lv",
            "pt"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## lv-sk


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/lv-sk')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10234

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "lv",
            "sk"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## lv-sl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/lv-sl')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 8939

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "lv",
            "sl"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## lv-sv


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/lv-sv')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10083

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "lv",
            "sv"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## mt-nl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/mt-nl')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10281

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "mt",
            "nl"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## mt-pl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/mt-pl')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10232

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "mt",
            "pl"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## mt-pt


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/mt-pt')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10278

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "mt",
            "pt"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## mt-sk


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/mt-sk')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10344

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "mt",
            "sk"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## mt-sl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/mt-sl')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 8892

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "mt",
            "sl"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## mt-sv


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/mt-sv')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10211

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "mt",
            "sv"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## nl-pl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/nl-pl')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10244

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "nl",
            "pl"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## nl-pt


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/nl-pt')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10080

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "nl",
            "pt"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## nl-sk


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/nl-sk')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10333

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "nl",
            "sk"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## nl-sl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/nl-sl')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 8969

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "nl",
            "sl"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## nl-sv


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/nl-sv')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10232

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "nl",
            "sv"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## pl-pt


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/pl-pt')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10157

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "pl",
            "pt"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## pl-sk


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/pl-sk')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10335

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "pl",
            "sk"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## pl-sl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/pl-sl')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 8819

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "pl",
            "sl"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## pl-sv


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/pl-sv')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10147

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "pl",
            "sv"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## pt-sk


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/pt-sk')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10597

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "pt",
            "sk"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## pt-sl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/pt-sl')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 8988

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "pt",
            "sl"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## pt-sv


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/pt-sv')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10026

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "pt",
            "sv"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## sk-sl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/sk-sl')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 9051

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "sk",
            "sl"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## sk-sv


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/sk-sv')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10253

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "sk",
            "sv"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## sl-sv


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_euconst/sl-sv')
```

*   **Description**:

```
A parallel corpus collected from the European Constitution for 21 language.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 8816

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "sl",
            "sv"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```


