# opus_openoffice

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/opus_openoffice)
*   [Huggingface](https://huggingface.co/datasets/opus_openoffice)


## de-en_GB


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_openoffice/de-en_GB')
```

*   **Description**:

```
A collection of documents from http://www.openoffice.org/.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 77052

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "de",
            "en_GB"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## de-es


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_openoffice/de-es')
```

*   **Description**:

```
A collection of documents from http://www.openoffice.org/.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 77000

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "de",
            "es"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## de-fr


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_openoffice/de-fr')
```

*   **Description**:

```
A collection of documents from http://www.openoffice.org/.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 76684

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "de",
            "fr"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## de-ja


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_openoffice/de-ja')
```

*   **Description**:

```
A collection of documents from http://www.openoffice.org/.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 69396

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "de",
            "ja"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## de-ru


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_openoffice/de-ru')
```

*   **Description**:

```
A collection of documents from http://www.openoffice.org/.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 75511

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "de",
            "ru"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## de-sv


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_openoffice/de-sv')
```

*   **Description**:

```
A collection of documents from http://www.openoffice.org/.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 77366

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "de",
            "sv"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## de-zh_CN


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_openoffice/de-zh_CN')
```

*   **Description**:

```
A collection of documents from http://www.openoffice.org/.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 68712

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "de",
            "zh_CN"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## en_GB-es


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_openoffice/en_GB-es')
```

*   **Description**:

```
A collection of documents from http://www.openoffice.org/.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 77646

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "en_GB",
            "es"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## en_GB-fr


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_openoffice/en_GB-fr')
```

*   **Description**:

```
A collection of documents from http://www.openoffice.org/.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 77696

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "en_GB",
            "fr"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## en_GB-ja


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_openoffice/en_GB-ja')
```

*   **Description**:

```
A collection of documents from http://www.openoffice.org/.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 69149

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "en_GB",
            "ja"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## en_GB-ru


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_openoffice/en_GB-ru')
```

*   **Description**:

```
A collection of documents from http://www.openoffice.org/.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 75401

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "en_GB",
            "ru"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## en_GB-sv


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_openoffice/en_GB-sv')
```

*   **Description**:

```
A collection of documents from http://www.openoffice.org/.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 77815

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "en_GB",
            "sv"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## en_GB-zh_CN


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_openoffice/en_GB-zh_CN')
```

*   **Description**:

```
A collection of documents from http://www.openoffice.org/.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 69400

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "en_GB",
            "zh_CN"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## es-fr


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_openoffice/es-fr')
```

*   **Description**:

```
A collection of documents from http://www.openoffice.org/.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 77417

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "es",
            "fr"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## es-ja


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_openoffice/es-ja')
```

*   **Description**:

```
A collection of documents from http://www.openoffice.org/.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 68944

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "es",
            "ja"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## es-ru


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_openoffice/es-ru')
```

*   **Description**:

```
A collection of documents from http://www.openoffice.org/.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 76461

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "es",
            "ru"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## es-sv


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_openoffice/es-sv')
```

*   **Description**:

```
A collection of documents from http://www.openoffice.org/.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 77825

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "es",
            "sv"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## es-zh_CN


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_openoffice/es-zh_CN')
```

*   **Description**:

```
A collection of documents from http://www.openoffice.org/.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 68583

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "es",
            "zh_CN"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## fr-ja


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_openoffice/fr-ja')
```

*   **Description**:

```
A collection of documents from http://www.openoffice.org/.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 69026

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "fr",
            "ja"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## fr-ru


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_openoffice/fr-ru')
```

*   **Description**:

```
A collection of documents from http://www.openoffice.org/.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 76464

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "fr",
            "ru"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## fr-sv


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_openoffice/fr-sv')
```

*   **Description**:

```
A collection of documents from http://www.openoffice.org/.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 77398

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "fr",
            "sv"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## fr-zh_CN


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_openoffice/fr-zh_CN')
```

*   **Description**:

```
A collection of documents from http://www.openoffice.org/.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 68723

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "fr",
            "zh_CN"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## ja-ru


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_openoffice/ja-ru')
```

*   **Description**:

```
A collection of documents from http://www.openoffice.org/.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 68589

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "ja",
            "ru"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## ja-sv


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_openoffice/ja-sv')
```

*   **Description**:

```
A collection of documents from http://www.openoffice.org/.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 69154

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "ja",
            "sv"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## ja-zh_CN


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_openoffice/ja-zh_CN')
```

*   **Description**:

```
A collection of documents from http://www.openoffice.org/.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 68953

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "ja",
            "zh_CN"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## ru-sv


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_openoffice/ru-sv')
```

*   **Description**:

```
A collection of documents from http://www.openoffice.org/.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 75560

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "ru",
            "sv"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## ru-zh_CN


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_openoffice/ru-zh_CN')
```

*   **Description**:

```
A collection of documents from http://www.openoffice.org/.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 66259

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "ru",
            "zh_CN"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## sv-zh_CN


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_openoffice/sv-zh_CN')
```

*   **Description**:

```
A collection of documents from http://www.openoffice.org/.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 68846

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "sv",
            "zh_CN"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```


