# opus_paracrawl

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/opus_paracrawl)
*   [Huggingface](https://huggingface.co/datasets/opus_paracrawl)


## el-en


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_paracrawl/el-en')
```

*   **Description**:

```
Parallel corpora from Web Crawls collected in the ParaCrawl project
40 languages, 41 bitexts
total number of files: 20,995
total number of tokens: 21.40G
total number of sentence fragments: 1.12G
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 9402646

*   **Features**:

```json
{
    "id": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "translation": {
        "languages": [
            "el",
            "en"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## en-ha


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_paracrawl/en-ha')
```

*   **Description**:

```
Parallel corpora from Web Crawls collected in the ParaCrawl project
40 languages, 41 bitexts
total number of files: 20,995
total number of tokens: 21.40G
total number of sentence fragments: 1.12G
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 19694

*   **Features**:

```json
{
    "id": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "translation": {
        "languages": [
            "en",
            "ha"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## en-ig


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_paracrawl/en-ig')
```

*   **Description**:

```
Parallel corpora from Web Crawls collected in the ParaCrawl project
40 languages, 41 bitexts
total number of files: 20,995
total number of tokens: 21.40G
total number of sentence fragments: 1.12G
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 28829

*   **Features**:

```json
{
    "id": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "translation": {
        "languages": [
            "en",
            "ig"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## en-km


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_paracrawl/en-km')
```

*   **Description**:

```
Parallel corpora from Web Crawls collected in the ParaCrawl project
40 languages, 41 bitexts
total number of files: 20,995
total number of tokens: 21.40G
total number of sentence fragments: 1.12G
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 65113

*   **Features**:

```json
{
    "id": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "translation": {
        "languages": [
            "en",
            "km"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## en-so


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_paracrawl/en-so')
```

*   **Description**:

```
Parallel corpora from Web Crawls collected in the ParaCrawl project
40 languages, 41 bitexts
total number of files: 20,995
total number of tokens: 21.40G
total number of sentence fragments: 1.12G
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 14879

*   **Features**:

```json
{
    "id": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "translation": {
        "languages": [
            "en",
            "so"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## de-pl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_paracrawl/de-pl')
```

*   **Description**:

```
Parallel corpora from Web Crawls collected in the ParaCrawl project
40 languages, 41 bitexts
total number of files: 20,995
total number of tokens: 21.40G
total number of sentence fragments: 1.12G
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 916624

*   **Features**:

```json
{
    "id": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "translation": {
        "languages": [
            "de",
            "pl"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## fr-nl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_paracrawl/fr-nl')
```

*   **Description**:

```
Parallel corpora from Web Crawls collected in the ParaCrawl project
40 languages, 41 bitexts
total number of files: 20,995
total number of tokens: 21.40G
total number of sentence fragments: 1.12G
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 2687619

*   **Features**:

```json
{
    "id": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "translation": {
        "languages": [
            "fr",
            "nl"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## en-sw


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_paracrawl/en-sw')
```

*   **Description**:

```
Parallel corpora from Web Crawls collected in the ParaCrawl project
40 languages, 41 bitexts
total number of files: 20,995
total number of tokens: 21.40G
total number of sentence fragments: 1.12G
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 132517

*   **Features**:

```json
{
    "id": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "translation": {
        "languages": [
            "en",
            "sw"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## en-tl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_paracrawl/en-tl')
```

*   **Description**:

```
Parallel corpora from Web Crawls collected in the ParaCrawl project
40 languages, 41 bitexts
total number of files: 20,995
total number of tokens: 21.40G
total number of sentence fragments: 1.12G
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 248684

*   **Features**:

```json
{
    "id": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "translation": {
        "languages": [
            "en",
            "tl"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## es-gl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_paracrawl/es-gl')
```

*   **Description**:

```
Parallel corpora from Web Crawls collected in the ParaCrawl project
40 languages, 41 bitexts
total number of files: 20,995
total number of tokens: 21.40G
total number of sentence fragments: 1.12G
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 1222862

*   **Features**:

```json
{
    "id": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "translation": {
        "languages": [
            "es",
            "gl"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```


