# opus_rf

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/opus_rf)
*   [Huggingface](https://huggingface.co/datasets/opus_rf)


## de-en


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_rf/de-en')
```

*   **Description**:

```
RF is a tiny parallel corpus of the Declarations of the Swedish Government and its translations.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 177

*   **Features**:

```json
{
    "id": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "translation": {
        "languages": [
            "de",
            "en"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## de-es


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_rf/de-es')
```

*   **Description**:

```
RF is a tiny parallel corpus of the Declarations of the Swedish Government and its translations.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 24

*   **Features**:

```json
{
    "id": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "translation": {
        "languages": [
            "de",
            "es"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## de-fr


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_rf/de-fr')
```

*   **Description**:

```
RF is a tiny parallel corpus of the Declarations of the Swedish Government and its translations.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 173

*   **Features**:

```json
{
    "id": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "translation": {
        "languages": [
            "de",
            "fr"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## de-sv


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_rf/de-sv')
```

*   **Description**:

```
RF is a tiny parallel corpus of the Declarations of the Swedish Government and its translations.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 178

*   **Features**:

```json
{
    "id": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "translation": {
        "languages": [
            "de",
            "sv"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## en-es


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_rf/en-es')
```

*   **Description**:

```
RF is a tiny parallel corpus of the Declarations of the Swedish Government and its translations.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 25

*   **Features**:

```json
{
    "id": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "translation": {
        "languages": [
            "en",
            "es"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## en-fr


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_rf/en-fr')
```

*   **Description**:

```
RF is a tiny parallel corpus of the Declarations of the Swedish Government and its translations.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 175

*   **Features**:

```json
{
    "id": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "translation": {
        "languages": [
            "en",
            "fr"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## en-sv


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_rf/en-sv')
```

*   **Description**:

```
RF is a tiny parallel corpus of the Declarations of the Swedish Government and its translations.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 180

*   **Features**:

```json
{
    "id": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "translation": {
        "languages": [
            "en",
            "sv"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## es-fr


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_rf/es-fr')
```

*   **Description**:

```
RF is a tiny parallel corpus of the Declarations of the Swedish Government and its translations.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 21

*   **Features**:

```json
{
    "id": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "translation": {
        "languages": [
            "es",
            "fr"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## es-sv


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_rf/es-sv')
```

*   **Description**:

```
RF is a tiny parallel corpus of the Declarations of the Swedish Government and its translations.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 28

*   **Features**:

```json
{
    "id": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "translation": {
        "languages": [
            "es",
            "sv"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## fr-sv


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:opus_rf/fr-sv')
```

*   **Description**:

```
RF is a tiny parallel corpus of the Declarations of the Swedish Government and its translations.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 175

*   **Features**:

```json
{
    "id": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "translation": {
        "languages": [
            "fr",
            "sv"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```


