# pib

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/pib)
*   [Huggingface](https://huggingface.co/datasets/pib)


## or-ur


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:pib/or-ur')
```

*   **Description**:

```
Sentence aligned parallel corpus between 11 Indian Languages, crawled and extracted from the press information bureau
website.
```

*   **License**: No known license
*   **Version**: 1.3.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 43766

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "or",
            "ur"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## ml-or


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:pib/ml-or')
```

*   **Description**:

```
Sentence aligned parallel corpus between 11 Indian Languages, crawled and extracted from the press information bureau
website.
```

*   **License**: No known license
*   **Version**: 1.3.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 19413

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "ml",
            "or"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## bn-ta


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:pib/bn-ta')
```

*   **Description**:

```
Sentence aligned parallel corpus between 11 Indian Languages, crawled and extracted from the press information bureau
website.
```

*   **License**: No known license
*   **Version**: 1.3.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 33005

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "bn",
            "ta"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## gu-mr


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:pib/gu-mr')
```

*   **Description**:

```
Sentence aligned parallel corpus between 11 Indian Languages, crawled and extracted from the press information bureau
website.
```

*   **License**: No known license
*   **Version**: 1.3.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 30766

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "gu",
            "mr"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## hi-or


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:pib/hi-or')
```

*   **Description**:

```
Sentence aligned parallel corpus between 11 Indian Languages, crawled and extracted from the press information bureau
website.
```

*   **License**: No known license
*   **Version**: 1.3.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 61070

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "hi",
            "or"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## en-or


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:pib/en-or')
```

*   **Description**:

```
Sentence aligned parallel corpus between 11 Indian Languages, crawled and extracted from the press information bureau
website.
```

*   **License**: No known license
*   **Version**: 1.3.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 98230

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "en",
            "or"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## mr-ur


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:pib/mr-ur')
```

*   **Description**:

```
Sentence aligned parallel corpus between 11 Indian Languages, crawled and extracted from the press information bureau
website.
```

*   **License**: No known license
*   **Version**: 1.3.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 49691

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "mr",
            "ur"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## en-ta


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:pib/en-ta')
```

*   **Description**:

```
Sentence aligned parallel corpus between 11 Indian Languages, crawled and extracted from the press information bureau
website.
```

*   **License**: No known license
*   **Version**: 1.3.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 118759

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "en",
            "ta"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## hi-ta


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:pib/hi-ta')
```

*   **Description**:

```
Sentence aligned parallel corpus between 11 Indian Languages, crawled and extracted from the press information bureau
website.
```

*   **License**: No known license
*   **Version**: 1.3.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 64945

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "hi",
            "ta"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## bn-en


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:pib/bn-en')
```

*   **Description**:

```
Sentence aligned parallel corpus between 11 Indian Languages, crawled and extracted from the press information bureau
website.
```

*   **License**: No known license
*   **Version**: 1.3.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 93560

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "bn",
            "en"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## bn-or


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:pib/bn-or')
```

*   **Description**:

```
Sentence aligned parallel corpus between 11 Indian Languages, crawled and extracted from the press information bureau
website.
```

*   **License**: No known license
*   **Version**: 1.3.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 26456

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "bn",
            "or"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## ml-ta


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:pib/ml-ta')
```

*   **Description**:

```
Sentence aligned parallel corpus between 11 Indian Languages, crawled and extracted from the press information bureau
website.
```

*   **License**: No known license
*   **Version**: 1.3.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 23609

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "ml",
            "ta"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## gu-ur


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:pib/gu-ur')
```

*   **Description**:

```
Sentence aligned parallel corpus between 11 Indian Languages, crawled and extracted from the press information bureau
website.
```

*   **License**: No known license
*   **Version**: 1.3.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 29938

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "gu",
            "ur"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## bn-ml


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:pib/bn-ml')
```

*   **Description**:

```
Sentence aligned parallel corpus between 11 Indian Languages, crawled and extracted from the press information bureau
website.
```

*   **License**: No known license
*   **Version**: 1.3.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 18149

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "bn",
            "ml"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## ml-pa


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:pib/ml-pa')
```

*   **Description**:

```
Sentence aligned parallel corpus between 11 Indian Languages, crawled and extracted from the press information bureau
website.
```

*   **License**: No known license
*   **Version**: 1.3.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 21978

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "ml",
            "pa"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## en-pa


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:pib/en-pa')
```

*   **Description**:

```
Sentence aligned parallel corpus between 11 Indian Languages, crawled and extracted from the press information bureau
website.
```

*   **License**: No known license
*   **Version**: 1.3.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 103296

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "en",
            "pa"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## bn-hi


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:pib/bn-hi')
```

*   **Description**:

```
Sentence aligned parallel corpus between 11 Indian Languages, crawled and extracted from the press information bureau
website.
```

*   **License**: No known license
*   **Version**: 1.3.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 49598

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "bn",
            "hi"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## hi-pa


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:pib/hi-pa')
```

*   **Description**:

```
Sentence aligned parallel corpus between 11 Indian Languages, crawled and extracted from the press information bureau
website.
```

*   **License**: No known license
*   **Version**: 1.3.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 75200

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "hi",
            "pa"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## gu-te


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:pib/gu-te')
```

*   **Description**:

```
Sentence aligned parallel corpus between 11 Indian Languages, crawled and extracted from the press information bureau
website.
```

*   **License**: No known license
*   **Version**: 1.3.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 16335

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "gu",
            "te"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## pa-ta


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:pib/pa-ta')
```

*   **Description**:

```
Sentence aligned parallel corpus between 11 Indian Languages, crawled and extracted from the press information bureau
website.
```

*   **License**: No known license
*   **Version**: 1.3.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 46349

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "pa",
            "ta"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## hi-ml


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:pib/hi-ml')
```

*   **Description**:

```
Sentence aligned parallel corpus between 11 Indian Languages, crawled and extracted from the press information bureau
website.
```

*   **License**: No known license
*   **Version**: 1.3.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 27167

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "hi",
            "ml"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## or-te


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:pib/or-te')
```

*   **Description**:

```
Sentence aligned parallel corpus between 11 Indian Languages, crawled and extracted from the press information bureau
website.
```

*   **License**: No known license
*   **Version**: 1.3.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10475

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "or",
            "te"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## en-ml


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:pib/en-ml')
```

*   **Description**:

```
Sentence aligned parallel corpus between 11 Indian Languages, crawled and extracted from the press information bureau
website.
```

*   **License**: No known license
*   **Version**: 1.3.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 44986

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "en",
            "ml"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## en-hi


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:pib/en-hi')
```

*   **Description**:

```
Sentence aligned parallel corpus between 11 Indian Languages, crawled and extracted from the press information bureau
website.
```

*   **License**: No known license
*   **Version**: 1.3.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 269594

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "en",
            "hi"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## bn-pa


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:pib/bn-pa')
```

*   **Description**:

```
Sentence aligned parallel corpus between 11 Indian Languages, crawled and extracted from the press information bureau
website.
```

*   **License**: No known license
*   **Version**: 1.3.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 35109

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "bn",
            "pa"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## mr-te


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:pib/mr-te')
```

*   **Description**:

```
Sentence aligned parallel corpus between 11 Indian Languages, crawled and extracted from the press information bureau
website.
```

*   **License**: No known license
*   **Version**: 1.3.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 18179

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "mr",
            "te"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## mr-pa


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:pib/mr-pa')
```

*   **Description**:

```
Sentence aligned parallel corpus between 11 Indian Languages, crawled and extracted from the press information bureau
website.
```

*   **License**: No known license
*   **Version**: 1.3.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 50418

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "mr",
            "pa"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## bn-te


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:pib/bn-te')
```

*   **Description**:

```
Sentence aligned parallel corpus between 11 Indian Languages, crawled and extracted from the press information bureau
website.
```

*   **License**: No known license
*   **Version**: 1.3.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 17605

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "bn",
            "te"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## gu-hi


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:pib/gu-hi')
```

*   **Description**:

```
Sentence aligned parallel corpus between 11 Indian Languages, crawled and extracted from the press information bureau
website.
```

*   **License**: No known license
*   **Version**: 1.3.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 41587

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "gu",
            "hi"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## ta-ur


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:pib/ta-ur')
```

*   **Description**:

```
Sentence aligned parallel corpus between 11 Indian Languages, crawled and extracted from the press information bureau
website.
```

*   **License**: No known license
*   **Version**: 1.3.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 48892

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "ta",
            "ur"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## te-ur


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:pib/te-ur')
```

*   **Description**:

```
Sentence aligned parallel corpus between 11 Indian Languages, crawled and extracted from the press information bureau
website.
```

*   **License**: No known license
*   **Version**: 1.3.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 21148

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "te",
            "ur"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## or-pa


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:pib/or-pa')
```

*   **Description**:

```
Sentence aligned parallel corpus between 11 Indian Languages, crawled and extracted from the press information bureau
website.
```

*   **License**: No known license
*   **Version**: 1.3.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 43159

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "or",
            "pa"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## gu-ml


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:pib/gu-ml')
```

*   **Description**:

```
Sentence aligned parallel corpus between 11 Indian Languages, crawled and extracted from the press information bureau
website.
```

*   **License**: No known license
*   **Version**: 1.3.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 18252

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "gu",
            "ml"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## gu-pa


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:pib/gu-pa')
```

*   **Description**:

```
Sentence aligned parallel corpus between 11 Indian Languages, crawled and extracted from the press information bureau
website.
```

*   **License**: No known license
*   **Version**: 1.3.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 35566

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "gu",
            "pa"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## hi-te


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:pib/hi-te')
```

*   **Description**:

```
Sentence aligned parallel corpus between 11 Indian Languages, crawled and extracted from the press information bureau
website.
```

*   **License**: No known license
*   **Version**: 1.3.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 28569

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "hi",
            "te"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## en-te


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:pib/en-te')
```

*   **Description**:

```
Sentence aligned parallel corpus between 11 Indian Languages, crawled and extracted from the press information bureau
website.
```

*   **License**: No known license
*   **Version**: 1.3.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 44888

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "en",
            "te"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## ml-te


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:pib/ml-te')
```

*   **Description**:

```
Sentence aligned parallel corpus between 11 Indian Languages, crawled and extracted from the press information bureau
website.
```

*   **License**: No known license
*   **Version**: 1.3.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10480

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "ml",
            "te"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## pa-ur


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:pib/pa-ur')
```

*   **Description**:

```
Sentence aligned parallel corpus between 11 Indian Languages, crawled and extracted from the press information bureau
website.
```

*   **License**: No known license
*   **Version**: 1.3.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 51831

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "pa",
            "ur"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## hi-ur


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:pib/hi-ur')
```

*   **Description**:

```
Sentence aligned parallel corpus between 11 Indian Languages, crawled and extracted from the press information bureau
website.
```

*   **License**: No known license
*   **Version**: 1.3.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 109951

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "hi",
            "ur"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## mr-or


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:pib/mr-or')
```

*   **Description**:

```
Sentence aligned parallel corpus between 11 Indian Languages, crawled and extracted from the press information bureau
website.
```

*   **License**: No known license
*   **Version**: 1.3.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 47001

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "mr",
            "or"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## en-ur


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:pib/en-ur')
```

*   **Description**:

```
Sentence aligned parallel corpus between 11 Indian Languages, crawled and extracted from the press information bureau
website.
```

*   **License**: No known license
*   **Version**: 1.3.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 202578

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "en",
            "ur"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## ml-ur


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:pib/ml-ur')
```

*   **Description**:

```
Sentence aligned parallel corpus between 11 Indian Languages, crawled and extracted from the press information bureau
website.
```

*   **License**: No known license
*   **Version**: 1.3.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 20913

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "ml",
            "ur"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## bn-mr


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:pib/bn-mr')
```

*   **Description**:

```
Sentence aligned parallel corpus between 11 Indian Languages, crawled and extracted from the press information bureau
website.
```

*   **License**: No known license
*   **Version**: 1.3.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 34043

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "bn",
            "mr"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## gu-ta


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:pib/gu-ta')
```

*   **Description**:

```
Sentence aligned parallel corpus between 11 Indian Languages, crawled and extracted from the press information bureau
website.
```

*   **License**: No known license
*   **Version**: 1.3.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 29187

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "gu",
            "ta"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## pa-te


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:pib/pa-te')
```

*   **Description**:

```
Sentence aligned parallel corpus between 11 Indian Languages, crawled and extracted from the press information bureau
website.
```

*   **License**: No known license
*   **Version**: 1.3.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 25684

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "pa",
            "te"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## bn-gu


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:pib/bn-gu')
```

*   **Description**:

```
Sentence aligned parallel corpus between 11 Indian Languages, crawled and extracted from the press information bureau
website.
```

*   **License**: No known license
*   **Version**: 1.3.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 25166

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "bn",
            "gu"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## bn-ur


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:pib/bn-ur')
```

*   **Description**:

```
Sentence aligned parallel corpus between 11 Indian Languages, crawled and extracted from the press information bureau
website.
```

*   **License**: No known license
*   **Version**: 1.3.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 39290

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "bn",
            "ur"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## ml-mr


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:pib/ml-mr')
```

*   **Description**:

```
Sentence aligned parallel corpus between 11 Indian Languages, crawled and extracted from the press information bureau
website.
```

*   **License**: No known license
*   **Version**: 1.3.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 22796

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "ml",
            "mr"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## or-ta


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:pib/or-ta')
```

*   **Description**:

```
Sentence aligned parallel corpus between 11 Indian Languages, crawled and extracted from the press information bureau
website.
```

*   **License**: No known license
*   **Version**: 1.3.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 44035

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "or",
            "ta"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## ta-te


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:pib/ta-te')
```

*   **Description**:

```
Sentence aligned parallel corpus between 11 Indian Languages, crawled and extracted from the press information bureau
website.
```

*   **License**: No known license
*   **Version**: 1.3.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 17359

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "ta",
            "te"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## gu-or


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:pib/gu-or')
```

*   **Description**:

```
Sentence aligned parallel corpus between 11 Indian Languages, crawled and extracted from the press information bureau
website.
```

*   **License**: No known license
*   **Version**: 1.3.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 27162

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "gu",
            "or"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## en-gu


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:pib/en-gu')
```

*   **Description**:

```
Sentence aligned parallel corpus between 11 Indian Languages, crawled and extracted from the press information bureau
website.
```

*   **License**: No known license
*   **Version**: 1.3.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 59739

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "en",
            "gu"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## hi-mr


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:pib/hi-mr')
```

*   **Description**:

```
Sentence aligned parallel corpus between 11 Indian Languages, crawled and extracted from the press information bureau
website.
```

*   **License**: No known license
*   **Version**: 1.3.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 69186

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "hi",
            "mr"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## mr-ta


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:pib/mr-ta')
```

*   **Description**:

```
Sentence aligned parallel corpus between 11 Indian Languages, crawled and extracted from the press information bureau
website.
```

*   **License**: No known license
*   **Version**: 1.3.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 48535

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "mr",
            "ta"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## en-mr


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:pib/en-mr')
```

*   **Description**:

```
Sentence aligned parallel corpus between 11 Indian Languages, crawled and extracted from the press information bureau
website.
```

*   **License**: No known license
*   **Version**: 1.3.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 117199

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "en",
            "mr"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```


