# reasoning_bg

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/reasoning_bg)
*   [Huggingface](https://huggingface.co/datasets/reasoning_bg)


## biology-12th


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:reasoning_bg/biology-12th')
```

*   **Description**:

```
This new dataset is designed to do reading comprehension in Bulgarian language.
```

*   **License**: Apache-2.0 License
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 437

*   **Features**:

```json
{
    "id": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "url": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "qid": {
        "dtype": "int32",
        "id": null,
        "_type": "Value"
    },
    "question": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "answers": {
        "feature": {
            "dtype": "string",
            "id": null,
            "_type": "Value"
        },
        "length": -1,
        "id": null,
        "_type": "Sequence"
    },
    "correct": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    }
}
```



## philosophy-12th


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:reasoning_bg/philosophy-12th')
```

*   **Description**:

```
This new dataset is designed to do reading comprehension in Bulgarian language.
```

*   **License**: Apache-2.0 License
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 630

*   **Features**:

```json
{
    "id": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "url": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "qid": {
        "dtype": "int32",
        "id": null,
        "_type": "Value"
    },
    "question": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "answers": {
        "feature": {
            "dtype": "string",
            "id": null,
            "_type": "Value"
        },
        "length": -1,
        "id": null,
        "_type": "Sequence"
    },
    "correct": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    }
}
```



## geography-12th


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:reasoning_bg/geography-12th')
```

*   **Description**:

```
This new dataset is designed to do reading comprehension in Bulgarian language.
```

*   **License**: Apache-2.0 License
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 612

*   **Features**:

```json
{
    "id": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "url": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "qid": {
        "dtype": "int32",
        "id": null,
        "_type": "Value"
    },
    "question": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "answers": {
        "feature": {
            "dtype": "string",
            "id": null,
            "_type": "Value"
        },
        "length": -1,
        "id": null,
        "_type": "Sequence"
    },
    "correct": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    }
}
```



## history-12th


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:reasoning_bg/history-12th')
```

*   **Description**:

```
This new dataset is designed to do reading comprehension in Bulgarian language.
```

*   **License**: Apache-2.0 License
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 542

*   **Features**:

```json
{
    "id": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "url": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "qid": {
        "dtype": "int32",
        "id": null,
        "_type": "Value"
    },
    "question": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "answers": {
        "feature": {
            "dtype": "string",
            "id": null,
            "_type": "Value"
        },
        "length": -1,
        "id": null,
        "_type": "Sequence"
    },
    "correct": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    }
}
```



## history-quiz


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:reasoning_bg/history-quiz')
```

*   **Description**:

```
This new dataset is designed to do reading comprehension in Bulgarian language.
```

*   **License**: Apache-2.0 License
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 412

*   **Features**:

```json
{
    "id": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "url": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "qid": {
        "dtype": "int32",
        "id": null,
        "_type": "Value"
    },
    "question": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "answers": {
        "feature": {
            "dtype": "string",
            "id": null,
            "_type": "Value"
        },
        "length": -1,
        "id": null,
        "_type": "Sequence"
    },
    "correct": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    }
}
```


