# scan

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/scan)
*   [Huggingface](https://huggingface.co/datasets/scan)


## simple


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:scan/simple')
```

*   **Description**:

```
SCAN tasks with various splits.

SCAN is a set of simple language-driven navigation tasks for studying
compositional learning and zero-shot generalization.

See https://github.com/brendenlake/SCAN for a description of the splits.

Example usage:
data = datasets.load_dataset('scan/length')
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'test'` | 4182
`'train'` | 16728

*   **Features**:

```json
{
    "commands": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "actions": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    }
}
```



## addprim_jump


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:scan/addprim_jump')
```

*   **Description**:

```
SCAN tasks with various splits.

SCAN is a set of simple language-driven navigation tasks for studying
compositional learning and zero-shot generalization.

See https://github.com/brendenlake/SCAN for a description of the splits.

Example usage:
data = datasets.load_dataset('scan/length')
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'test'` | 7706
`'train'` | 14670

*   **Features**:

```json
{
    "commands": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "actions": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    }
}
```



## addprim_turn_left


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:scan/addprim_turn_left')
```

*   **Description**:

```
SCAN tasks with various splits.

SCAN is a set of simple language-driven navigation tasks for studying
compositional learning and zero-shot generalization.

See https://github.com/brendenlake/SCAN for a description of the splits.

Example usage:
data = datasets.load_dataset('scan/length')
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'test'` | 1208
`'train'` | 21890

*   **Features**:

```json
{
    "commands": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "actions": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    }
}
```



## filler_num0


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:scan/filler_num0')
```

*   **Description**:

```
SCAN tasks with various splits.

SCAN is a set of simple language-driven navigation tasks for studying
compositional learning and zero-shot generalization.

See https://github.com/brendenlake/SCAN for a description of the splits.

Example usage:
data = datasets.load_dataset('scan/length')
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'test'` | 1173
`'train'` | 15225

*   **Features**:

```json
{
    "commands": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "actions": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    }
}
```



## filler_num1


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:scan/filler_num1')
```

*   **Description**:

```
SCAN tasks with various splits.

SCAN is a set of simple language-driven navigation tasks for studying
compositional learning and zero-shot generalization.

See https://github.com/brendenlake/SCAN for a description of the splits.

Example usage:
data = datasets.load_dataset('scan/length')
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'test'` | 1173
`'train'` | 16290

*   **Features**:

```json
{
    "commands": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "actions": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    }
}
```



## filler_num2


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:scan/filler_num2')
```

*   **Description**:

```
SCAN tasks with various splits.

SCAN is a set of simple language-driven navigation tasks for studying
compositional learning and zero-shot generalization.

See https://github.com/brendenlake/SCAN for a description of the splits.

Example usage:
data = datasets.load_dataset('scan/length')
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'test'` | 1173
`'train'` | 17391

*   **Features**:

```json
{
    "commands": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "actions": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    }
}
```



## filler_num3


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:scan/filler_num3')
```

*   **Description**:

```
SCAN tasks with various splits.

SCAN is a set of simple language-driven navigation tasks for studying
compositional learning and zero-shot generalization.

See https://github.com/brendenlake/SCAN for a description of the splits.

Example usage:
data = datasets.load_dataset('scan/length')
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'test'` | 1173
`'train'` | 18528

*   **Features**:

```json
{
    "commands": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "actions": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    }
}
```



## length


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:scan/length')
```

*   **Description**:

```
SCAN tasks with various splits.

SCAN is a set of simple language-driven navigation tasks for studying
compositional learning and zero-shot generalization.

See https://github.com/brendenlake/SCAN for a description of the splits.

Example usage:
data = datasets.load_dataset('scan/length')
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'test'` | 3920
`'train'` | 16990

*   **Features**:

```json
{
    "commands": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "actions": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    }
}
```



## template_around_right


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:scan/template_around_right')
```

*   **Description**:

```
SCAN tasks with various splits.

SCAN is a set of simple language-driven navigation tasks for studying
compositional learning and zero-shot generalization.

See https://github.com/brendenlake/SCAN for a description of the splits.

Example usage:
data = datasets.load_dataset('scan/length')
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'test'` | 4476
`'train'` | 15225

*   **Features**:

```json
{
    "commands": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "actions": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    }
}
```



## template_jump_around_right


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:scan/template_jump_around_right')
```

*   **Description**:

```
SCAN tasks with various splits.

SCAN is a set of simple language-driven navigation tasks for studying
compositional learning and zero-shot generalization.

See https://github.com/brendenlake/SCAN for a description of the splits.

Example usage:
data = datasets.load_dataset('scan/length')
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'test'` | 1173
`'train'` | 18528

*   **Features**:

```json
{
    "commands": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "actions": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    }
}
```



## template_opposite_right


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:scan/template_opposite_right')
```

*   **Description**:

```
SCAN tasks with various splits.

SCAN is a set of simple language-driven navigation tasks for studying
compositional learning and zero-shot generalization.

See https://github.com/brendenlake/SCAN for a description of the splits.

Example usage:
data = datasets.load_dataset('scan/length')
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'test'` | 4476
`'train'` | 15225

*   **Features**:

```json
{
    "commands": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "actions": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    }
}
```



## template_right


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:scan/template_right')
```

*   **Description**:

```
SCAN tasks with various splits.

SCAN is a set of simple language-driven navigation tasks for studying
compositional learning and zero-shot generalization.

See https://github.com/brendenlake/SCAN for a description of the splits.

Example usage:
data = datasets.load_dataset('scan/length')
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'test'` | 4476
`'train'` | 15225

*   **Features**:

```json
{
    "commands": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "actions": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    }
}
```


