# senti_lex

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/senti_lex)
*   [Huggingface](https://huggingface.co/datasets/senti_lex)


## af


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:senti_lex/af')
```

*   **Description**:

```
This dataset add sentiment lexicons for 81 languages generated via graph propagation based on a knowledge graph--a graphical representation of real-world entities and the links between them.
```

*   **License**: GNU General Public License v3
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 2299

*   **Features**:

```json
{
    "word": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "sentiment": {
        "num_classes": 2,
        "names": [
            "negative",
            "positive"
        ],
        "names_file": null,
        "id": null,
        "_type": "ClassLabel"
    }
}
```



## an


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:senti_lex/an')
```

*   **Description**:

```
This dataset add sentiment lexicons for 81 languages generated via graph propagation based on a knowledge graph--a graphical representation of real-world entities and the links between them.
```

*   **License**: GNU General Public License v3
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 97

*   **Features**:

```json
{
    "word": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "sentiment": {
        "num_classes": 2,
        "names": [
            "negative",
            "positive"
        ],
        "names_file": null,
        "id": null,
        "_type": "ClassLabel"
    }
}
```



## ar


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:senti_lex/ar')
```

*   **Description**:

```
This dataset add sentiment lexicons for 81 languages generated via graph propagation based on a knowledge graph--a graphical representation of real-world entities and the links between them.
```

*   **License**: GNU General Public License v3
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 2794

*   **Features**:

```json
{
    "word": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "sentiment": {
        "num_classes": 2,
        "names": [
            "negative",
            "positive"
        ],
        "names_file": null,
        "id": null,
        "_type": "ClassLabel"
    }
}
```



## az


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:senti_lex/az')
```

*   **Description**:

```
This dataset add sentiment lexicons for 81 languages generated via graph propagation based on a knowledge graph--a graphical representation of real-world entities and the links between them.
```

*   **License**: GNU General Public License v3
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 1979

*   **Features**:

```json
{
    "word": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "sentiment": {
        "num_classes": 2,
        "names": [
            "negative",
            "positive"
        ],
        "names_file": null,
        "id": null,
        "_type": "ClassLabel"
    }
}
```



## be


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:senti_lex/be')
```

*   **Description**:

```
This dataset add sentiment lexicons for 81 languages generated via graph propagation based on a knowledge graph--a graphical representation of real-world entities and the links between them.
```

*   **License**: GNU General Public License v3
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 1526

*   **Features**:

```json
{
    "word": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "sentiment": {
        "num_classes": 2,
        "names": [
            "negative",
            "positive"
        ],
        "names_file": null,
        "id": null,
        "_type": "ClassLabel"
    }
}
```



## bg


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:senti_lex/bg')
```

*   **Description**:

```
This dataset add sentiment lexicons for 81 languages generated via graph propagation based on a knowledge graph--a graphical representation of real-world entities and the links between them.
```

*   **License**: GNU General Public License v3
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 2847

*   **Features**:

```json
{
    "word": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "sentiment": {
        "num_classes": 2,
        "names": [
            "negative",
            "positive"
        ],
        "names_file": null,
        "id": null,
        "_type": "ClassLabel"
    }
}
```



## bn


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:senti_lex/bn')
```

*   **Description**:

```
This dataset add sentiment lexicons for 81 languages generated via graph propagation based on a knowledge graph--a graphical representation of real-world entities and the links between them.
```

*   **License**: GNU General Public License v3
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 2393

*   **Features**:

```json
{
    "word": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "sentiment": {
        "num_classes": 2,
        "names": [
            "negative",
            "positive"
        ],
        "names_file": null,
        "id": null,
        "_type": "ClassLabel"
    }
}
```



## br


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:senti_lex/br')
```

*   **Description**:

```
This dataset add sentiment lexicons for 81 languages generated via graph propagation based on a knowledge graph--a graphical representation of real-world entities and the links between them.
```

*   **License**: GNU General Public License v3
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 184

*   **Features**:

```json
{
    "word": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "sentiment": {
        "num_classes": 2,
        "names": [
            "negative",
            "positive"
        ],
        "names_file": null,
        "id": null,
        "_type": "ClassLabel"
    }
}
```



## bs


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:senti_lex/bs')
```

*   **Description**:

```
This dataset add sentiment lexicons for 81 languages generated via graph propagation based on a knowledge graph--a graphical representation of real-world entities and the links between them.
```

*   **License**: GNU General Public License v3
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 2020

*   **Features**:

```json
{
    "word": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "sentiment": {
        "num_classes": 2,
        "names": [
            "negative",
            "positive"
        ],
        "names_file": null,
        "id": null,
        "_type": "ClassLabel"
    }
}
```



## ca


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:senti_lex/ca')
```

*   **Description**:

```
This dataset add sentiment lexicons for 81 languages generated via graph propagation based on a knowledge graph--a graphical representation of real-world entities and the links between them.
```

*   **License**: GNU General Public License v3
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 3204

*   **Features**:

```json
{
    "word": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "sentiment": {
        "num_classes": 2,
        "names": [
            "negative",
            "positive"
        ],
        "names_file": null,
        "id": null,
        "_type": "ClassLabel"
    }
}
```



## cs


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:senti_lex/cs')
```

*   **Description**:

```
This dataset add sentiment lexicons for 81 languages generated via graph propagation based on a knowledge graph--a graphical representation of real-world entities and the links between them.
```

*   **License**: GNU General Public License v3
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 2599

*   **Features**:

```json
{
    "word": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "sentiment": {
        "num_classes": 2,
        "names": [
            "negative",
            "positive"
        ],
        "names_file": null,
        "id": null,
        "_type": "ClassLabel"
    }
}
```



## cy


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:senti_lex/cy')
```

*   **Description**:

```
This dataset add sentiment lexicons for 81 languages generated via graph propagation based on a knowledge graph--a graphical representation of real-world entities and the links between them.
```

*   **License**: GNU General Public License v3
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 1647

*   **Features**:

```json
{
    "word": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "sentiment": {
        "num_classes": 2,
        "names": [
            "negative",
            "positive"
        ],
        "names_file": null,
        "id": null,
        "_type": "ClassLabel"
    }
}
```



## da


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:senti_lex/da')
```

*   **Description**:

```
This dataset add sentiment lexicons for 81 languages generated via graph propagation based on a knowledge graph--a graphical representation of real-world entities and the links between them.
```

*   **License**: GNU General Public License v3
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 3340

*   **Features**:

```json
{
    "word": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "sentiment": {
        "num_classes": 2,
        "names": [
            "negative",
            "positive"
        ],
        "names_file": null,
        "id": null,
        "_type": "ClassLabel"
    }
}
```



## de


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:senti_lex/de')
```

*   **Description**:

```
This dataset add sentiment lexicons for 81 languages generated via graph propagation based on a knowledge graph--a graphical representation of real-world entities and the links between them.
```

*   **License**: GNU General Public License v3
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 3974

*   **Features**:

```json
{
    "word": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "sentiment": {
        "num_classes": 2,
        "names": [
            "negative",
            "positive"
        ],
        "names_file": null,
        "id": null,
        "_type": "ClassLabel"
    }
}
```



## el


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:senti_lex/el')
```

*   **Description**:

```
This dataset add sentiment lexicons for 81 languages generated via graph propagation based on a knowledge graph--a graphical representation of real-world entities and the links between them.
```

*   **License**: GNU General Public License v3
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 2703

*   **Features**:

```json
{
    "word": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "sentiment": {
        "num_classes": 2,
        "names": [
            "negative",
            "positive"
        ],
        "names_file": null,
        "id": null,
        "_type": "ClassLabel"
    }
}
```



## eo


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:senti_lex/eo')
```

*   **Description**:

```
This dataset add sentiment lexicons for 81 languages generated via graph propagation based on a knowledge graph--a graphical representation of real-world entities and the links between them.
```

*   **License**: GNU General Public License v3
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 2604

*   **Features**:

```json
{
    "word": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "sentiment": {
        "num_classes": 2,
        "names": [
            "negative",
            "positive"
        ],
        "names_file": null,
        "id": null,
        "_type": "ClassLabel"
    }
}
```



## es


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:senti_lex/es')
```

*   **Description**:

```
This dataset add sentiment lexicons for 81 languages generated via graph propagation based on a knowledge graph--a graphical representation of real-world entities and the links between them.
```

*   **License**: GNU General Public License v3
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 4275

*   **Features**:

```json
{
    "word": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "sentiment": {
        "num_classes": 2,
        "names": [
            "negative",
            "positive"
        ],
        "names_file": null,
        "id": null,
        "_type": "ClassLabel"
    }
}
```



## et


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:senti_lex/et')
```

*   **Description**:

```
This dataset add sentiment lexicons for 81 languages generated via graph propagation based on a knowledge graph--a graphical representation of real-world entities and the links between them.
```

*   **License**: GNU General Public License v3
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 2105

*   **Features**:

```json
{
    "word": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "sentiment": {
        "num_classes": 2,
        "names": [
            "negative",
            "positive"
        ],
        "names_file": null,
        "id": null,
        "_type": "ClassLabel"
    }
}
```



## eu


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:senti_lex/eu')
```

*   **Description**:

```
This dataset add sentiment lexicons for 81 languages generated via graph propagation based on a knowledge graph--a graphical representation of real-world entities and the links between them.
```

*   **License**: GNU General Public License v3
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 1979

*   **Features**:

```json
{
    "word": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "sentiment": {
        "num_classes": 2,
        "names": [
            "negative",
            "positive"
        ],
        "names_file": null,
        "id": null,
        "_type": "ClassLabel"
    }
}
```



## fa


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:senti_lex/fa')
```

*   **Description**:

```
This dataset add sentiment lexicons for 81 languages generated via graph propagation based on a knowledge graph--a graphical representation of real-world entities and the links between them.
```

*   **License**: GNU General Public License v3
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 2477

*   **Features**:

```json
{
    "word": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "sentiment": {
        "num_classes": 2,
        "names": [
            "negative",
            "positive"
        ],
        "names_file": null,
        "id": null,
        "_type": "ClassLabel"
    }
}
```



## fi


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:senti_lex/fi')
```

*   **Description**:

```
This dataset add sentiment lexicons for 81 languages generated via graph propagation based on a knowledge graph--a graphical representation of real-world entities and the links between them.
```

*   **License**: GNU General Public License v3
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 3295

*   **Features**:

```json
{
    "word": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "sentiment": {
        "num_classes": 2,
        "names": [
            "negative",
            "positive"
        ],
        "names_file": null,
        "id": null,
        "_type": "ClassLabel"
    }
}
```



## fo


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:senti_lex/fo')
```

*   **Description**:

```
This dataset add sentiment lexicons for 81 languages generated via graph propagation based on a knowledge graph--a graphical representation of real-world entities and the links between them.
```

*   **License**: GNU General Public License v3
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 123

*   **Features**:

```json
{
    "word": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "sentiment": {
        "num_classes": 2,
        "names": [
            "negative",
            "positive"
        ],
        "names_file": null,
        "id": null,
        "_type": "ClassLabel"
    }
}
```



## fr


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:senti_lex/fr')
```

*   **Description**:

```
This dataset add sentiment lexicons for 81 languages generated via graph propagation based on a knowledge graph--a graphical representation of real-world entities and the links between them.
```

*   **License**: GNU General Public License v3
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 4653

*   **Features**:

```json
{
    "word": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "sentiment": {
        "num_classes": 2,
        "names": [
            "negative",
            "positive"
        ],
        "names_file": null,
        "id": null,
        "_type": "ClassLabel"
    }
}
```



## fy


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:senti_lex/fy')
```

*   **Description**:

```
This dataset add sentiment lexicons for 81 languages generated via graph propagation based on a knowledge graph--a graphical representation of real-world entities and the links between them.
```

*   **License**: GNU General Public License v3
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 224

*   **Features**:

```json
{
    "word": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "sentiment": {
        "num_classes": 2,
        "names": [
            "negative",
            "positive"
        ],
        "names_file": null,
        "id": null,
        "_type": "ClassLabel"
    }
}
```



## ga


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:senti_lex/ga')
```

*   **Description**:

```
This dataset add sentiment lexicons for 81 languages generated via graph propagation based on a knowledge graph--a graphical representation of real-world entities and the links between them.
```

*   **License**: GNU General Public License v3
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 1073

*   **Features**:

```json
{
    "word": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "sentiment": {
        "num_classes": 2,
        "names": [
            "negative",
            "positive"
        ],
        "names_file": null,
        "id": null,
        "_type": "ClassLabel"
    }
}
```



## gd


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:senti_lex/gd')
```

*   **Description**:

```
This dataset add sentiment lexicons for 81 languages generated via graph propagation based on a knowledge graph--a graphical representation of real-world entities and the links between them.
```

*   **License**: GNU General Public License v3
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 345

*   **Features**:

```json
{
    "word": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "sentiment": {
        "num_classes": 2,
        "names": [
            "negative",
            "positive"
        ],
        "names_file": null,
        "id": null,
        "_type": "ClassLabel"
    }
}
```



## gl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:senti_lex/gl')
```

*   **Description**:

```
This dataset add sentiment lexicons for 81 languages generated via graph propagation based on a knowledge graph--a graphical representation of real-world entities and the links between them.
```

*   **License**: GNU General Public License v3
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 2714

*   **Features**:

```json
{
    "word": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "sentiment": {
        "num_classes": 2,
        "names": [
            "negative",
            "positive"
        ],
        "names_file": null,
        "id": null,
        "_type": "ClassLabel"
    }
}
```



## gu


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:senti_lex/gu')
```

*   **Description**:

```
This dataset add sentiment lexicons for 81 languages generated via graph propagation based on a knowledge graph--a graphical representation of real-world entities and the links between them.
```

*   **License**: GNU General Public License v3
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 2145

*   **Features**:

```json
{
    "word": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "sentiment": {
        "num_classes": 2,
        "names": [
            "negative",
            "positive"
        ],
        "names_file": null,
        "id": null,
        "_type": "ClassLabel"
    }
}
```



## he


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:senti_lex/he')
```

*   **Description**:

```
This dataset add sentiment lexicons for 81 languages generated via graph propagation based on a knowledge graph--a graphical representation of real-world entities and the links between them.
```

*   **License**: GNU General Public License v3
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 2533

*   **Features**:

```json
{
    "word": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "sentiment": {
        "num_classes": 2,
        "names": [
            "negative",
            "positive"
        ],
        "names_file": null,
        "id": null,
        "_type": "ClassLabel"
    }
}
```



## hi


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:senti_lex/hi')
```

*   **Description**:

```
This dataset add sentiment lexicons for 81 languages generated via graph propagation based on a knowledge graph--a graphical representation of real-world entities and the links between them.
```

*   **License**: GNU General Public License v3
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 3640

*   **Features**:

```json
{
    "word": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "sentiment": {
        "num_classes": 2,
        "names": [
            "negative",
            "positive"
        ],
        "names_file": null,
        "id": null,
        "_type": "ClassLabel"
    }
}
```



## hr


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:senti_lex/hr')
```

*   **Description**:

```
This dataset add sentiment lexicons for 81 languages generated via graph propagation based on a knowledge graph--a graphical representation of real-world entities and the links between them.
```

*   **License**: GNU General Public License v3
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 2208

*   **Features**:

```json
{
    "word": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "sentiment": {
        "num_classes": 2,
        "names": [
            "negative",
            "positive"
        ],
        "names_file": null,
        "id": null,
        "_type": "ClassLabel"
    }
}
```



## ht


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:senti_lex/ht')
```

*   **Description**:

```
This dataset add sentiment lexicons for 81 languages generated via graph propagation based on a knowledge graph--a graphical representation of real-world entities and the links between them.
```

*   **License**: GNU General Public License v3
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 472

*   **Features**:

```json
{
    "word": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "sentiment": {
        "num_classes": 2,
        "names": [
            "negative",
            "positive"
        ],
        "names_file": null,
        "id": null,
        "_type": "ClassLabel"
    }
}
```



## hu


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:senti_lex/hu')
```

*   **Description**:

```
This dataset add sentiment lexicons for 81 languages generated via graph propagation based on a knowledge graph--a graphical representation of real-world entities and the links between them.
```

*   **License**: GNU General Public License v3
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 3522

*   **Features**:

```json
{
    "word": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "sentiment": {
        "num_classes": 2,
        "names": [
            "negative",
            "positive"
        ],
        "names_file": null,
        "id": null,
        "_type": "ClassLabel"
    }
}
```



## hy


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:senti_lex/hy')
```

*   **Description**:

```
This dataset add sentiment lexicons for 81 languages generated via graph propagation based on a knowledge graph--a graphical representation of real-world entities and the links between them.
```

*   **License**: GNU General Public License v3
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 1657

*   **Features**:

```json
{
    "word": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "sentiment": {
        "num_classes": 2,
        "names": [
            "negative",
            "positive"
        ],
        "names_file": null,
        "id": null,
        "_type": "ClassLabel"
    }
}
```



## ia


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:senti_lex/ia')
```

*   **Description**:

```
This dataset add sentiment lexicons for 81 languages generated via graph propagation based on a knowledge graph--a graphical representation of real-world entities and the links between them.
```

*   **License**: GNU General Public License v3
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 326

*   **Features**:

```json
{
    "word": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "sentiment": {
        "num_classes": 2,
        "names": [
            "negative",
            "positive"
        ],
        "names_file": null,
        "id": null,
        "_type": "ClassLabel"
    }
}
```



## id


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:senti_lex/id')
```

*   **Description**:

```
This dataset add sentiment lexicons for 81 languages generated via graph propagation based on a knowledge graph--a graphical representation of real-world entities and the links between them.
```

*   **License**: GNU General Public License v3
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 2900

*   **Features**:

```json
{
    "word": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "sentiment": {
        "num_classes": 2,
        "names": [
            "negative",
            "positive"
        ],
        "names_file": null,
        "id": null,
        "_type": "ClassLabel"
    }
}
```



## io


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:senti_lex/io')
```

*   **Description**:

```
This dataset add sentiment lexicons for 81 languages generated via graph propagation based on a knowledge graph--a graphical representation of real-world entities and the links between them.
```

*   **License**: GNU General Public License v3
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 183

*   **Features**:

```json
{
    "word": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "sentiment": {
        "num_classes": 2,
        "names": [
            "negative",
            "positive"
        ],
        "names_file": null,
        "id": null,
        "_type": "ClassLabel"
    }
}
```



## is


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:senti_lex/is')
```

*   **Description**:

```
This dataset add sentiment lexicons for 81 languages generated via graph propagation based on a knowledge graph--a graphical representation of real-world entities and the links between them.
```

*   **License**: GNU General Public License v3
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 1770

*   **Features**:

```json
{
    "word": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "sentiment": {
        "num_classes": 2,
        "names": [
            "negative",
            "positive"
        ],
        "names_file": null,
        "id": null,
        "_type": "ClassLabel"
    }
}
```



## it


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:senti_lex/it')
```

*   **Description**:

```
This dataset add sentiment lexicons for 81 languages generated via graph propagation based on a knowledge graph--a graphical representation of real-world entities and the links between them.
```

*   **License**: GNU General Public License v3
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 4491

*   **Features**:

```json
{
    "word": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "sentiment": {
        "num_classes": 2,
        "names": [
            "negative",
            "positive"
        ],
        "names_file": null,
        "id": null,
        "_type": "ClassLabel"
    }
}
```



## ja


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:senti_lex/ja')
```

*   **Description**:

```
This dataset add sentiment lexicons for 81 languages generated via graph propagation based on a knowledge graph--a graphical representation of real-world entities and the links between them.
```

*   **License**: GNU General Public License v3
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 1017

*   **Features**:

```json
{
    "word": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "sentiment": {
        "num_classes": 2,
        "names": [
            "negative",
            "positive"
        ],
        "names_file": null,
        "id": null,
        "_type": "ClassLabel"
    }
}
```



## ka


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:senti_lex/ka')
```

*   **Description**:

```
This dataset add sentiment lexicons for 81 languages generated via graph propagation based on a knowledge graph--a graphical representation of real-world entities and the links between them.
```

*   **License**: GNU General Public License v3
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 2202

*   **Features**:

```json
{
    "word": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "sentiment": {
        "num_classes": 2,
        "names": [
            "negative",
            "positive"
        ],
        "names_file": null,
        "id": null,
        "_type": "ClassLabel"
    }
}
```



## km


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:senti_lex/km')
```

*   **Description**:

```
This dataset add sentiment lexicons for 81 languages generated via graph propagation based on a knowledge graph--a graphical representation of real-world entities and the links between them.
```

*   **License**: GNU General Public License v3
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 956

*   **Features**:

```json
{
    "word": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "sentiment": {
        "num_classes": 2,
        "names": [
            "negative",
            "positive"
        ],
        "names_file": null,
        "id": null,
        "_type": "ClassLabel"
    }
}
```



## kn


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:senti_lex/kn')
```

*   **Description**:

```
This dataset add sentiment lexicons for 81 languages generated via graph propagation based on a knowledge graph--a graphical representation of real-world entities and the links between them.
```

*   **License**: GNU General Public License v3
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 2173

*   **Features**:

```json
{
    "word": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "sentiment": {
        "num_classes": 2,
        "names": [
            "negative",
            "positive"
        ],
        "names_file": null,
        "id": null,
        "_type": "ClassLabel"
    }
}
```



## ko


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:senti_lex/ko')
```

*   **Description**:

```
This dataset add sentiment lexicons for 81 languages generated via graph propagation based on a knowledge graph--a graphical representation of real-world entities and the links between them.
```

*   **License**: GNU General Public License v3
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 2118

*   **Features**:

```json
{
    "word": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "sentiment": {
        "num_classes": 2,
        "names": [
            "negative",
            "positive"
        ],
        "names_file": null,
        "id": null,
        "_type": "ClassLabel"
    }
}
```



## ku


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:senti_lex/ku')
```

*   **Description**:

```
This dataset add sentiment lexicons for 81 languages generated via graph propagation based on a knowledge graph--a graphical representation of real-world entities and the links between them.
```

*   **License**: GNU General Public License v3
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 145

*   **Features**:

```json
{
    "word": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "sentiment": {
        "num_classes": 2,
        "names": [
            "negative",
            "positive"
        ],
        "names_file": null,
        "id": null,
        "_type": "ClassLabel"
    }
}
```



## ky


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:senti_lex/ky')
```

*   **Description**:

```
This dataset add sentiment lexicons for 81 languages generated via graph propagation based on a knowledge graph--a graphical representation of real-world entities and the links between them.
```

*   **License**: GNU General Public License v3
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 246

*   **Features**:

```json
{
    "word": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "sentiment": {
        "num_classes": 2,
        "names": [
            "negative",
            "positive"
        ],
        "names_file": null,
        "id": null,
        "_type": "ClassLabel"
    }
}
```



## la


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:senti_lex/la')
```

*   **Description**:

```
This dataset add sentiment lexicons for 81 languages generated via graph propagation based on a knowledge graph--a graphical representation of real-world entities and the links between them.
```

*   **License**: GNU General Public License v3
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 2033

*   **Features**:

```json
{
    "word": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "sentiment": {
        "num_classes": 2,
        "names": [
            "negative",
            "positive"
        ],
        "names_file": null,
        "id": null,
        "_type": "ClassLabel"
    }
}
```



## lb


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:senti_lex/lb')
```

*   **Description**:

```
This dataset add sentiment lexicons for 81 languages generated via graph propagation based on a knowledge graph--a graphical representation of real-world entities and the links between them.
```

*   **License**: GNU General Public License v3
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 224

*   **Features**:

```json
{
    "word": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "sentiment": {
        "num_classes": 2,
        "names": [
            "negative",
            "positive"
        ],
        "names_file": null,
        "id": null,
        "_type": "ClassLabel"
    }
}
```



## lt


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:senti_lex/lt')
```

*   **Description**:

```
This dataset add sentiment lexicons for 81 languages generated via graph propagation based on a knowledge graph--a graphical representation of real-world entities and the links between them.
```

*   **License**: GNU General Public License v3
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 2190

*   **Features**:

```json
{
    "word": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "sentiment": {
        "num_classes": 2,
        "names": [
            "negative",
            "positive"
        ],
        "names_file": null,
        "id": null,
        "_type": "ClassLabel"
    }
}
```



## lv


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:senti_lex/lv')
```

*   **Description**:

```
This dataset add sentiment lexicons for 81 languages generated via graph propagation based on a knowledge graph--a graphical representation of real-world entities and the links between them.
```

*   **License**: GNU General Public License v3
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 1938

*   **Features**:

```json
{
    "word": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "sentiment": {
        "num_classes": 2,
        "names": [
            "negative",
            "positive"
        ],
        "names_file": null,
        "id": null,
        "_type": "ClassLabel"
    }
}
```



## mk


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:senti_lex/mk')
```

*   **Description**:

```
This dataset add sentiment lexicons for 81 languages generated via graph propagation based on a knowledge graph--a graphical representation of real-world entities and the links between them.
```

*   **License**: GNU General Public License v3
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 2965

*   **Features**:

```json
{
    "word": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "sentiment": {
        "num_classes": 2,
        "names": [
            "negative",
            "positive"
        ],
        "names_file": null,
        "id": null,
        "_type": "ClassLabel"
    }
}
```



## mr


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:senti_lex/mr')
```

*   **Description**:

```
This dataset add sentiment lexicons for 81 languages generated via graph propagation based on a knowledge graph--a graphical representation of real-world entities and the links between them.
```

*   **License**: GNU General Public License v3
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 1825

*   **Features**:

```json
{
    "word": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "sentiment": {
        "num_classes": 2,
        "names": [
            "negative",
            "positive"
        ],
        "names_file": null,
        "id": null,
        "_type": "ClassLabel"
    }
}
```



## ms


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:senti_lex/ms')
```

*   **Description**:

```
This dataset add sentiment lexicons for 81 languages generated via graph propagation based on a knowledge graph--a graphical representation of real-world entities and the links between them.
```

*   **License**: GNU General Public License v3
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 2934

*   **Features**:

```json
{
    "word": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "sentiment": {
        "num_classes": 2,
        "names": [
            "negative",
            "positive"
        ],
        "names_file": null,
        "id": null,
        "_type": "ClassLabel"
    }
}
```



## mt


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:senti_lex/mt')
```

*   **Description**:

```
This dataset add sentiment lexicons for 81 languages generated via graph propagation based on a knowledge graph--a graphical representation of real-world entities and the links between them.
```

*   **License**: GNU General Public License v3
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 863

*   **Features**:

```json
{
    "word": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "sentiment": {
        "num_classes": 2,
        "names": [
            "negative",
            "positive"
        ],
        "names_file": null,
        "id": null,
        "_type": "ClassLabel"
    }
}
```



## nl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:senti_lex/nl')
```

*   **Description**:

```
This dataset add sentiment lexicons for 81 languages generated via graph propagation based on a knowledge graph--a graphical representation of real-world entities and the links between them.
```

*   **License**: GNU General Public License v3
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 3976

*   **Features**:

```json
{
    "word": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "sentiment": {
        "num_classes": 2,
        "names": [
            "negative",
            "positive"
        ],
        "names_file": null,
        "id": null,
        "_type": "ClassLabel"
    }
}
```



## nn


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:senti_lex/nn')
```

*   **Description**:

```
This dataset add sentiment lexicons for 81 languages generated via graph propagation based on a knowledge graph--a graphical representation of real-world entities and the links between them.
```

*   **License**: GNU General Public License v3
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 1894

*   **Features**:

```json
{
    "word": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "sentiment": {
        "num_classes": 2,
        "names": [
            "negative",
            "positive"
        ],
        "names_file": null,
        "id": null,
        "_type": "ClassLabel"
    }
}
```



## no


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:senti_lex/no')
```

*   **Description**:

```
This dataset add sentiment lexicons for 81 languages generated via graph propagation based on a knowledge graph--a graphical representation of real-world entities and the links between them.
```

*   **License**: GNU General Public License v3
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 3089

*   **Features**:

```json
{
    "word": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "sentiment": {
        "num_classes": 2,
        "names": [
            "negative",
            "positive"
        ],
        "names_file": null,
        "id": null,
        "_type": "ClassLabel"
    }
}
```



## pl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:senti_lex/pl')
```

*   **Description**:

```
This dataset add sentiment lexicons for 81 languages generated via graph propagation based on a knowledge graph--a graphical representation of real-world entities and the links between them.
```

*   **License**: GNU General Public License v3
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 3533

*   **Features**:

```json
{
    "word": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "sentiment": {
        "num_classes": 2,
        "names": [
            "negative",
            "positive"
        ],
        "names_file": null,
        "id": null,
        "_type": "ClassLabel"
    }
}
```



## pt


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:senti_lex/pt')
```

*   **Description**:

```
This dataset add sentiment lexicons for 81 languages generated via graph propagation based on a knowledge graph--a graphical representation of real-world entities and the links between them.
```

*   **License**: GNU General Public License v3
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 3953

*   **Features**:

```json
{
    "word": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "sentiment": {
        "num_classes": 2,
        "names": [
            "negative",
            "positive"
        ],
        "names_file": null,
        "id": null,
        "_type": "ClassLabel"
    }
}
```



## rm


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:senti_lex/rm')
```

*   **Description**:

```
This dataset add sentiment lexicons for 81 languages generated via graph propagation based on a knowledge graph--a graphical representation of real-world entities and the links between them.
```

*   **License**: GNU General Public License v3
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 116

*   **Features**:

```json
{
    "word": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "sentiment": {
        "num_classes": 2,
        "names": [
            "negative",
            "positive"
        ],
        "names_file": null,
        "id": null,
        "_type": "ClassLabel"
    }
}
```



## ro


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:senti_lex/ro')
```

*   **Description**:

```
This dataset add sentiment lexicons for 81 languages generated via graph propagation based on a knowledge graph--a graphical representation of real-world entities and the links between them.
```

*   **License**: GNU General Public License v3
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 3329

*   **Features**:

```json
{
    "word": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "sentiment": {
        "num_classes": 2,
        "names": [
            "negative",
            "positive"
        ],
        "names_file": null,
        "id": null,
        "_type": "ClassLabel"
    }
}
```



## ru


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:senti_lex/ru')
```

*   **Description**:

```
This dataset add sentiment lexicons for 81 languages generated via graph propagation based on a knowledge graph--a graphical representation of real-world entities and the links between them.
```

*   **License**: GNU General Public License v3
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 2914

*   **Features**:

```json
{
    "word": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "sentiment": {
        "num_classes": 2,
        "names": [
            "negative",
            "positive"
        ],
        "names_file": null,
        "id": null,
        "_type": "ClassLabel"
    }
}
```



## sk


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:senti_lex/sk')
```

*   **Description**:

```
This dataset add sentiment lexicons for 81 languages generated via graph propagation based on a knowledge graph--a graphical representation of real-world entities and the links between them.
```

*   **License**: GNU General Public License v3
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 2428

*   **Features**:

```json
{
    "word": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "sentiment": {
        "num_classes": 2,
        "names": [
            "negative",
            "positive"
        ],
        "names_file": null,
        "id": null,
        "_type": "ClassLabel"
    }
}
```



## sl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:senti_lex/sl')
```

*   **Description**:

```
This dataset add sentiment lexicons for 81 languages generated via graph propagation based on a knowledge graph--a graphical representation of real-world entities and the links between them.
```

*   **License**: GNU General Public License v3
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 2244

*   **Features**:

```json
{
    "word": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "sentiment": {
        "num_classes": 2,
        "names": [
            "negative",
            "positive"
        ],
        "names_file": null,
        "id": null,
        "_type": "ClassLabel"
    }
}
```



## sq


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:senti_lex/sq')
```

*   **Description**:

```
This dataset add sentiment lexicons for 81 languages generated via graph propagation based on a knowledge graph--a graphical representation of real-world entities and the links between them.
```

*   **License**: GNU General Public License v3
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 2076

*   **Features**:

```json
{
    "word": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "sentiment": {
        "num_classes": 2,
        "names": [
            "negative",
            "positive"
        ],
        "names_file": null,
        "id": null,
        "_type": "ClassLabel"
    }
}
```



## sr


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:senti_lex/sr')
```

*   **Description**:

```
This dataset add sentiment lexicons for 81 languages generated via graph propagation based on a knowledge graph--a graphical representation of real-world entities and the links between them.
```

*   **License**: GNU General Public License v3
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 2034

*   **Features**:

```json
{
    "word": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "sentiment": {
        "num_classes": 2,
        "names": [
            "negative",
            "positive"
        ],
        "names_file": null,
        "id": null,
        "_type": "ClassLabel"
    }
}
```



## sv


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:senti_lex/sv')
```

*   **Description**:

```
This dataset add sentiment lexicons for 81 languages generated via graph propagation based on a knowledge graph--a graphical representation of real-world entities and the links between them.
```

*   **License**: GNU General Public License v3
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 3722

*   **Features**:

```json
{
    "word": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "sentiment": {
        "num_classes": 2,
        "names": [
            "negative",
            "positive"
        ],
        "names_file": null,
        "id": null,
        "_type": "ClassLabel"
    }
}
```



## sw


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:senti_lex/sw')
```

*   **Description**:

```
This dataset add sentiment lexicons for 81 languages generated via graph propagation based on a knowledge graph--a graphical representation of real-world entities and the links between them.
```

*   **License**: GNU General Public License v3
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 1314

*   **Features**:

```json
{
    "word": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "sentiment": {
        "num_classes": 2,
        "names": [
            "negative",
            "positive"
        ],
        "names_file": null,
        "id": null,
        "_type": "ClassLabel"
    }
}
```



## ta


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:senti_lex/ta')
```

*   **Description**:

```
This dataset add sentiment lexicons for 81 languages generated via graph propagation based on a knowledge graph--a graphical representation of real-world entities and the links between them.
```

*   **License**: GNU General Public License v3
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 2057

*   **Features**:

```json
{
    "word": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "sentiment": {
        "num_classes": 2,
        "names": [
            "negative",
            "positive"
        ],
        "names_file": null,
        "id": null,
        "_type": "ClassLabel"
    }
}
```



## te


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:senti_lex/te')
```

*   **Description**:

```
This dataset add sentiment lexicons for 81 languages generated via graph propagation based on a knowledge graph--a graphical representation of real-world entities and the links between them.
```

*   **License**: GNU General Public License v3
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 2523

*   **Features**:

```json
{
    "word": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "sentiment": {
        "num_classes": 2,
        "names": [
            "negative",
            "positive"
        ],
        "names_file": null,
        "id": null,
        "_type": "ClassLabel"
    }
}
```



## th


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:senti_lex/th')
```

*   **Description**:

```
This dataset add sentiment lexicons for 81 languages generated via graph propagation based on a knowledge graph--a graphical representation of real-world entities and the links between them.
```

*   **License**: GNU General Public License v3
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 1279

*   **Features**:

```json
{
    "word": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "sentiment": {
        "num_classes": 2,
        "names": [
            "negative",
            "positive"
        ],
        "names_file": null,
        "id": null,
        "_type": "ClassLabel"
    }
}
```



## tk


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:senti_lex/tk')
```

*   **Description**:

```
This dataset add sentiment lexicons for 81 languages generated via graph propagation based on a knowledge graph--a graphical representation of real-world entities and the links between them.
```

*   **License**: GNU General Public License v3
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 78

*   **Features**:

```json
{
    "word": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "sentiment": {
        "num_classes": 2,
        "names": [
            "negative",
            "positive"
        ],
        "names_file": null,
        "id": null,
        "_type": "ClassLabel"
    }
}
```



## tl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:senti_lex/tl')
```

*   **Description**:

```
This dataset add sentiment lexicons for 81 languages generated via graph propagation based on a knowledge graph--a graphical representation of real-world entities and the links between them.
```

*   **License**: GNU General Public License v3
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 1858

*   **Features**:

```json
{
    "word": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "sentiment": {
        "num_classes": 2,
        "names": [
            "negative",
            "positive"
        ],
        "names_file": null,
        "id": null,
        "_type": "ClassLabel"
    }
}
```



## tr


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:senti_lex/tr')
```

*   **Description**:

```
This dataset add sentiment lexicons for 81 languages generated via graph propagation based on a knowledge graph--a graphical representation of real-world entities and the links between them.
```

*   **License**: GNU General Public License v3
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 2500

*   **Features**:

```json
{
    "word": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "sentiment": {
        "num_classes": 2,
        "names": [
            "negative",
            "positive"
        ],
        "names_file": null,
        "id": null,
        "_type": "ClassLabel"
    }
}
```



## uk


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:senti_lex/uk')
```

*   **Description**:

```
This dataset add sentiment lexicons for 81 languages generated via graph propagation based on a knowledge graph--a graphical representation of real-world entities and the links between them.
```

*   **License**: GNU General Public License v3
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 2827

*   **Features**:

```json
{
    "word": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "sentiment": {
        "num_classes": 2,
        "names": [
            "negative",
            "positive"
        ],
        "names_file": null,
        "id": null,
        "_type": "ClassLabel"
    }
}
```



## ur


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:senti_lex/ur')
```

*   **Description**:

```
This dataset add sentiment lexicons for 81 languages generated via graph propagation based on a knowledge graph--a graphical representation of real-world entities and the links between them.
```

*   **License**: GNU General Public License v3
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 1347

*   **Features**:

```json
{
    "word": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "sentiment": {
        "num_classes": 2,
        "names": [
            "negative",
            "positive"
        ],
        "names_file": null,
        "id": null,
        "_type": "ClassLabel"
    }
}
```



## uz


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:senti_lex/uz')
```

*   **Description**:

```
This dataset add sentiment lexicons for 81 languages generated via graph propagation based on a knowledge graph--a graphical representation of real-world entities and the links between them.
```

*   **License**: GNU General Public License v3
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 111

*   **Features**:

```json
{
    "word": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "sentiment": {
        "num_classes": 2,
        "names": [
            "negative",
            "positive"
        ],
        "names_file": null,
        "id": null,
        "_type": "ClassLabel"
    }
}
```



## vi


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:senti_lex/vi')
```

*   **Description**:

```
This dataset add sentiment lexicons for 81 languages generated via graph propagation based on a knowledge graph--a graphical representation of real-world entities and the links between them.
```

*   **License**: GNU General Public License v3
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 1016

*   **Features**:

```json
{
    "word": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "sentiment": {
        "num_classes": 2,
        "names": [
            "negative",
            "positive"
        ],
        "names_file": null,
        "id": null,
        "_type": "ClassLabel"
    }
}
```



## vo


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:senti_lex/vo')
```

*   **Description**:

```
This dataset add sentiment lexicons for 81 languages generated via graph propagation based on a knowledge graph--a graphical representation of real-world entities and the links between them.
```

*   **License**: GNU General Public License v3
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 43

*   **Features**:

```json
{
    "word": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "sentiment": {
        "num_classes": 2,
        "names": [
            "negative",
            "positive"
        ],
        "names_file": null,
        "id": null,
        "_type": "ClassLabel"
    }
}
```



## wa


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:senti_lex/wa')
```

*   **Description**:

```
This dataset add sentiment lexicons for 81 languages generated via graph propagation based on a knowledge graph--a graphical representation of real-world entities and the links between them.
```

*   **License**: GNU General Public License v3
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 193

*   **Features**:

```json
{
    "word": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "sentiment": {
        "num_classes": 2,
        "names": [
            "negative",
            "positive"
        ],
        "names_file": null,
        "id": null,
        "_type": "ClassLabel"
    }
}
```



## yi


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:senti_lex/yi')
```

*   **Description**:

```
This dataset add sentiment lexicons for 81 languages generated via graph propagation based on a knowledge graph--a graphical representation of real-world entities and the links between them.
```

*   **License**: GNU General Public License v3
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 395

*   **Features**:

```json
{
    "word": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "sentiment": {
        "num_classes": 2,
        "names": [
            "negative",
            "positive"
        ],
        "names_file": null,
        "id": null,
        "_type": "ClassLabel"
    }
}
```



## zh


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:senti_lex/zh')
```

*   **Description**:

```
This dataset add sentiment lexicons for 81 languages generated via graph propagation based on a knowledge graph--a graphical representation of real-world entities and the links between them.
```

*   **License**: GNU General Public License v3
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 1879

*   **Features**:

```json
{
    "word": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "sentiment": {
        "num_classes": 2,
        "names": [
            "negative",
            "positive"
        ],
        "names_file": null,
        "id": null,
        "_type": "ClassLabel"
    }
}
```



## zhw


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:senti_lex/zhw')
```

*   **Description**:

```
This dataset add sentiment lexicons for 81 languages generated via graph propagation based on a knowledge graph--a graphical representation of real-world entities and the links between them.
```

*   **License**: GNU General Public License v3
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 3828

*   **Features**:

```json
{
    "word": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "sentiment": {
        "num_classes": 2,
        "names": [
            "negative",
            "positive"
        ],
        "names_file": null,
        "id": null,
        "_type": "ClassLabel"
    }
}
```


