# stsb_multi_mt

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/stsb_multi_mt)
*   [Huggingface](https://huggingface.co/datasets/stsb_multi_mt)


## en


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:stsb_multi_mt/en')
```

*   **Description**:

```
This is a multilingual translation of the STSbenchmark dataset. Translation has been done with deepl.com.
```

*   **License**: custom license - see project page
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'dev'` | 1500
`'test'` | 1379
`'train'` | 5749

*   **Features**:

```json
{
    "sentence1": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "sentence2": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "similarity_score": {
        "dtype": "float32",
        "id": null,
        "_type": "Value"
    }
}
```



## de


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:stsb_multi_mt/de')
```

*   **Description**:

```
This is a multilingual translation of the STSbenchmark dataset. Translation has been done with deepl.com.
```

*   **License**: custom license - see project page
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'dev'` | 1500
`'test'` | 1379
`'train'` | 5749

*   **Features**:

```json
{
    "sentence1": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "sentence2": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "similarity_score": {
        "dtype": "float32",
        "id": null,
        "_type": "Value"
    }
}
```



## es


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:stsb_multi_mt/es')
```

*   **Description**:

```
This is a multilingual translation of the STSbenchmark dataset. Translation has been done with deepl.com.
```

*   **License**: custom license - see project page
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'dev'` | 1500
`'test'` | 1379
`'train'` | 5749

*   **Features**:

```json
{
    "sentence1": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "sentence2": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "similarity_score": {
        "dtype": "float32",
        "id": null,
        "_type": "Value"
    }
}
```



## fr


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:stsb_multi_mt/fr')
```

*   **Description**:

```
This is a multilingual translation of the STSbenchmark dataset. Translation has been done with deepl.com.
```

*   **License**: custom license - see project page
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'dev'` | 1500
`'test'` | 1379
`'train'` | 5749

*   **Features**:

```json
{
    "sentence1": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "sentence2": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "similarity_score": {
        "dtype": "float32",
        "id": null,
        "_type": "Value"
    }
}
```



## it


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:stsb_multi_mt/it')
```

*   **Description**:

```
This is a multilingual translation of the STSbenchmark dataset. Translation has been done with deepl.com.
```

*   **License**: custom license - see project page
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'dev'` | 1500
`'test'` | 1379
`'train'` | 5749

*   **Features**:

```json
{
    "sentence1": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "sentence2": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "similarity_score": {
        "dtype": "float32",
        "id": null,
        "_type": "Value"
    }
}
```



## nl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:stsb_multi_mt/nl')
```

*   **Description**:

```
This is a multilingual translation of the STSbenchmark dataset. Translation has been done with deepl.com.
```

*   **License**: custom license - see project page
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'dev'` | 1500
`'test'` | 1379
`'train'` | 5749

*   **Features**:

```json
{
    "sentence1": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "sentence2": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "similarity_score": {
        "dtype": "float32",
        "id": null,
        "_type": "Value"
    }
}
```



## pl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:stsb_multi_mt/pl')
```

*   **Description**:

```
This is a multilingual translation of the STSbenchmark dataset. Translation has been done with deepl.com.
```

*   **License**: custom license - see project page
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'dev'` | 1500
`'test'` | 1379
`'train'` | 5749

*   **Features**:

```json
{
    "sentence1": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "sentence2": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "similarity_score": {
        "dtype": "float32",
        "id": null,
        "_type": "Value"
    }
}
```



## pt


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:stsb_multi_mt/pt')
```

*   **Description**:

```
This is a multilingual translation of the STSbenchmark dataset. Translation has been done with deepl.com.
```

*   **License**: custom license - see project page
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'dev'` | 1500
`'test'` | 1379
`'train'` | 5749

*   **Features**:

```json
{
    "sentence1": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "sentence2": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "similarity_score": {
        "dtype": "float32",
        "id": null,
        "_type": "Value"
    }
}
```



## ru


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:stsb_multi_mt/ru')
```

*   **Description**:

```
This is a multilingual translation of the STSbenchmark dataset. Translation has been done with deepl.com.
```

*   **License**: custom license - see project page
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'dev'` | 1500
`'test'` | 1379
`'train'` | 5749

*   **Features**:

```json
{
    "sentence1": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "sentence2": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "similarity_score": {
        "dtype": "float32",
        "id": null,
        "_type": "Value"
    }
}
```



## zh


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:stsb_multi_mt/zh')
```

*   **Description**:

```
This is a multilingual translation of the STSbenchmark dataset. Translation has been done with deepl.com.
```

*   **License**: custom license - see project page
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'dev'` | 1500
`'test'` | 1379
`'train'` | 5749

*   **Features**:

```json
{
    "sentence1": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "sentence2": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "similarity_score": {
        "dtype": "float32",
        "id": null,
        "_type": "Value"
    }
}
```


