# tanzil

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/tanzil)
*   [Huggingface](https://huggingface.co/datasets/tanzil)


## bg-en


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:tanzil/bg-en')
```

*   **Description**:

```
This is a collection of Quran translations compiled by the Tanzil project
The translations provided at this page are for non-commercial purposes only. If used otherwise, you need to obtain necessary permission from the translator or the publisher.

If you are using more than three of the following translations in a website or application, we require you to put a link back to this page to make sure that subsequent users have access to the latest updates.

42 languages, 878 bitexts
total number of files: 105
total number of tokens: 22.33M
total number of sentence fragments: 1.01M
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 135477

*   **Features**:

```json
{
    "id": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "translation": {
        "languages": [
            "bg",
            "en"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## bn-hi


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:tanzil/bn-hi')
```

*   **Description**:

```
This is a collection of Quran translations compiled by the Tanzil project
The translations provided at this page are for non-commercial purposes only. If used otherwise, you need to obtain necessary permission from the translator or the publisher.

If you are using more than three of the following translations in a website or application, we require you to put a link back to this page to make sure that subsequent users have access to the latest updates.

42 languages, 878 bitexts
total number of files: 105
total number of tokens: 22.33M
total number of sentence fragments: 1.01M
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 24942

*   **Features**:

```json
{
    "id": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "translation": {
        "languages": [
            "bn",
            "hi"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## fa-sv


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:tanzil/fa-sv')
```

*   **Description**:

```
This is a collection of Quran translations compiled by the Tanzil project
The translations provided at this page are for non-commercial purposes only. If used otherwise, you need to obtain necessary permission from the translator or the publisher.

If you are using more than three of the following translations in a website or application, we require you to put a link back to this page to make sure that subsequent users have access to the latest updates.

42 languages, 878 bitexts
total number of files: 105
total number of tokens: 22.33M
total number of sentence fragments: 1.01M
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 68601

*   **Features**:

```json
{
    "id": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "translation": {
        "languages": [
            "fa",
            "sv"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## ru-zh


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:tanzil/ru-zh')
```

*   **Description**:

```
This is a collection of Quran translations compiled by the Tanzil project
The translations provided at this page are for non-commercial purposes only. If used otherwise, you need to obtain necessary permission from the translator or the publisher.

If you are using more than three of the following translations in a website or application, we require you to put a link back to this page to make sure that subsequent users have access to the latest updates.

42 languages, 878 bitexts
total number of files: 105
total number of tokens: 22.33M
total number of sentence fragments: 1.01M
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 99779

*   **Features**:

```json
{
    "id": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "translation": {
        "languages": [
            "ru",
            "zh"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## en-tr


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:tanzil/en-tr')
```

*   **Description**:

```
This is a collection of Quran translations compiled by the Tanzil project
The translations provided at this page are for non-commercial purposes only. If used otherwise, you need to obtain necessary permission from the translator or the publisher.

If you are using more than three of the following translations in a website or application, we require you to put a link back to this page to make sure that subsequent users have access to the latest updates.

42 languages, 878 bitexts
total number of files: 105
total number of tokens: 22.33M
total number of sentence fragments: 1.01M
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 1189967

*   **Features**:

```json
{
    "id": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "translation": {
        "languages": [
            "en",
            "tr"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```


