# tatoeba

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/tatoeba)
*   [Huggingface](https://huggingface.co/datasets/tatoeba)


## en-mr


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:tatoeba/en-mr')
```

*   **Description**:

```
This is a collection of translated sentences from Tatoeba
359 languages, 3,403 bitexts
total number of files: 750
total number of tokens: 65.54M
total number of sentence fragments: 8.96M
```

*   **License**: No known license
*   **Version**: 2021.7.22
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 53462

*   **Features**:

```json
{
    "id": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "translation": {
        "languages": [
            "en",
            "mr"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## eo-nl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:tatoeba/eo-nl')
```

*   **Description**:

```
This is a collection of translated sentences from Tatoeba
359 languages, 3,403 bitexts
total number of files: 750
total number of tokens: 65.54M
total number of sentence fragments: 8.96M
```

*   **License**: No known license
*   **Version**: 2021.7.22
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 93650

*   **Features**:

```json
{
    "id": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "translation": {
        "languages": [
            "eo",
            "nl"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## es-pt


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:tatoeba/es-pt')
```

*   **Description**:

```
This is a collection of translated sentences from Tatoeba
359 languages, 3,403 bitexts
total number of files: 750
total number of tokens: 65.54M
total number of sentence fragments: 8.96M
```

*   **License**: No known license
*   **Version**: 2021.7.22
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 67782

*   **Features**:

```json
{
    "id": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "translation": {
        "languages": [
            "es",
            "pt"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## fr-ru


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:tatoeba/fr-ru')
```

*   **Description**:

```
This is a collection of translated sentences from Tatoeba
359 languages, 3,403 bitexts
total number of files: 750
total number of tokens: 65.54M
total number of sentence fragments: 8.96M
```

*   **License**: No known license
*   **Version**: 2021.7.22
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 195161

*   **Features**:

```json
{
    "id": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "translation": {
        "languages": [
            "fr",
            "ru"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## es-gl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:tatoeba/es-gl')
```

*   **Description**:

```
This is a collection of translated sentences from Tatoeba
359 languages, 3,403 bitexts
total number of files: 750
total number of tokens: 65.54M
total number of sentence fragments: 8.96M
```

*   **License**: No known license
*   **Version**: 2021.7.22
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 3135

*   **Features**:

```json
{
    "id": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "translation": {
        "languages": [
            "es",
            "gl"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```


