# ted_hrlr

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/ted_hrlr)
*   [Huggingface](https://huggingface.co/datasets/ted_hrlr)


## az_to_en


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:ted_hrlr/az_to_en')
```

*   **Description**:

```
Data sets derived from TED talk transcripts for comparing similar language pairs
where one is high resource and the other is low resource.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'test'` | 904
`'train'` | 5947
`'validation'` | 672

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "az",
            "en"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## aztr_to_en


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:ted_hrlr/aztr_to_en')
```

*   **Description**:

```
Data sets derived from TED talk transcripts for comparing similar language pairs
where one is high resource and the other is low resource.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'test'` | 904
`'train'` | 188397
`'validation'` | 672

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "az_tr",
            "en"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## be_to_en


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:ted_hrlr/be_to_en')
```

*   **Description**:

```
Data sets derived from TED talk transcripts for comparing similar language pairs
where one is high resource and the other is low resource.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'test'` | 665
`'train'` | 4510
`'validation'` | 249

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "be",
            "en"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## beru_to_en


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:ted_hrlr/beru_to_en')
```

*   **Description**:

```
Data sets derived from TED talk transcripts for comparing similar language pairs
where one is high resource and the other is low resource.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'test'` | 665
`'train'` | 212615
`'validation'` | 249

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "be_ru",
            "en"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## es_to_pt


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:ted_hrlr/es_to_pt')
```

*   **Description**:

```
Data sets derived from TED talk transcripts for comparing similar language pairs
where one is high resource and the other is low resource.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'test'` | 1764
`'train'` | 44939
`'validation'` | 1017

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "es",
            "pt"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## fr_to_pt


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:ted_hrlr/fr_to_pt')
```

*   **Description**:

```
Data sets derived from TED talk transcripts for comparing similar language pairs
where one is high resource and the other is low resource.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'test'` | 1495
`'train'` | 43874
`'validation'` | 1132

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "fr",
            "pt"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## gl_to_en


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:ted_hrlr/gl_to_en')
```

*   **Description**:

```
Data sets derived from TED talk transcripts for comparing similar language pairs
where one is high resource and the other is low resource.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'test'` | 1008
`'train'` | 10018
`'validation'` | 683

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "gl",
            "en"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## glpt_to_en


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:ted_hrlr/glpt_to_en')
```

*   **Description**:

```
Data sets derived from TED talk transcripts for comparing similar language pairs
where one is high resource and the other is low resource.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'test'` | 1008
`'train'` | 61803
`'validation'` | 683

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "gl_pt",
            "en"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## he_to_pt


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:ted_hrlr/he_to_pt')
```

*   **Description**:

```
Data sets derived from TED talk transcripts for comparing similar language pairs
where one is high resource and the other is low resource.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'test'` | 1624
`'train'` | 48512
`'validation'` | 1146

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "he",
            "pt"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## it_to_pt


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:ted_hrlr/it_to_pt')
```

*   **Description**:

```
Data sets derived from TED talk transcripts for comparing similar language pairs
where one is high resource and the other is low resource.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'test'` | 1670
`'train'` | 46260
`'validation'` | 1163

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "it",
            "pt"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## pt_to_en


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:ted_hrlr/pt_to_en')
```

*   **Description**:

```
Data sets derived from TED talk transcripts for comparing similar language pairs
where one is high resource and the other is low resource.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'test'` | 1804
`'train'` | 51786
`'validation'` | 1194

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "pt",
            "en"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## ru_to_en


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:ted_hrlr/ru_to_en')
```

*   **Description**:

```
Data sets derived from TED talk transcripts for comparing similar language pairs
where one is high resource and the other is low resource.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'test'` | 5477
`'train'` | 208107
`'validation'` | 4806

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "ru",
            "en"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## ru_to_pt


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:ted_hrlr/ru_to_pt')
```

*   **Description**:

```
Data sets derived from TED talk transcripts for comparing similar language pairs
where one is high resource and the other is low resource.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'test'` | 1589
`'train'` | 47279
`'validation'` | 1185

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "ru",
            "pt"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```



## tr_to_en


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:ted_hrlr/tr_to_en')
```

*   **Description**:

```
Data sets derived from TED talk transcripts for comparing similar language pairs
where one is high resource and the other is low resource.
```

*   **License**: No known license
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'test'` | 5030
`'train'` | 182451
`'validation'` | 4046

*   **Features**:

```json
{
    "translation": {
        "languages": [
            "tr",
            "en"
        ],
        "id": null,
        "_type": "Translation"
    }
}
```


