# universal_morphologies

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/universal_morphologies)
*   [Huggingface](https://huggingface.co/datasets/universal_morphologies)


## ady


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:universal_morphologies/ady')
```

*   **Description**:

```
The Universal Morphology (UniMorph) project is a collaborative effort to improve how NLP handles complex morphology in the world’s languages.
The goal of UniMorph is to annotate morphological data in a universal schema that allows an inflected word from any language to be defined by its lexical meaning,
typically carried by the lemma, and by a rendering of its inflectional form in terms of a bundle of morphological features from our schema.
The specification of the schema is described in Sylak-Glassman (2016).
```

*   **License**: CC-BY-SA-3.0
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 1666

*   **Features**:



## ang


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:universal_morphologies/ang')
```

*   **Description**:

```
The Universal Morphology (UniMorph) project is a collaborative effort to improve how NLP handles complex morphology in the world’s languages.
The goal of UniMorph is to annotate morphological data in a universal schema that allows an inflected word from any language to be defined by its lexical meaning,
typically carried by the lemma, and by a rendering of its inflectional form in terms of a bundle of morphological features from our schema.
The specification of the schema is described in Sylak-Glassman (2016).
```

*   **License**: CC-BY-SA-3.0
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 1867

*   **Features**:



## ara


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:universal_morphologies/ara')
```

*   **Description**:

```
The Universal Morphology (UniMorph) project is a collaborative effort to improve how NLP handles complex morphology in the world’s languages.
The goal of UniMorph is to annotate morphological data in a universal schema that allows an inflected word from any language to be defined by its lexical meaning,
typically carried by the lemma, and by a rendering of its inflectional form in terms of a bundle of morphological features from our schema.
The specification of the schema is described in Sylak-Glassman (2016).
```

*   **License**: CC-BY-SA-3.0
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 4134

*   **Features**:



## arn


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:universal_morphologies/arn')
```

*   **Description**:

```
The Universal Morphology (UniMorph) project is a collaborative effort to improve how NLP handles complex morphology in the world’s languages.
The goal of UniMorph is to annotate morphological data in a universal schema that allows an inflected word from any language to be defined by its lexical meaning,
typically carried by the lemma, and by a rendering of its inflectional form in terms of a bundle of morphological features from our schema.
The specification of the schema is described in Sylak-Glassman (2016).
```

*   **License**: CC-BY-SA-3.0
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 26

*   **Features**:



## ast


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:universal_morphologies/ast')
```

*   **Description**:

```
The Universal Morphology (UniMorph) project is a collaborative effort to improve how NLP handles complex morphology in the world’s languages.
The goal of UniMorph is to annotate morphological data in a universal schema that allows an inflected word from any language to be defined by its lexical meaning,
typically carried by the lemma, and by a rendering of its inflectional form in terms of a bundle of morphological features from our schema.
The specification of the schema is described in Sylak-Glassman (2016).
```

*   **License**: CC-BY-SA-3.0
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 436

*   **Features**:



## aze


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:universal_morphologies/aze')
```

*   **Description**:

```
The Universal Morphology (UniMorph) project is a collaborative effort to improve how NLP handles complex morphology in the world’s languages.
The goal of UniMorph is to annotate morphological data in a universal schema that allows an inflected word from any language to be defined by its lexical meaning,
typically carried by the lemma, and by a rendering of its inflectional form in terms of a bundle of morphological features from our schema.
The specification of the schema is described in Sylak-Glassman (2016).
```

*   **License**: CC-BY-SA-3.0
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 340

*   **Features**:



## bak


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:universal_morphologies/bak')
```

*   **Description**:

```
The Universal Morphology (UniMorph) project is a collaborative effort to improve how NLP handles complex morphology in the world’s languages.
The goal of UniMorph is to annotate morphological data in a universal schema that allows an inflected word from any language to be defined by its lexical meaning,
typically carried by the lemma, and by a rendering of its inflectional form in terms of a bundle of morphological features from our schema.
The specification of the schema is described in Sylak-Glassman (2016).
```

*   **License**: CC-BY-SA-3.0
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 1084

*   **Features**:



## bel


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:universal_morphologies/bel')
```

*   **Description**:

```
The Universal Morphology (UniMorph) project is a collaborative effort to improve how NLP handles complex morphology in the world’s languages.
The goal of UniMorph is to annotate morphological data in a universal schema that allows an inflected word from any language to be defined by its lexical meaning,
typically carried by the lemma, and by a rendering of its inflectional form in terms of a bundle of morphological features from our schema.
The specification of the schema is described in Sylak-Glassman (2016).
```

*   **License**: CC-BY-SA-3.0
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 1027

*   **Features**:



## ben


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:universal_morphologies/ben')
```

*   **Description**:

```
The Universal Morphology (UniMorph) project is a collaborative effort to improve how NLP handles complex morphology in the world’s languages.
The goal of UniMorph is to annotate morphological data in a universal schema that allows an inflected word from any language to be defined by its lexical meaning,
typically carried by the lemma, and by a rendering of its inflectional form in terms of a bundle of morphological features from our schema.
The specification of the schema is described in Sylak-Glassman (2016).
```

*   **License**: CC-BY-SA-3.0
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 136

*   **Features**:



## bod


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:universal_morphologies/bod')
```

*   **Description**:

```
The Universal Morphology (UniMorph) project is a collaborative effort to improve how NLP handles complex morphology in the world’s languages.
The goal of UniMorph is to annotate morphological data in a universal schema that allows an inflected word from any language to be defined by its lexical meaning,
typically carried by the lemma, and by a rendering of its inflectional form in terms of a bundle of morphological features from our schema.
The specification of the schema is described in Sylak-Glassman (2016).
```

*   **License**: CC-BY-SA-3.0
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 1335

*   **Features**:



## bre


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:universal_morphologies/bre')
```

*   **Description**:

```
The Universal Morphology (UniMorph) project is a collaborative effort to improve how NLP handles complex morphology in the world’s languages.
The goal of UniMorph is to annotate morphological data in a universal schema that allows an inflected word from any language to be defined by its lexical meaning,
typically carried by the lemma, and by a rendering of its inflectional form in terms of a bundle of morphological features from our schema.
The specification of the schema is described in Sylak-Glassman (2016).
```

*   **License**: CC-BY-SA-3.0
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 44

*   **Features**:



## bul


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:universal_morphologies/bul')
```

*   **Description**:

```
The Universal Morphology (UniMorph) project is a collaborative effort to improve how NLP handles complex morphology in the world’s languages.
The goal of UniMorph is to annotate morphological data in a universal schema that allows an inflected word from any language to be defined by its lexical meaning,
typically carried by the lemma, and by a rendering of its inflectional form in terms of a bundle of morphological features from our schema.
The specification of the schema is described in Sylak-Glassman (2016).
```

*   **License**: CC-BY-SA-3.0
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 2468

*   **Features**:



## cat


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:universal_morphologies/cat')
```

*   **Description**:

```
The Universal Morphology (UniMorph) project is a collaborative effort to improve how NLP handles complex morphology in the world’s languages.
The goal of UniMorph is to annotate morphological data in a universal schema that allows an inflected word from any language to be defined by its lexical meaning,
typically carried by the lemma, and by a rendering of its inflectional form in terms of a bundle of morphological features from our schema.
The specification of the schema is described in Sylak-Glassman (2016).
```

*   **License**: CC-BY-SA-3.0
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 1547

*   **Features**:



## ces


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:universal_morphologies/ces')
```

*   **Description**:

```
The Universal Morphology (UniMorph) project is a collaborative effort to improve how NLP handles complex morphology in the world’s languages.
The goal of UniMorph is to annotate morphological data in a universal schema that allows an inflected word from any language to be defined by its lexical meaning,
typically carried by the lemma, and by a rendering of its inflectional form in terms of a bundle of morphological features from our schema.
The specification of the schema is described in Sylak-Glassman (2016).
```

*   **License**: CC-BY-SA-3.0
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 5125

*   **Features**:



## chu


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:universal_morphologies/chu')
```

*   **Description**:

```
The Universal Morphology (UniMorph) project is a collaborative effort to improve how NLP handles complex morphology in the world’s languages.
The goal of UniMorph is to annotate morphological data in a universal schema that allows an inflected word from any language to be defined by its lexical meaning,
typically carried by the lemma, and by a rendering of its inflectional form in terms of a bundle of morphological features from our schema.
The specification of the schema is described in Sylak-Glassman (2016).
```

*   **License**: CC-BY-SA-3.0
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 152

*   **Features**:



## ckb


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:universal_morphologies/ckb')
```

*   **Description**:

```
The Universal Morphology (UniMorph) project is a collaborative effort to improve how NLP handles complex morphology in the world’s languages.
The goal of UniMorph is to annotate morphological data in a universal schema that allows an inflected word from any language to be defined by its lexical meaning,
typically carried by the lemma, and by a rendering of its inflectional form in terms of a bundle of morphological features from our schema.
The specification of the schema is described in Sylak-Glassman (2016).
```

*   **License**: CC-BY-SA-3.0
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 274

*   **Features**:



## cor


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:universal_morphologies/cor')
```

*   **Description**:

```
The Universal Morphology (UniMorph) project is a collaborative effort to improve how NLP handles complex morphology in the world’s languages.
The goal of UniMorph is to annotate morphological data in a universal schema that allows an inflected word from any language to be defined by its lexical meaning,
typically carried by the lemma, and by a rendering of its inflectional form in terms of a bundle of morphological features from our schema.
The specification of the schema is described in Sylak-Glassman (2016).
```

*   **License**: CC-BY-SA-3.0
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 9

*   **Features**:



## crh


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:universal_morphologies/crh')
```

*   **Description**:

```
The Universal Morphology (UniMorph) project is a collaborative effort to improve how NLP handles complex morphology in the world’s languages.
The goal of UniMorph is to annotate morphological data in a universal schema that allows an inflected word from any language to be defined by its lexical meaning,
typically carried by the lemma, and by a rendering of its inflectional form in terms of a bundle of morphological features from our schema.
The specification of the schema is described in Sylak-Glassman (2016).
```

*   **License**: CC-BY-SA-3.0
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 1230

*   **Features**:



## csb


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:universal_morphologies/csb')
```

*   **Description**:

```
The Universal Morphology (UniMorph) project is a collaborative effort to improve how NLP handles complex morphology in the world’s languages.
The goal of UniMorph is to annotate morphological data in a universal schema that allows an inflected word from any language to be defined by its lexical meaning,
typically carried by the lemma, and by a rendering of its inflectional form in terms of a bundle of morphological features from our schema.
The specification of the schema is described in Sylak-Glassman (2016).
```

*   **License**: CC-BY-SA-3.0
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 37

*   **Features**:



## cym


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:universal_morphologies/cym')
```

*   **Description**:

```
The Universal Morphology (UniMorph) project is a collaborative effort to improve how NLP handles complex morphology in the world’s languages.
The goal of UniMorph is to annotate morphological data in a universal schema that allows an inflected word from any language to be defined by its lexical meaning,
typically carried by the lemma, and by a rendering of its inflectional form in terms of a bundle of morphological features from our schema.
The specification of the schema is described in Sylak-Glassman (2016).
```

*   **License**: CC-BY-SA-3.0
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 183

*   **Features**:



## dan


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:universal_morphologies/dan')
```

*   **Description**:

```
The Universal Morphology (UniMorph) project is a collaborative effort to improve how NLP handles complex morphology in the world’s languages.
The goal of UniMorph is to annotate morphological data in a universal schema that allows an inflected word from any language to be defined by its lexical meaning,
typically carried by the lemma, and by a rendering of its inflectional form in terms of a bundle of morphological features from our schema.
The specification of the schema is described in Sylak-Glassman (2016).
```

*   **License**: CC-BY-SA-3.0
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 3193

*   **Features**:



## deu


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:universal_morphologies/deu')
```

*   **Description**:

```
The Universal Morphology (UniMorph) project is a collaborative effort to improve how NLP handles complex morphology in the world’s languages.
The goal of UniMorph is to annotate morphological data in a universal schema that allows an inflected word from any language to be defined by its lexical meaning,
typically carried by the lemma, and by a rendering of its inflectional form in terms of a bundle of morphological features from our schema.
The specification of the schema is described in Sylak-Glassman (2016).
```

*   **License**: CC-BY-SA-3.0
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 15060

*   **Features**:



## dsb


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:universal_morphologies/dsb')
```

*   **Description**:

```
The Universal Morphology (UniMorph) project is a collaborative effort to improve how NLP handles complex morphology in the world’s languages.
The goal of UniMorph is to annotate morphological data in a universal schema that allows an inflected word from any language to be defined by its lexical meaning,
typically carried by the lemma, and by a rendering of its inflectional form in terms of a bundle of morphological features from our schema.
The specification of the schema is described in Sylak-Glassman (2016).
```

*   **License**: CC-BY-SA-3.0
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 994

*   **Features**:



## ell


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:universal_morphologies/ell')
```

*   **Description**:

```
The Universal Morphology (UniMorph) project is a collaborative effort to improve how NLP handles complex morphology in the world’s languages.
The goal of UniMorph is to annotate morphological data in a universal schema that allows an inflected word from any language to be defined by its lexical meaning,
typically carried by the lemma, and by a rendering of its inflectional form in terms of a bundle of morphological features from our schema.
The specification of the schema is described in Sylak-Glassman (2016).
```

*   **License**: CC-BY-SA-3.0
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 11906

*   **Features**:



## eng


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:universal_morphologies/eng')
```

*   **Description**:

```
The Universal Morphology (UniMorph) project is a collaborative effort to improve how NLP handles complex morphology in the world’s languages.
The goal of UniMorph is to annotate morphological data in a universal schema that allows an inflected word from any language to be defined by its lexical meaning,
typically carried by the lemma, and by a rendering of its inflectional form in terms of a bundle of morphological features from our schema.
The specification of the schema is described in Sylak-Glassman (2016).
```

*   **License**: CC-BY-SA-3.0
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 22765

*   **Features**:



## est


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:universal_morphologies/est')
```

*   **Description**:

```
The Universal Morphology (UniMorph) project is a collaborative effort to improve how NLP handles complex morphology in the world’s languages.
The goal of UniMorph is to annotate morphological data in a universal schema that allows an inflected word from any language to be defined by its lexical meaning,
typically carried by the lemma, and by a rendering of its inflectional form in terms of a bundle of morphological features from our schema.
The specification of the schema is described in Sylak-Glassman (2016).
```

*   **License**: CC-BY-SA-3.0
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 886

*   **Features**:



## eus


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:universal_morphologies/eus')
```

*   **Description**:

```
The Universal Morphology (UniMorph) project is a collaborative effort to improve how NLP handles complex morphology in the world’s languages.
The goal of UniMorph is to annotate morphological data in a universal schema that allows an inflected word from any language to be defined by its lexical meaning,
typically carried by the lemma, and by a rendering of its inflectional form in terms of a bundle of morphological features from our schema.
The specification of the schema is described in Sylak-Glassman (2016).
```

*   **License**: CC-BY-SA-3.0
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 26

*   **Features**:



## fao


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:universal_morphologies/fao')
```

*   **Description**:

```
The Universal Morphology (UniMorph) project is a collaborative effort to improve how NLP handles complex morphology in the world’s languages.
The goal of UniMorph is to annotate morphological data in a universal schema that allows an inflected word from any language to be defined by its lexical meaning,
typically carried by the lemma, and by a rendering of its inflectional form in terms of a bundle of morphological features from our schema.
The specification of the schema is described in Sylak-Glassman (2016).
```

*   **License**: CC-BY-SA-3.0
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 3077

*   **Features**:



## fas


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:universal_morphologies/fas')
```

*   **Description**:

```
The Universal Morphology (UniMorph) project is a collaborative effort to improve how NLP handles complex morphology in the world’s languages.
The goal of UniMorph is to annotate morphological data in a universal schema that allows an inflected word from any language to be defined by its lexical meaning,
typically carried by the lemma, and by a rendering of its inflectional form in terms of a bundle of morphological features from our schema.
The specification of the schema is described in Sylak-Glassman (2016).
```

*   **License**: CC-BY-SA-3.0
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 273

*   **Features**:



## fin


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:universal_morphologies/fin')
```

*   **Description**:

```
The Universal Morphology (UniMorph) project is a collaborative effort to improve how NLP handles complex morphology in the world’s languages.
The goal of UniMorph is to annotate morphological data in a universal schema that allows an inflected word from any language to be defined by its lexical meaning,
typically carried by the lemma, and by a rendering of its inflectional form in terms of a bundle of morphological features from our schema.
The specification of the schema is described in Sylak-Glassman (2016).
```

*   **License**: CC-BY-SA-3.0
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'1'` | 46152
`'2'` | 11491

*   **Features**:



## fra


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:universal_morphologies/fra')
```

*   **Description**:

```
The Universal Morphology (UniMorph) project is a collaborative effort to improve how NLP handles complex morphology in the world’s languages.
The goal of UniMorph is to annotate morphological data in a universal schema that allows an inflected word from any language to be defined by its lexical meaning,
typically carried by the lemma, and by a rendering of its inflectional form in terms of a bundle of morphological features from our schema.
The specification of the schema is described in Sylak-Glassman (2016).
```

*   **License**: CC-BY-SA-3.0
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 7535

*   **Features**:



## frm


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:universal_morphologies/frm')
```

*   **Description**:

```
The Universal Morphology (UniMorph) project is a collaborative effort to improve how NLP handles complex morphology in the world’s languages.
The goal of UniMorph is to annotate morphological data in a universal schema that allows an inflected word from any language to be defined by its lexical meaning,
typically carried by the lemma, and by a rendering of its inflectional form in terms of a bundle of morphological features from our schema.
The specification of the schema is described in Sylak-Glassman (2016).
```

*   **License**: CC-BY-SA-3.0
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 603

*   **Features**:



## fro


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:universal_morphologies/fro')
```

*   **Description**:

```
The Universal Morphology (UniMorph) project is a collaborative effort to improve how NLP handles complex morphology in the world’s languages.
The goal of UniMorph is to annotate morphological data in a universal schema that allows an inflected word from any language to be defined by its lexical meaning,
typically carried by the lemma, and by a rendering of its inflectional form in terms of a bundle of morphological features from our schema.
The specification of the schema is described in Sylak-Glassman (2016).
```

*   **License**: CC-BY-SA-3.0
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 1700

*   **Features**:



## frr


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:universal_morphologies/frr')
```

*   **Description**:

```
The Universal Morphology (UniMorph) project is a collaborative effort to improve how NLP handles complex morphology in the world’s languages.
The goal of UniMorph is to annotate morphological data in a universal schema that allows an inflected word from any language to be defined by its lexical meaning,
typically carried by the lemma, and by a rendering of its inflectional form in terms of a bundle of morphological features from our schema.
The specification of the schema is described in Sylak-Glassman (2016).
```

*   **License**: CC-BY-SA-3.0
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 51

*   **Features**:



## fry


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:universal_morphologies/fry')
```

*   **Description**:

```
The Universal Morphology (UniMorph) project is a collaborative effort to improve how NLP handles complex morphology in the world’s languages.
The goal of UniMorph is to annotate morphological data in a universal schema that allows an inflected word from any language to be defined by its lexical meaning,
typically carried by the lemma, and by a rendering of its inflectional form in terms of a bundle of morphological features from our schema.
The specification of the schema is described in Sylak-Glassman (2016).
```

*   **License**: CC-BY-SA-3.0
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 85

*   **Features**:



## fur


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:universal_morphologies/fur')
```

*   **Description**:

```
The Universal Morphology (UniMorph) project is a collaborative effort to improve how NLP handles complex morphology in the world’s languages.
The goal of UniMorph is to annotate morphological data in a universal schema that allows an inflected word from any language to be defined by its lexical meaning,
typically carried by the lemma, and by a rendering of its inflectional form in terms of a bundle of morphological features from our schema.
The specification of the schema is described in Sylak-Glassman (2016).
```

*   **License**: CC-BY-SA-3.0
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 168

*   **Features**:



## gal


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:universal_morphologies/gal')
```

*   **Description**:

```
The Universal Morphology (UniMorph) project is a collaborative effort to improve how NLP handles complex morphology in the world’s languages.
The goal of UniMorph is to annotate morphological data in a universal schema that allows an inflected word from any language to be defined by its lexical meaning,
typically carried by the lemma, and by a rendering of its inflectional form in terms of a bundle of morphological features from our schema.
The specification of the schema is described in Sylak-Glassman (2016).
```

*   **License**: CC-BY-SA-3.0
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 486

*   **Features**:



## gla


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:universal_morphologies/gla')
```

*   **Description**:

```
The Universal Morphology (UniMorph) project is a collaborative effort to improve how NLP handles complex morphology in the world’s languages.
The goal of UniMorph is to annotate morphological data in a universal schema that allows an inflected word from any language to be defined by its lexical meaning,
typically carried by the lemma, and by a rendering of its inflectional form in terms of a bundle of morphological features from our schema.
The specification of the schema is described in Sylak-Glassman (2016).
```

*   **License**: CC-BY-SA-3.0
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 73

*   **Features**:



## gle


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:universal_morphologies/gle')
```

*   **Description**:

```
The Universal Morphology (UniMorph) project is a collaborative effort to improve how NLP handles complex morphology in the world’s languages.
The goal of UniMorph is to annotate morphological data in a universal schema that allows an inflected word from any language to be defined by its lexical meaning,
typically carried by the lemma, and by a rendering of its inflectional form in terms of a bundle of morphological features from our schema.
The specification of the schema is described in Sylak-Glassman (2016).
```

*   **License**: CC-BY-SA-3.0
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 7464

*   **Features**:



## glv


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:universal_morphologies/glv')
```

*   **Description**:

```
The Universal Morphology (UniMorph) project is a collaborative effort to improve how NLP handles complex morphology in the world’s languages.
The goal of UniMorph is to annotate morphological data in a universal schema that allows an inflected word from any language to be defined by its lexical meaning,
typically carried by the lemma, and by a rendering of its inflectional form in terms of a bundle of morphological features from our schema.
The specification of the schema is described in Sylak-Glassman (2016).
```

*   **License**: CC-BY-SA-3.0
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 1

*   **Features**:



## gmh


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:universal_morphologies/gmh')
```

*   **Description**:

```
The Universal Morphology (UniMorph) project is a collaborative effort to improve how NLP handles complex morphology in the world’s languages.
The goal of UniMorph is to annotate morphological data in a universal schema that allows an inflected word from any language to be defined by its lexical meaning,
typically carried by the lemma, and by a rendering of its inflectional form in terms of a bundle of morphological features from our schema.
The specification of the schema is described in Sylak-Glassman (2016).
```

*   **License**: CC-BY-SA-3.0
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 29

*   **Features**:



## gml


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:universal_morphologies/gml')
```

*   **Description**:

```
The Universal Morphology (UniMorph) project is a collaborative effort to improve how NLP handles complex morphology in the world’s languages.
The goal of UniMorph is to annotate morphological data in a universal schema that allows an inflected word from any language to be defined by its lexical meaning,
typically carried by the lemma, and by a rendering of its inflectional form in terms of a bundle of morphological features from our schema.
The specification of the schema is described in Sylak-Glassman (2016).
```

*   **License**: CC-BY-SA-3.0
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 52

*   **Features**:



## got


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:universal_morphologies/got')
```

*   **Description**:

```
The Universal Morphology (UniMorph) project is a collaborative effort to improve how NLP handles complex morphology in the world’s languages.
The goal of UniMorph is to annotate morphological data in a universal schema that allows an inflected word from any language to be defined by its lexical meaning,
typically carried by the lemma, and by a rendering of its inflectional form in terms of a bundle of morphological features from our schema.
The specification of the schema is described in Sylak-Glassman (2016).
```

*   **License**: CC-BY-SA-3.0
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 0

*   **Features**:



## grc


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:universal_morphologies/grc')
```

*   **Description**:

```
The Universal Morphology (UniMorph) project is a collaborative effort to improve how NLP handles complex morphology in the world’s languages.
The goal of UniMorph is to annotate morphological data in a universal schema that allows an inflected word from any language to be defined by its lexical meaning,
typically carried by the lemma, and by a rendering of its inflectional form in terms of a bundle of morphological features from our schema.
The specification of the schema is described in Sylak-Glassman (2016).
```

*   **License**: CC-BY-SA-3.0
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 2431

*   **Features**:



## hai


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:universal_morphologies/hai')
```

*   **Description**:

```
The Universal Morphology (UniMorph) project is a collaborative effort to improve how NLP handles complex morphology in the world’s languages.
The goal of UniMorph is to annotate morphological data in a universal schema that allows an inflected word from any language to be defined by its lexical meaning,
typically carried by the lemma, and by a rendering of its inflectional form in terms of a bundle of morphological features from our schema.
The specification of the schema is described in Sylak-Glassman (2016).
```

*   **License**: CC-BY-SA-3.0
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 41

*   **Features**:



## hbs


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:universal_morphologies/hbs')
```

*   **Description**:

```
The Universal Morphology (UniMorph) project is a collaborative effort to improve how NLP handles complex morphology in the world’s languages.
The goal of UniMorph is to annotate morphological data in a universal schema that allows an inflected word from any language to be defined by its lexical meaning,
typically carried by the lemma, and by a rendering of its inflectional form in terms of a bundle of morphological features from our schema.
The specification of the schema is described in Sylak-Glassman (2016).
```

*   **License**: CC-BY-SA-3.0
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 24419

*   **Features**:



## heb


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:universal_morphologies/heb')
```

*   **Description**:

```
The Universal Morphology (UniMorph) project is a collaborative effort to improve how NLP handles complex morphology in the world’s languages.
The goal of UniMorph is to annotate morphological data in a universal schema that allows an inflected word from any language to be defined by its lexical meaning,
typically carried by the lemma, and by a rendering of its inflectional form in terms of a bundle of morphological features from our schema.
The specification of the schema is described in Sylak-Glassman (2016).
```

*   **License**: CC-BY-SA-3.0
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 510

*   **Features**:



## hin


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:universal_morphologies/hin')
```

*   **Description**:

```
The Universal Morphology (UniMorph) project is a collaborative effort to improve how NLP handles complex morphology in the world’s languages.
The goal of UniMorph is to annotate morphological data in a universal schema that allows an inflected word from any language to be defined by its lexical meaning,
typically carried by the lemma, and by a rendering of its inflectional form in terms of a bundle of morphological features from our schema.
The specification of the schema is described in Sylak-Glassman (2016).
```

*   **License**: CC-BY-SA-3.0
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 258

*   **Features**:



## hun


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:universal_morphologies/hun')
```

*   **Description**:

```
The Universal Morphology (UniMorph) project is a collaborative effort to improve how NLP handles complex morphology in the world’s languages.
The goal of UniMorph is to annotate morphological data in a universal schema that allows an inflected word from any language to be defined by its lexical meaning,
typically carried by the lemma, and by a rendering of its inflectional form in terms of a bundle of morphological features from our schema.
The specification of the schema is described in Sylak-Glassman (2016).
```

*   **License**: CC-BY-SA-3.0
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 14892

*   **Features**:



## hye


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:universal_morphologies/hye')
```

*   **Description**:

```
The Universal Morphology (UniMorph) project is a collaborative effort to improve how NLP handles complex morphology in the world’s languages.
The goal of UniMorph is to annotate morphological data in a universal schema that allows an inflected word from any language to be defined by its lexical meaning,
typically carried by the lemma, and by a rendering of its inflectional form in terms of a bundle of morphological features from our schema.
The specification of the schema is described in Sylak-Glassman (2016).
```

*   **License**: CC-BY-SA-3.0
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 7033

*   **Features**:



## isl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:universal_morphologies/isl')
```

*   **Description**:

```
The Universal Morphology (UniMorph) project is a collaborative effort to improve how NLP handles complex morphology in the world’s languages.
The goal of UniMorph is to annotate morphological data in a universal schema that allows an inflected word from any language to be defined by its lexical meaning,
typically carried by the lemma, and by a rendering of its inflectional form in terms of a bundle of morphological features from our schema.
The specification of the schema is described in Sylak-Glassman (2016).
```

*   **License**: CC-BY-SA-3.0
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 4775

*   **Features**:



## ita


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:universal_morphologies/ita')
```

*   **Description**:

```
The Universal Morphology (UniMorph) project is a collaborative effort to improve how NLP handles complex morphology in the world’s languages.
The goal of UniMorph is to annotate morphological data in a universal schema that allows an inflected word from any language to be defined by its lexical meaning,
typically carried by the lemma, and by a rendering of its inflectional form in terms of a bundle of morphological features from our schema.
The specification of the schema is described in Sylak-Glassman (2016).
```

*   **License**: CC-BY-SA-3.0
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10009

*   **Features**:



## izh


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:universal_morphologies/izh')
```

*   **Description**:

```
The Universal Morphology (UniMorph) project is a collaborative effort to improve how NLP handles complex morphology in the world’s languages.
The goal of UniMorph is to annotate morphological data in a universal schema that allows an inflected word from any language to be defined by its lexical meaning,
typically carried by the lemma, and by a rendering of its inflectional form in terms of a bundle of morphological features from our schema.
The specification of the schema is described in Sylak-Glassman (2016).
```

*   **License**: CC-BY-SA-3.0
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 50

*   **Features**:



## kal


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:universal_morphologies/kal')
```

*   **Description**:

```
The Universal Morphology (UniMorph) project is a collaborative effort to improve how NLP handles complex morphology in the world’s languages.
The goal of UniMorph is to annotate morphological data in a universal schema that allows an inflected word from any language to be defined by its lexical meaning,
typically carried by the lemma, and by a rendering of its inflectional form in terms of a bundle of morphological features from our schema.
The specification of the schema is described in Sylak-Glassman (2016).
```

*   **License**: CC-BY-SA-3.0
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 23

*   **Features**:



## kan


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:universal_morphologies/kan')
```

*   **Description**:

```
The Universal Morphology (UniMorph) project is a collaborative effort to improve how NLP handles complex morphology in the world’s languages.
The goal of UniMorph is to annotate morphological data in a universal schema that allows an inflected word from any language to be defined by its lexical meaning,
typically carried by the lemma, and by a rendering of its inflectional form in terms of a bundle of morphological features from our schema.
The specification of the schema is described in Sylak-Glassman (2016).
```

*   **License**: CC-BY-SA-3.0
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 159

*   **Features**:



## kat


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:universal_morphologies/kat')
```

*   **Description**:

```
The Universal Morphology (UniMorph) project is a collaborative effort to improve how NLP handles complex morphology in the world’s languages.
The goal of UniMorph is to annotate morphological data in a universal schema that allows an inflected word from any language to be defined by its lexical meaning,
typically carried by the lemma, and by a rendering of its inflectional form in terms of a bundle of morphological features from our schema.
The specification of the schema is described in Sylak-Glassman (2016).
```

*   **License**: CC-BY-SA-3.0
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 3782

*   **Features**:



## kaz


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:universal_morphologies/kaz')
```

*   **Description**:

```
The Universal Morphology (UniMorph) project is a collaborative effort to improve how NLP handles complex morphology in the world’s languages.
The goal of UniMorph is to annotate morphological data in a universal schema that allows an inflected word from any language to be defined by its lexical meaning,
typically carried by the lemma, and by a rendering of its inflectional form in terms of a bundle of morphological features from our schema.
The specification of the schema is described in Sylak-Glassman (2016).
```

*   **License**: CC-BY-SA-3.0
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 26

*   **Features**:



## kbd


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:universal_morphologies/kbd')
```

*   **Description**:

```
The Universal Morphology (UniMorph) project is a collaborative effort to improve how NLP handles complex morphology in the world’s languages.
The goal of UniMorph is to annotate morphological data in a universal schema that allows an inflected word from any language to be defined by its lexical meaning,
typically carried by the lemma, and by a rendering of its inflectional form in terms of a bundle of morphological features from our schema.
The specification of the schema is described in Sylak-Glassman (2016).
```

*   **License**: CC-BY-SA-3.0
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 250

*   **Features**:



## kjh


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:universal_morphologies/kjh')
```

*   **Description**:

```
The Universal Morphology (UniMorph) project is a collaborative effort to improve how NLP handles complex morphology in the world’s languages.
The goal of UniMorph is to annotate morphological data in a universal schema that allows an inflected word from any language to be defined by its lexical meaning,
typically carried by the lemma, and by a rendering of its inflectional form in terms of a bundle of morphological features from our schema.
The specification of the schema is described in Sylak-Glassman (2016).
```

*   **License**: CC-BY-SA-3.0
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 75

*   **Features**:



## klr


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:universal_morphologies/klr')
```

*   **Description**:

```
The Universal Morphology (UniMorph) project is a collaborative effort to improve how NLP handles complex morphology in the world’s languages.
The goal of UniMorph is to annotate morphological data in a universal schema that allows an inflected word from any language to be defined by its lexical meaning,
typically carried by the lemma, and by a rendering of its inflectional form in terms of a bundle of morphological features from our schema.
The specification of the schema is described in Sylak-Glassman (2016).
```

*   **License**: CC-BY-SA-3.0
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 591

*   **Features**:



## kmr


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:universal_morphologies/kmr')
```

*   **Description**:

```
The Universal Morphology (UniMorph) project is a collaborative effort to improve how NLP handles complex morphology in the world’s languages.
The goal of UniMorph is to annotate morphological data in a universal schema that allows an inflected word from any language to be defined by its lexical meaning,
typically carried by the lemma, and by a rendering of its inflectional form in terms of a bundle of morphological features from our schema.
The specification of the schema is described in Sylak-Glassman (2016).
```

*   **License**: CC-BY-SA-3.0
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 15083

*   **Features**:



## krl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:universal_morphologies/krl')
```

*   **Description**:

```
The Universal Morphology (UniMorph) project is a collaborative effort to improve how NLP handles complex morphology in the world’s languages.
The goal of UniMorph is to annotate morphological data in a universal schema that allows an inflected word from any language to be defined by its lexical meaning,
typically carried by the lemma, and by a rendering of its inflectional form in terms of a bundle of morphological features from our schema.
The specification of the schema is described in Sylak-Glassman (2016).
```

*   **License**: CC-BY-SA-3.0
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 20

*   **Features**:



## lat


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:universal_morphologies/lat')
```

*   **Description**:

```
The Universal Morphology (UniMorph) project is a collaborative effort to improve how NLP handles complex morphology in the world’s languages.
The goal of UniMorph is to annotate morphological data in a universal schema that allows an inflected word from any language to be defined by its lexical meaning,
typically carried by the lemma, and by a rendering of its inflectional form in terms of a bundle of morphological features from our schema.
The specification of the schema is described in Sylak-Glassman (2016).
```

*   **License**: CC-BY-SA-3.0
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 17214

*   **Features**:



## lav


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:universal_morphologies/lav')
```

*   **Description**:

```
The Universal Morphology (UniMorph) project is a collaborative effort to improve how NLP handles complex morphology in the world’s languages.
The goal of UniMorph is to annotate morphological data in a universal schema that allows an inflected word from any language to be defined by its lexical meaning,
typically carried by the lemma, and by a rendering of its inflectional form in terms of a bundle of morphological features from our schema.
The specification of the schema is described in Sylak-Glassman (2016).
```

*   **License**: CC-BY-SA-3.0
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 7548

*   **Features**:



## lit


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:universal_morphologies/lit')
```

*   **Description**:

```
The Universal Morphology (UniMorph) project is a collaborative effort to improve how NLP handles complex morphology in the world’s languages.
The goal of UniMorph is to annotate morphological data in a universal schema that allows an inflected word from any language to be defined by its lexical meaning,
typically carried by the lemma, and by a rendering of its inflectional form in terms of a bundle of morphological features from our schema.
The specification of the schema is described in Sylak-Glassman (2016).
```

*   **License**: CC-BY-SA-3.0
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 1458

*   **Features**:



## liv


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:universal_morphologies/liv')
```

*   **Description**:

```
The Universal Morphology (UniMorph) project is a collaborative effort to improve how NLP handles complex morphology in the world’s languages.
The goal of UniMorph is to annotate morphological data in a universal schema that allows an inflected word from any language to be defined by its lexical meaning,
typically carried by the lemma, and by a rendering of its inflectional form in terms of a bundle of morphological features from our schema.
The specification of the schema is described in Sylak-Glassman (2016).
```

*   **License**: CC-BY-SA-3.0
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 203

*   **Features**:



## lld


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:universal_morphologies/lld')
```

*   **Description**:

```
The Universal Morphology (UniMorph) project is a collaborative effort to improve how NLP handles complex morphology in the world’s languages.
The goal of UniMorph is to annotate morphological data in a universal schema that allows an inflected word from any language to be defined by its lexical meaning,
typically carried by the lemma, and by a rendering of its inflectional form in terms of a bundle of morphological features from our schema.
The specification of the schema is described in Sylak-Glassman (2016).
```

*   **License**: CC-BY-SA-3.0
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 180

*   **Features**:



## lud


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:universal_morphologies/lud')
```

*   **Description**:

```
The Universal Morphology (UniMorph) project is a collaborative effort to improve how NLP handles complex morphology in the world’s languages.
The goal of UniMorph is to annotate morphological data in a universal schema that allows an inflected word from any language to be defined by its lexical meaning,
typically carried by the lemma, and by a rendering of its inflectional form in terms of a bundle of morphological features from our schema.
The specification of the schema is described in Sylak-Glassman (2016).
```

*   **License**: CC-BY-SA-3.0
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'mikhailovskoye'` | 2
`'new_written'` | 94
`'southern_ludian_svjatozero'` | 71

*   **Features**:



## mkd


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:universal_morphologies/mkd')
```

*   **Description**:

```
The Universal Morphology (UniMorph) project is a collaborative effort to improve how NLP handles complex morphology in the world’s languages.
The goal of UniMorph is to annotate morphological data in a universal schema that allows an inflected word from any language to be defined by its lexical meaning,
typically carried by the lemma, and by a rendering of its inflectional form in terms of a bundle of morphological features from our schema.
The specification of the schema is described in Sylak-Glassman (2016).
```

*   **License**: CC-BY-SA-3.0
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10313

*   **Features**:



## mlt


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:universal_morphologies/mlt')
```

*   **Description**:

```
The Universal Morphology (UniMorph) project is a collaborative effort to improve how NLP handles complex morphology in the world’s languages.
The goal of UniMorph is to annotate morphological data in a universal schema that allows an inflected word from any language to be defined by its lexical meaning,
typically carried by the lemma, and by a rendering of its inflectional form in terms of a bundle of morphological features from our schema.
The specification of the schema is described in Sylak-Glassman (2016).
```

*   **License**: CC-BY-SA-3.0
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 112

*   **Features**:



## mwf


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:universal_morphologies/mwf')
```

*   **Description**:

```
The Universal Morphology (UniMorph) project is a collaborative effort to improve how NLP handles complex morphology in the world’s languages.
The goal of UniMorph is to annotate morphological data in a universal schema that allows an inflected word from any language to be defined by its lexical meaning,
typically carried by the lemma, and by a rendering of its inflectional form in terms of a bundle of morphological features from our schema.
The specification of the schema is described in Sylak-Glassman (2016).
```

*   **License**: CC-BY-SA-3.0
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 29

*   **Features**:



## nap


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:universal_morphologies/nap')
```

*   **Description**:

```
The Universal Morphology (UniMorph) project is a collaborative effort to improve how NLP handles complex morphology in the world’s languages.
The goal of UniMorph is to annotate morphological data in a universal schema that allows an inflected word from any language to be defined by its lexical meaning,
typically carried by the lemma, and by a rendering of its inflectional form in terms of a bundle of morphological features from our schema.
The specification of the schema is described in Sylak-Glassman (2016).
```

*   **License**: CC-BY-SA-3.0
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 40

*   **Features**:



## nav


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:universal_morphologies/nav')
```

*   **Description**:

```
The Universal Morphology (UniMorph) project is a collaborative effort to improve how NLP handles complex morphology in the world’s languages.
The goal of UniMorph is to annotate morphological data in a universal schema that allows an inflected word from any language to be defined by its lexical meaning,
typically carried by the lemma, and by a rendering of its inflectional form in terms of a bundle of morphological features from our schema.
The specification of the schema is described in Sylak-Glassman (2016).
```

*   **License**: CC-BY-SA-3.0
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 674

*   **Features**:



## nds


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:universal_morphologies/nds')
```

*   **Description**:

```
The Universal Morphology (UniMorph) project is a collaborative effort to improve how NLP handles complex morphology in the world’s languages.
The goal of UniMorph is to annotate morphological data in a universal schema that allows an inflected word from any language to be defined by its lexical meaning,
typically carried by the lemma, and by a rendering of its inflectional form in terms of a bundle of morphological features from our schema.
The specification of the schema is described in Sylak-Glassman (2016).
```

*   **License**: CC-BY-SA-3.0
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 0

*   **Features**:



## nld


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:universal_morphologies/nld')
```

*   **Description**:

```
The Universal Morphology (UniMorph) project is a collaborative effort to improve how NLP handles complex morphology in the world’s languages.
The goal of UniMorph is to annotate morphological data in a universal schema that allows an inflected word from any language to be defined by its lexical meaning,
typically carried by the lemma, and by a rendering of its inflectional form in terms of a bundle of morphological features from our schema.
The specification of the schema is described in Sylak-Glassman (2016).
```

*   **License**: CC-BY-SA-3.0
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 4993

*   **Features**:



## nno


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:universal_morphologies/nno')
```

*   **Description**:

```
The Universal Morphology (UniMorph) project is a collaborative effort to improve how NLP handles complex morphology in the world’s languages.
The goal of UniMorph is to annotate morphological data in a universal schema that allows an inflected word from any language to be defined by its lexical meaning,
typically carried by the lemma, and by a rendering of its inflectional form in terms of a bundle of morphological features from our schema.
The specification of the schema is described in Sylak-Glassman (2016).
```

*   **License**: CC-BY-SA-3.0
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 4689

*   **Features**:



## nob


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:universal_morphologies/nob')
```

*   **Description**:

```
The Universal Morphology (UniMorph) project is a collaborative effort to improve how NLP handles complex morphology in the world’s languages.
The goal of UniMorph is to annotate morphological data in a universal schema that allows an inflected word from any language to be defined by its lexical meaning,
typically carried by the lemma, and by a rendering of its inflectional form in terms of a bundle of morphological features from our schema.
The specification of the schema is described in Sylak-Glassman (2016).
```

*   **License**: CC-BY-SA-3.0
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 5527

*   **Features**:



## oci


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:universal_morphologies/oci')
```

*   **Description**:

```
The Universal Morphology (UniMorph) project is a collaborative effort to improve how NLP handles complex morphology in the world’s languages.
The goal of UniMorph is to annotate morphological data in a universal schema that allows an inflected word from any language to be defined by its lexical meaning,
typically carried by the lemma, and by a rendering of its inflectional form in terms of a bundle of morphological features from our schema.
The specification of the schema is described in Sylak-Glassman (2016).
```

*   **License**: CC-BY-SA-3.0
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 174

*   **Features**:



## olo


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:universal_morphologies/olo')
```

*   **Description**:

```
The Universal Morphology (UniMorph) project is a collaborative effort to improve how NLP handles complex morphology in the world’s languages.
The goal of UniMorph is to annotate morphological data in a universal schema that allows an inflected word from any language to be defined by its lexical meaning,
typically carried by the lemma, and by a rendering of its inflectional form in terms of a bundle of morphological features from our schema.
The specification of the schema is described in Sylak-Glassman (2016).
```

*   **License**: CC-BY-SA-3.0
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'kotkozero'` | 5
`'new_written'` | 15293
`'syamozero'` | 2
`'vedlozero'` | 1
`'vidlitsa'` | 3

*   **Features**:



## osx


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:universal_morphologies/osx')
```

*   **Description**:

```
The Universal Morphology (UniMorph) project is a collaborative effort to improve how NLP handles complex morphology in the world’s languages.
The goal of UniMorph is to annotate morphological data in a universal schema that allows an inflected word from any language to be defined by its lexical meaning,
typically carried by the lemma, and by a rendering of its inflectional form in terms of a bundle of morphological features from our schema.
The specification of the schema is described in Sylak-Glassman (2016).
```

*   **License**: CC-BY-SA-3.0
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 863

*   **Features**:



## pol


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:universal_morphologies/pol')
```

*   **Description**:

```
The Universal Morphology (UniMorph) project is a collaborative effort to improve how NLP handles complex morphology in the world’s languages.
The goal of UniMorph is to annotate morphological data in a universal schema that allows an inflected word from any language to be defined by its lexical meaning,
typically carried by the lemma, and by a rendering of its inflectional form in terms of a bundle of morphological features from our schema.
The specification of the schema is described in Sylak-Glassman (2016).
```

*   **License**: CC-BY-SA-3.0
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10185

*   **Features**:



## por


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:universal_morphologies/por')
```

*   **Description**:

```
The Universal Morphology (UniMorph) project is a collaborative effort to improve how NLP handles complex morphology in the world’s languages.
The goal of UniMorph is to annotate morphological data in a universal schema that allows an inflected word from any language to be defined by its lexical meaning,
typically carried by the lemma, and by a rendering of its inflectional form in terms of a bundle of morphological features from our schema.
The specification of the schema is described in Sylak-Glassman (2016).
```

*   **License**: CC-BY-SA-3.0
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 4001

*   **Features**:



## pus


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:universal_morphologies/pus')
```

*   **Description**:

```
The Universal Morphology (UniMorph) project is a collaborative effort to improve how NLP handles complex morphology in the world’s languages.
The goal of UniMorph is to annotate morphological data in a universal schema that allows an inflected word from any language to be defined by its lexical meaning,
typically carried by the lemma, and by a rendering of its inflectional form in terms of a bundle of morphological features from our schema.
The specification of the schema is described in Sylak-Glassman (2016).
```

*   **License**: CC-BY-SA-3.0
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 395

*   **Features**:



## que


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:universal_morphologies/que')
```

*   **Description**:

```
The Universal Morphology (UniMorph) project is a collaborative effort to improve how NLP handles complex morphology in the world’s languages.
The goal of UniMorph is to annotate morphological data in a universal schema that allows an inflected word from any language to be defined by its lexical meaning,
typically carried by the lemma, and by a rendering of its inflectional form in terms of a bundle of morphological features from our schema.
The specification of the schema is described in Sylak-Glassman (2016).
```

*   **License**: CC-BY-SA-3.0
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 1006

*   **Features**:



## ron


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:universal_morphologies/ron')
```

*   **Description**:

```
The Universal Morphology (UniMorph) project is a collaborative effort to improve how NLP handles complex morphology in the world’s languages.
The goal of UniMorph is to annotate morphological data in a universal schema that allows an inflected word from any language to be defined by its lexical meaning,
typically carried by the lemma, and by a rendering of its inflectional form in terms of a bundle of morphological features from our schema.
The specification of the schema is described in Sylak-Glassman (2016).
```

*   **License**: CC-BY-SA-3.0
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 4405

*   **Features**:



## rus


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:universal_morphologies/rus')
```

*   **Description**:

```
The Universal Morphology (UniMorph) project is a collaborative effort to improve how NLP handles complex morphology in the world’s languages.
The goal of UniMorph is to annotate morphological data in a universal schema that allows an inflected word from any language to be defined by its lexical meaning,
typically carried by the lemma, and by a rendering of its inflectional form in terms of a bundle of morphological features from our schema.
The specification of the schema is described in Sylak-Glassman (2016).
```

*   **License**: CC-BY-SA-3.0
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 28068

*   **Features**:



## san


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:universal_morphologies/san')
```

*   **Description**:

```
The Universal Morphology (UniMorph) project is a collaborative effort to improve how NLP handles complex morphology in the world’s languages.
The goal of UniMorph is to annotate morphological data in a universal schema that allows an inflected word from any language to be defined by its lexical meaning,
typically carried by the lemma, and by a rendering of its inflectional form in terms of a bundle of morphological features from our schema.
The specification of the schema is described in Sylak-Glassman (2016).
```

*   **License**: CC-BY-SA-3.0
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 917

*   **Features**:



## sga


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:universal_morphologies/sga')
```

*   **Description**:

```
The Universal Morphology (UniMorph) project is a collaborative effort to improve how NLP handles complex morphology in the world’s languages.
The goal of UniMorph is to annotate morphological data in a universal schema that allows an inflected word from any language to be defined by its lexical meaning,
typically carried by the lemma, and by a rendering of its inflectional form in terms of a bundle of morphological features from our schema.
The specification of the schema is described in Sylak-Glassman (2016).
```

*   **License**: CC-BY-SA-3.0
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 49

*   **Features**:



## slv


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:universal_morphologies/slv')
```

*   **Description**:

```
The Universal Morphology (UniMorph) project is a collaborative effort to improve how NLP handles complex morphology in the world’s languages.
The goal of UniMorph is to annotate morphological data in a universal schema that allows an inflected word from any language to be defined by its lexical meaning,
typically carried by the lemma, and by a rendering of its inflectional form in terms of a bundle of morphological features from our schema.
The specification of the schema is described in Sylak-Glassman (2016).
```

*   **License**: CC-BY-SA-3.0
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 2535

*   **Features**:



## sme


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:universal_morphologies/sme')
```

*   **Description**:

```
The Universal Morphology (UniMorph) project is a collaborative effort to improve how NLP handles complex morphology in the world’s languages.
The goal of UniMorph is to annotate morphological data in a universal schema that allows an inflected word from any language to be defined by its lexical meaning,
typically carried by the lemma, and by a rendering of its inflectional form in terms of a bundle of morphological features from our schema.
The specification of the schema is described in Sylak-Glassman (2016).
```

*   **License**: CC-BY-SA-3.0
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 2103

*   **Features**:



## spa


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:universal_morphologies/spa')
```

*   **Description**:

```
The Universal Morphology (UniMorph) project is a collaborative effort to improve how NLP handles complex morphology in the world’s languages.
The goal of UniMorph is to annotate morphological data in a universal schema that allows an inflected word from any language to be defined by its lexical meaning,
typically carried by the lemma, and by a rendering of its inflectional form in terms of a bundle of morphological features from our schema.
The specification of the schema is described in Sylak-Glassman (2016).
```

*   **License**: CC-BY-SA-3.0
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 5460

*   **Features**:



## sqi


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:universal_morphologies/sqi')
```

*   **Description**:

```
The Universal Morphology (UniMorph) project is a collaborative effort to improve how NLP handles complex morphology in the world’s languages.
The goal of UniMorph is to annotate morphological data in a universal schema that allows an inflected word from any language to be defined by its lexical meaning,
typically carried by the lemma, and by a rendering of its inflectional form in terms of a bundle of morphological features from our schema.
The specification of the schema is described in Sylak-Glassman (2016).
```

*   **License**: CC-BY-SA-3.0
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 589

*   **Features**:



## swc


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:universal_morphologies/swc')
```

*   **Description**:

```
The Universal Morphology (UniMorph) project is a collaborative effort to improve how NLP handles complex morphology in the world’s languages.
The goal of UniMorph is to annotate morphological data in a universal schema that allows an inflected word from any language to be defined by its lexical meaning,
typically carried by the lemma, and by a rendering of its inflectional form in terms of a bundle of morphological features from our schema.
The specification of the schema is described in Sylak-Glassman (2016).
```

*   **License**: CC-BY-SA-3.0
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 100

*   **Features**:



## swe


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:universal_morphologies/swe')
```

*   **Description**:

```
The Universal Morphology (UniMorph) project is a collaborative effort to improve how NLP handles complex morphology in the world’s languages.
The goal of UniMorph is to annotate morphological data in a universal schema that allows an inflected word from any language to be defined by its lexical meaning,
typically carried by the lemma, and by a rendering of its inflectional form in terms of a bundle of morphological features from our schema.
The specification of the schema is described in Sylak-Glassman (2016).
```

*   **License**: CC-BY-SA-3.0
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 10553

*   **Features**:



## syc


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:universal_morphologies/syc')
```

*   **Description**:

```
The Universal Morphology (UniMorph) project is a collaborative effort to improve how NLP handles complex morphology in the world’s languages.
The goal of UniMorph is to annotate morphological data in a universal schema that allows an inflected word from any language to be defined by its lexical meaning,
typically carried by the lemma, and by a rendering of its inflectional form in terms of a bundle of morphological features from our schema.
The specification of the schema is described in Sylak-Glassman (2016).
```

*   **License**: CC-BY-SA-3.0
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 160

*   **Features**:



## tat


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:universal_morphologies/tat')
```

*   **Description**:

```
The Universal Morphology (UniMorph) project is a collaborative effort to improve how NLP handles complex morphology in the world’s languages.
The goal of UniMorph is to annotate morphological data in a universal schema that allows an inflected word from any language to be defined by its lexical meaning,
typically carried by the lemma, and by a rendering of its inflectional form in terms of a bundle of morphological features from our schema.
The specification of the schema is described in Sylak-Glassman (2016).
```

*   **License**: CC-BY-SA-3.0
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 1283

*   **Features**:



## tel


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:universal_morphologies/tel')
```

*   **Description**:

```
The Universal Morphology (UniMorph) project is a collaborative effort to improve how NLP handles complex morphology in the world’s languages.
The goal of UniMorph is to annotate morphological data in a universal schema that allows an inflected word from any language to be defined by its lexical meaning,
typically carried by the lemma, and by a rendering of its inflectional form in terms of a bundle of morphological features from our schema.
The specification of the schema is described in Sylak-Glassman (2016).
```

*   **License**: CC-BY-SA-3.0
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 127

*   **Features**:



## tgk


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:universal_morphologies/tgk')
```

*   **Description**:

```
The Universal Morphology (UniMorph) project is a collaborative effort to improve how NLP handles complex morphology in the world’s languages.
The goal of UniMorph is to annotate morphological data in a universal schema that allows an inflected word from any language to be defined by its lexical meaning,
typically carried by the lemma, and by a rendering of its inflectional form in terms of a bundle of morphological features from our schema.
The specification of the schema is described in Sylak-Glassman (2016).
```

*   **License**: CC-BY-SA-3.0
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 75

*   **Features**:



## tuk


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:universal_morphologies/tuk')
```

*   **Description**:

```
The Universal Morphology (UniMorph) project is a collaborative effort to improve how NLP handles complex morphology in the world’s languages.
The goal of UniMorph is to annotate morphological data in a universal schema that allows an inflected word from any language to be defined by its lexical meaning,
typically carried by the lemma, and by a rendering of its inflectional form in terms of a bundle of morphological features from our schema.
The specification of the schema is described in Sylak-Glassman (2016).
```

*   **License**: CC-BY-SA-3.0
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 68

*   **Features**:



## tur


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:universal_morphologies/tur')
```

*   **Description**:

```
The Universal Morphology (UniMorph) project is a collaborative effort to improve how NLP handles complex morphology in the world’s languages.
The goal of UniMorph is to annotate morphological data in a universal schema that allows an inflected word from any language to be defined by its lexical meaning,
typically carried by the lemma, and by a rendering of its inflectional form in terms of a bundle of morphological features from our schema.
The specification of the schema is described in Sylak-Glassman (2016).
```

*   **License**: CC-BY-SA-3.0
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 3579

*   **Features**:



## ukr


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:universal_morphologies/ukr')
```

*   **Description**:

```
The Universal Morphology (UniMorph) project is a collaborative effort to improve how NLP handles complex morphology in the world’s languages.
The goal of UniMorph is to annotate morphological data in a universal schema that allows an inflected word from any language to be defined by its lexical meaning,
typically carried by the lemma, and by a rendering of its inflectional form in terms of a bundle of morphological features from our schema.
The specification of the schema is described in Sylak-Glassman (2016).
```

*   **License**: CC-BY-SA-3.0
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 1493

*   **Features**:



## urd


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:universal_morphologies/urd')
```

*   **Description**:

```
The Universal Morphology (UniMorph) project is a collaborative effort to improve how NLP handles complex morphology in the world’s languages.
The goal of UniMorph is to annotate morphological data in a universal schema that allows an inflected word from any language to be defined by its lexical meaning,
typically carried by the lemma, and by a rendering of its inflectional form in terms of a bundle of morphological features from our schema.
The specification of the schema is described in Sylak-Glassman (2016).
```

*   **License**: CC-BY-SA-3.0
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 182

*   **Features**:



## uzb


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:universal_morphologies/uzb')
```

*   **Description**:

```
The Universal Morphology (UniMorph) project is a collaborative effort to improve how NLP handles complex morphology in the world’s languages.
The goal of UniMorph is to annotate morphological data in a universal schema that allows an inflected word from any language to be defined by its lexical meaning,
typically carried by the lemma, and by a rendering of its inflectional form in terms of a bundle of morphological features from our schema.
The specification of the schema is described in Sylak-Glassman (2016).
```

*   **License**: CC-BY-SA-3.0
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 15

*   **Features**:



## vec


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:universal_morphologies/vec')
```

*   **Description**:

```
The Universal Morphology (UniMorph) project is a collaborative effort to improve how NLP handles complex morphology in the world’s languages.
The goal of UniMorph is to annotate morphological data in a universal schema that allows an inflected word from any language to be defined by its lexical meaning,
typically carried by the lemma, and by a rendering of its inflectional form in terms of a bundle of morphological features from our schema.
The specification of the schema is described in Sylak-Glassman (2016).
```

*   **License**: CC-BY-SA-3.0
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 368

*   **Features**:



## vep


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:universal_morphologies/vep')
```

*   **Description**:

```
The Universal Morphology (UniMorph) project is a collaborative effort to improve how NLP handles complex morphology in the world’s languages.
The goal of UniMorph is to annotate morphological data in a universal schema that allows an inflected word from any language to be defined by its lexical meaning,
typically carried by the lemma, and by a rendering of its inflectional form in terms of a bundle of morphological features from our schema.
The specification of the schema is described in Sylak-Glassman (2016).
```

*   **License**: CC-BY-SA-3.0
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'central_eastern'` | 65
`'central_western'` | 111
`'new_written'` | 9304
`'northern'` | 21
`'southern'` | 17

*   **Features**:



## vot


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:universal_morphologies/vot')
```

*   **Description**:

```
The Universal Morphology (UniMorph) project is a collaborative effort to improve how NLP handles complex morphology in the world’s languages.
The goal of UniMorph is to annotate morphological data in a universal schema that allows an inflected word from any language to be defined by its lexical meaning,
typically carried by the lemma, and by a rendering of its inflectional form in terms of a bundle of morphological features from our schema.
The specification of the schema is described in Sylak-Glassman (2016).
```

*   **License**: CC-BY-SA-3.0
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 55

*   **Features**:



## xcl


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:universal_morphologies/xcl')
```

*   **Description**:

```
The Universal Morphology (UniMorph) project is a collaborative effort to improve how NLP handles complex morphology in the world’s languages.
The goal of UniMorph is to annotate morphological data in a universal schema that allows an inflected word from any language to be defined by its lexical meaning,
typically carried by the lemma, and by a rendering of its inflectional form in terms of a bundle of morphological features from our schema.
The specification of the schema is described in Sylak-Glassman (2016).
```

*   **License**: CC-BY-SA-3.0
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 4300

*   **Features**:



## xno


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:universal_morphologies/xno')
```

*   **Description**:

```
The Universal Morphology (UniMorph) project is a collaborative effort to improve how NLP handles complex morphology in the world’s languages.
The goal of UniMorph is to annotate morphological data in a universal schema that allows an inflected word from any language to be defined by its lexical meaning,
typically carried by the lemma, and by a rendering of its inflectional form in terms of a bundle of morphological features from our schema.
The specification of the schema is described in Sylak-Glassman (2016).
```

*   **License**: CC-BY-SA-3.0
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 5

*   **Features**:



## yid


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:universal_morphologies/yid')
```

*   **Description**:

```
The Universal Morphology (UniMorph) project is a collaborative effort to improve how NLP handles complex morphology in the world’s languages.
The goal of UniMorph is to annotate morphological data in a universal schema that allows an inflected word from any language to be defined by its lexical meaning,
typically carried by the lemma, and by a rendering of its inflectional form in terms of a bundle of morphological features from our schema.
The specification of the schema is described in Sylak-Glassman (2016).
```

*   **License**: CC-BY-SA-3.0
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 803

*   **Features**:



## zul


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:universal_morphologies/zul')
```

*   **Description**:

```
The Universal Morphology (UniMorph) project is a collaborative effort to improve how NLP handles complex morphology in the world’s languages.
The goal of UniMorph is to annotate morphological data in a universal schema that allows an inflected word from any language to be defined by its lexical meaning,
typically carried by the lemma, and by a rendering of its inflectional form in terms of a bundle of morphological features from our schema.
The specification of the schema is described in Sylak-Glassman (2016).
```

*   **License**: CC-BY-SA-3.0
*   **Version**: 1.0.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'train'` | 566

*   **Features**:


