# wiki_asp

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/wiki_asp)
*   [Huggingface](https://huggingface.co/datasets/wiki_asp)


## album


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:wiki_asp/album')
```

*   **Description**:

```
WikiAsp is a multi-domain, aspect-based summarization dataset in the encyclopedic
domain. In this task, models are asked to summarize cited reference documents of a
Wikipedia article into aspect-based summaries. Each of the 20 domains include 10
domain-specific pre-defined aspects.
```

*   **License**: CC BY-SA 4.0
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'test'` | 3038
`'train'` | 24434
`'validation'` | 3104

*   **Features**:

```json
{
    "exid": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "inputs": {
        "feature": {
            "dtype": "string",
            "id": null,
            "_type": "Value"
        },
        "length": -1,
        "id": null,
        "_type": "Sequence"
    },
    "targets": {
        "feature": {
            "feature": {
                "dtype": "string",
                "id": null,
                "_type": "Value"
            },
            "length": -1,
            "id": null,
            "_type": "Sequence"
        },
        "length": -1,
        "id": null,
        "_type": "Sequence"
    }
}
```



## animal


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:wiki_asp/animal')
```

*   **Description**:

```
WikiAsp is a multi-domain, aspect-based summarization dataset in the encyclopedic
domain. In this task, models are asked to summarize cited reference documents of a
Wikipedia article into aspect-based summaries. Each of the 20 domains include 10
domain-specific pre-defined aspects.
```

*   **License**: CC BY-SA 4.0
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'test'` | 2007
`'train'` | 16540
`'validation'` | 2005

*   **Features**:

```json
{
    "exid": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "inputs": {
        "feature": {
            "dtype": "string",
            "id": null,
            "_type": "Value"
        },
        "length": -1,
        "id": null,
        "_type": "Sequence"
    },
    "targets": {
        "feature": {
            "feature": {
                "dtype": "string",
                "id": null,
                "_type": "Value"
            },
            "length": -1,
            "id": null,
            "_type": "Sequence"
        },
        "length": -1,
        "id": null,
        "_type": "Sequence"
    }
}
```



## artist


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:wiki_asp/artist')
```

*   **Description**:

```
WikiAsp is a multi-domain, aspect-based summarization dataset in the encyclopedic
domain. In this task, models are asked to summarize cited reference documents of a
Wikipedia article into aspect-based summaries. Each of the 20 domains include 10
domain-specific pre-defined aspects.
```

*   **License**: CC BY-SA 4.0
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'test'` | 3329
`'train'` | 26754
`'validation'` | 3194

*   **Features**:

```json
{
    "exid": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "inputs": {
        "feature": {
            "dtype": "string",
            "id": null,
            "_type": "Value"
        },
        "length": -1,
        "id": null,
        "_type": "Sequence"
    },
    "targets": {
        "feature": {
            "feature": {
                "dtype": "string",
                "id": null,
                "_type": "Value"
            },
            "length": -1,
            "id": null,
            "_type": "Sequence"
        },
        "length": -1,
        "id": null,
        "_type": "Sequence"
    }
}
```



## building


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:wiki_asp/building')
```

*   **Description**:

```
WikiAsp is a multi-domain, aspect-based summarization dataset in the encyclopedic
domain. In this task, models are asked to summarize cited reference documents of a
Wikipedia article into aspect-based summaries. Each of the 20 domains include 10
domain-specific pre-defined aspects.
```

*   **License**: CC BY-SA 4.0
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'test'` | 2482
`'train'` | 20449
`'validation'` | 2607

*   **Features**:

```json
{
    "exid": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "inputs": {
        "feature": {
            "dtype": "string",
            "id": null,
            "_type": "Value"
        },
        "length": -1,
        "id": null,
        "_type": "Sequence"
    },
    "targets": {
        "feature": {
            "feature": {
                "dtype": "string",
                "id": null,
                "_type": "Value"
            },
            "length": -1,
            "id": null,
            "_type": "Sequence"
        },
        "length": -1,
        "id": null,
        "_type": "Sequence"
    }
}
```



## company


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:wiki_asp/company')
```

*   **Description**:

```
WikiAsp is a multi-domain, aspect-based summarization dataset in the encyclopedic
domain. In this task, models are asked to summarize cited reference documents of a
Wikipedia article into aspect-based summaries. Each of the 20 domains include 10
domain-specific pre-defined aspects.
```

*   **License**: CC BY-SA 4.0
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'test'` | 3029
`'train'` | 24353
`'validation'` | 2946

*   **Features**:

```json
{
    "exid": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "inputs": {
        "feature": {
            "dtype": "string",
            "id": null,
            "_type": "Value"
        },
        "length": -1,
        "id": null,
        "_type": "Sequence"
    },
    "targets": {
        "feature": {
            "feature": {
                "dtype": "string",
                "id": null,
                "_type": "Value"
            },
            "length": -1,
            "id": null,
            "_type": "Sequence"
        },
        "length": -1,
        "id": null,
        "_type": "Sequence"
    }
}
```



## educational_institution


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:wiki_asp/educational_institution')
```

*   **Description**:

```
WikiAsp is a multi-domain, aspect-based summarization dataset in the encyclopedic
domain. In this task, models are asked to summarize cited reference documents of a
Wikipedia article into aspect-based summaries. Each of the 20 domains include 10
domain-specific pre-defined aspects.
```

*   **License**: CC BY-SA 4.0
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'test'` | 2267
`'train'` | 17634
`'validation'` | 2141

*   **Features**:

```json
{
    "exid": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "inputs": {
        "feature": {
            "dtype": "string",
            "id": null,
            "_type": "Value"
        },
        "length": -1,
        "id": null,
        "_type": "Sequence"
    },
    "targets": {
        "feature": {
            "feature": {
                "dtype": "string",
                "id": null,
                "_type": "Value"
            },
            "length": -1,
            "id": null,
            "_type": "Sequence"
        },
        "length": -1,
        "id": null,
        "_type": "Sequence"
    }
}
```



## event


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:wiki_asp/event')
```

*   **Description**:

```
WikiAsp is a multi-domain, aspect-based summarization dataset in the encyclopedic
domain. In this task, models are asked to summarize cited reference documents of a
Wikipedia article into aspect-based summaries. Each of the 20 domains include 10
domain-specific pre-defined aspects.
```

*   **License**: CC BY-SA 4.0
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'test'` | 828
`'train'` | 6475
`'validation'` | 807

*   **Features**:

```json
{
    "exid": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "inputs": {
        "feature": {
            "dtype": "string",
            "id": null,
            "_type": "Value"
        },
        "length": -1,
        "id": null,
        "_type": "Sequence"
    },
    "targets": {
        "feature": {
            "feature": {
                "dtype": "string",
                "id": null,
                "_type": "Value"
            },
            "length": -1,
            "id": null,
            "_type": "Sequence"
        },
        "length": -1,
        "id": null,
        "_type": "Sequence"
    }
}
```



## film


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:wiki_asp/film')
```

*   **Description**:

```
WikiAsp is a multi-domain, aspect-based summarization dataset in the encyclopedic
domain. In this task, models are asked to summarize cited reference documents of a
Wikipedia article into aspect-based summaries. Each of the 20 domains include 10
domain-specific pre-defined aspects.
```

*   **License**: CC BY-SA 4.0
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'test'` | 3981
`'train'` | 32129
`'validation'` | 4014

*   **Features**:

```json
{
    "exid": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "inputs": {
        "feature": {
            "dtype": "string",
            "id": null,
            "_type": "Value"
        },
        "length": -1,
        "id": null,
        "_type": "Sequence"
    },
    "targets": {
        "feature": {
            "feature": {
                "dtype": "string",
                "id": null,
                "_type": "Value"
            },
            "length": -1,
            "id": null,
            "_type": "Sequence"
        },
        "length": -1,
        "id": null,
        "_type": "Sequence"
    }
}
```



## group


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:wiki_asp/group')
```

*   **Description**:

```
WikiAsp is a multi-domain, aspect-based summarization dataset in the encyclopedic
domain. In this task, models are asked to summarize cited reference documents of a
Wikipedia article into aspect-based summaries. Each of the 20 domains include 10
domain-specific pre-defined aspects.
```

*   **License**: CC BY-SA 4.0
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'test'` | 1444
`'train'` | 11966
`'validation'` | 1462

*   **Features**:

```json
{
    "exid": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "inputs": {
        "feature": {
            "dtype": "string",
            "id": null,
            "_type": "Value"
        },
        "length": -1,
        "id": null,
        "_type": "Sequence"
    },
    "targets": {
        "feature": {
            "feature": {
                "dtype": "string",
                "id": null,
                "_type": "Value"
            },
            "length": -1,
            "id": null,
            "_type": "Sequence"
        },
        "length": -1,
        "id": null,
        "_type": "Sequence"
    }
}
```



## historic_place


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:wiki_asp/historic_place')
```

*   **Description**:

```
WikiAsp is a multi-domain, aspect-based summarization dataset in the encyclopedic
domain. In this task, models are asked to summarize cited reference documents of a
Wikipedia article into aspect-based summaries. Each of the 20 domains include 10
domain-specific pre-defined aspects.
```

*   **License**: CC BY-SA 4.0
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'test'` | 600
`'train'` | 4919
`'validation'` | 601

*   **Features**:

```json
{
    "exid": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "inputs": {
        "feature": {
            "dtype": "string",
            "id": null,
            "_type": "Value"
        },
        "length": -1,
        "id": null,
        "_type": "Sequence"
    },
    "targets": {
        "feature": {
            "feature": {
                "dtype": "string",
                "id": null,
                "_type": "Value"
            },
            "length": -1,
            "id": null,
            "_type": "Sequence"
        },
        "length": -1,
        "id": null,
        "_type": "Sequence"
    }
}
```



## infrastructure


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:wiki_asp/infrastructure')
```

*   **Description**:

```
WikiAsp is a multi-domain, aspect-based summarization dataset in the encyclopedic
domain. In this task, models are asked to summarize cited reference documents of a
Wikipedia article into aspect-based summaries. Each of the 20 domains include 10
domain-specific pre-defined aspects.
```

*   **License**: CC BY-SA 4.0
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'test'` | 2091
`'train'` | 17226
`'validation'` | 1984

*   **Features**:

```json
{
    "exid": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "inputs": {
        "feature": {
            "dtype": "string",
            "id": null,
            "_type": "Value"
        },
        "length": -1,
        "id": null,
        "_type": "Sequence"
    },
    "targets": {
        "feature": {
            "feature": {
                "dtype": "string",
                "id": null,
                "_type": "Value"
            },
            "length": -1,
            "id": null,
            "_type": "Sequence"
        },
        "length": -1,
        "id": null,
        "_type": "Sequence"
    }
}
```



## mean_of_transportation


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:wiki_asp/mean_of_transportation')
```

*   **Description**:

```
WikiAsp is a multi-domain, aspect-based summarization dataset in the encyclopedic
domain. In this task, models are asked to summarize cited reference documents of a
Wikipedia article into aspect-based summaries. Each of the 20 domains include 10
domain-specific pre-defined aspects.
```

*   **License**: CC BY-SA 4.0
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'test'` | 1170
`'train'` | 9277
`'validation'` | 1215

*   **Features**:

```json
{
    "exid": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "inputs": {
        "feature": {
            "dtype": "string",
            "id": null,
            "_type": "Value"
        },
        "length": -1,
        "id": null,
        "_type": "Sequence"
    },
    "targets": {
        "feature": {
            "feature": {
                "dtype": "string",
                "id": null,
                "_type": "Value"
            },
            "length": -1,
            "id": null,
            "_type": "Sequence"
        },
        "length": -1,
        "id": null,
        "_type": "Sequence"
    }
}
```



## office_holder


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:wiki_asp/office_holder')
```

*   **Description**:

```
WikiAsp is a multi-domain, aspect-based summarization dataset in the encyclopedic
domain. In this task, models are asked to summarize cited reference documents of a
Wikipedia article into aspect-based summaries. Each of the 20 domains include 10
domain-specific pre-defined aspects.
```

*   **License**: CC BY-SA 4.0
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'test'` | 2333
`'train'` | 18177
`'validation'` | 2218

*   **Features**:

```json
{
    "exid": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "inputs": {
        "feature": {
            "dtype": "string",
            "id": null,
            "_type": "Value"
        },
        "length": -1,
        "id": null,
        "_type": "Sequence"
    },
    "targets": {
        "feature": {
            "feature": {
                "dtype": "string",
                "id": null,
                "_type": "Value"
            },
            "length": -1,
            "id": null,
            "_type": "Sequence"
        },
        "length": -1,
        "id": null,
        "_type": "Sequence"
    }
}
```



## plant


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:wiki_asp/plant')
```

*   **Description**:

```
WikiAsp is a multi-domain, aspect-based summarization dataset in the encyclopedic
domain. In this task, models are asked to summarize cited reference documents of a
Wikipedia article into aspect-based summaries. Each of the 20 domains include 10
domain-specific pre-defined aspects.
```

*   **License**: CC BY-SA 4.0
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'test'` | 774
`'train'` | 6107
`'validation'` | 786

*   **Features**:

```json
{
    "exid": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "inputs": {
        "feature": {
            "dtype": "string",
            "id": null,
            "_type": "Value"
        },
        "length": -1,
        "id": null,
        "_type": "Sequence"
    },
    "targets": {
        "feature": {
            "feature": {
                "dtype": "string",
                "id": null,
                "_type": "Value"
            },
            "length": -1,
            "id": null,
            "_type": "Sequence"
        },
        "length": -1,
        "id": null,
        "_type": "Sequence"
    }
}
```



## single


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:wiki_asp/single')
```

*   **Description**:

```
WikiAsp is a multi-domain, aspect-based summarization dataset in the encyclopedic
domain. In this task, models are asked to summarize cited reference documents of a
Wikipedia article into aspect-based summaries. Each of the 20 domains include 10
domain-specific pre-defined aspects.
```

*   **License**: CC BY-SA 4.0
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'test'` | 1712
`'train'` | 14217
`'validation'` | 1734

*   **Features**:

```json
{
    "exid": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "inputs": {
        "feature": {
            "dtype": "string",
            "id": null,
            "_type": "Value"
        },
        "length": -1,
        "id": null,
        "_type": "Sequence"
    },
    "targets": {
        "feature": {
            "feature": {
                "dtype": "string",
                "id": null,
                "_type": "Value"
            },
            "length": -1,
            "id": null,
            "_type": "Sequence"
        },
        "length": -1,
        "id": null,
        "_type": "Sequence"
    }
}
```



## soccer_player


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:wiki_asp/soccer_player')
```

*   **Description**:

```
WikiAsp is a multi-domain, aspect-based summarization dataset in the encyclopedic
domain. In this task, models are asked to summarize cited reference documents of a
Wikipedia article into aspect-based summaries. Each of the 20 domains include 10
domain-specific pre-defined aspects.
```

*   **License**: CC BY-SA 4.0
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'test'` | 2280
`'train'` | 17599
`'validation'` | 2150

*   **Features**:

```json
{
    "exid": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "inputs": {
        "feature": {
            "dtype": "string",
            "id": null,
            "_type": "Value"
        },
        "length": -1,
        "id": null,
        "_type": "Sequence"
    },
    "targets": {
        "feature": {
            "feature": {
                "dtype": "string",
                "id": null,
                "_type": "Value"
            },
            "length": -1,
            "id": null,
            "_type": "Sequence"
        },
        "length": -1,
        "id": null,
        "_type": "Sequence"
    }
}
```



## software


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:wiki_asp/software')
```

*   **Description**:

```
WikiAsp is a multi-domain, aspect-based summarization dataset in the encyclopedic
domain. In this task, models are asked to summarize cited reference documents of a
Wikipedia article into aspect-based summaries. Each of the 20 domains include 10
domain-specific pre-defined aspects.
```

*   **License**: CC BY-SA 4.0
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'test'` | 1638
`'train'` | 13516
`'validation'` | 1637

*   **Features**:

```json
{
    "exid": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "inputs": {
        "feature": {
            "dtype": "string",
            "id": null,
            "_type": "Value"
        },
        "length": -1,
        "id": null,
        "_type": "Sequence"
    },
    "targets": {
        "feature": {
            "feature": {
                "dtype": "string",
                "id": null,
                "_type": "Value"
            },
            "length": -1,
            "id": null,
            "_type": "Sequence"
        },
        "length": -1,
        "id": null,
        "_type": "Sequence"
    }
}
```



## television_show


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:wiki_asp/television_show')
```

*   **Description**:

```
WikiAsp is a multi-domain, aspect-based summarization dataset in the encyclopedic
domain. In this task, models are asked to summarize cited reference documents of a
Wikipedia article into aspect-based summaries. Each of the 20 domains include 10
domain-specific pre-defined aspects.
```

*   **License**: CC BY-SA 4.0
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'test'` | 1072
`'train'` | 8717
`'validation'` | 1128

*   **Features**:

```json
{
    "exid": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "inputs": {
        "feature": {
            "dtype": "string",
            "id": null,
            "_type": "Value"
        },
        "length": -1,
        "id": null,
        "_type": "Sequence"
    },
    "targets": {
        "feature": {
            "feature": {
                "dtype": "string",
                "id": null,
                "_type": "Value"
            },
            "length": -1,
            "id": null,
            "_type": "Sequence"
        },
        "length": -1,
        "id": null,
        "_type": "Sequence"
    }
}
```



## town


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:wiki_asp/town')
```

*   **Description**:

```
WikiAsp is a multi-domain, aspect-based summarization dataset in the encyclopedic
domain. In this task, models are asked to summarize cited reference documents of a
Wikipedia article into aspect-based summaries. Each of the 20 domains include 10
domain-specific pre-defined aspects.
```

*   **License**: CC BY-SA 4.0
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'test'` | 1831
`'train'` | 14818
`'validation'` | 1911

*   **Features**:

```json
{
    "exid": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "inputs": {
        "feature": {
            "dtype": "string",
            "id": null,
            "_type": "Value"
        },
        "length": -1,
        "id": null,
        "_type": "Sequence"
    },
    "targets": {
        "feature": {
            "feature": {
                "dtype": "string",
                "id": null,
                "_type": "Value"
            },
            "length": -1,
            "id": null,
            "_type": "Sequence"
        },
        "length": -1,
        "id": null,
        "_type": "Sequence"
    }
}
```



## written_work


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:wiki_asp/written_work')
```

*   **Description**:

```
WikiAsp is a multi-domain, aspect-based summarization dataset in the encyclopedic
domain. In this task, models are asked to summarize cited reference documents of a
Wikipedia article into aspect-based summaries. Each of the 20 domains include 10
domain-specific pre-defined aspects.
```

*   **License**: CC BY-SA 4.0
*   **Version**: 1.1.0
*   **Splits**:

Split  | Examples
:----- | -------:
`'test'` | 1931
`'train'` | 15065
`'validation'` | 1843

*   **Features**:

```json
{
    "exid": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "inputs": {
        "feature": {
            "dtype": "string",
            "id": null,
            "_type": "Value"
        },
        "length": -1,
        "id": null,
        "_type": "Sequence"
    },
    "targets": {
        "feature": {
            "feature": {
                "dtype": "string",
                "id": null,
                "_type": "Value"
            },
            "length": -1,
            "id": null,
            "_type": "Sequence"
        },
        "length": -1,
        "id": null,
        "_type": "Sequence"
    }
}
```


