# wikitablequestions

References:

*   [Code](https://github.com/huggingface/datasets/blob/master/datasets/wikitablequestions)
*   [Huggingface](https://huggingface.co/datasets/wikitablequestions)


## random-split-1


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:wikitablequestions/random-split-1')
```

*   **Description**:

```
This WikiTableQuestions dataset is a large-scale dataset for the task of question answering on semi-structured tables.
```

*   **License**: Creative Commons Attribution Share Alike 4.0 International
*   **Version**: 1.0.2
*   **Splits**:

Split  | Examples
:----- | -------:
`'test'` | 4344
`'train'` | 11321
`'validation'` | 2831

*   **Features**:

```json
{
    "id": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "question": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "answers": {
        "feature": {
            "dtype": "string",
            "id": null,
            "_type": "Value"
        },
        "length": -1,
        "id": null,
        "_type": "Sequence"
    },
    "table": {
        "header": {
            "feature": {
                "dtype": "string",
                "id": null,
                "_type": "Value"
            },
            "length": -1,
            "id": null,
            "_type": "Sequence"
        },
        "rows": {
            "feature": {
                "feature": {
                    "dtype": "string",
                    "id": null,
                    "_type": "Value"
                },
                "length": -1,
                "id": null,
                "_type": "Sequence"
            },
            "length": -1,
            "id": null,
            "_type": "Sequence"
        },
        "name": {
            "dtype": "string",
            "id": null,
            "_type": "Value"
        }
    }
}
```



## random-split-2


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:wikitablequestions/random-split-2')
```

*   **Description**:

```
This WikiTableQuestions dataset is a large-scale dataset for the task of question answering on semi-structured tables.
```

*   **License**: Creative Commons Attribution Share Alike 4.0 International
*   **Version**: 1.0.2
*   **Splits**:

Split  | Examples
:----- | -------:
`'test'` | 4344
`'train'` | 11314
`'validation'` | 2838

*   **Features**:

```json
{
    "id": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "question": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "answers": {
        "feature": {
            "dtype": "string",
            "id": null,
            "_type": "Value"
        },
        "length": -1,
        "id": null,
        "_type": "Sequence"
    },
    "table": {
        "header": {
            "feature": {
                "dtype": "string",
                "id": null,
                "_type": "Value"
            },
            "length": -1,
            "id": null,
            "_type": "Sequence"
        },
        "rows": {
            "feature": {
                "feature": {
                    "dtype": "string",
                    "id": null,
                    "_type": "Value"
                },
                "length": -1,
                "id": null,
                "_type": "Sequence"
            },
            "length": -1,
            "id": null,
            "_type": "Sequence"
        },
        "name": {
            "dtype": "string",
            "id": null,
            "_type": "Value"
        }
    }
}
```



## random-split-3


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:wikitablequestions/random-split-3')
```

*   **Description**:

```
This WikiTableQuestions dataset is a large-scale dataset for the task of question answering on semi-structured tables.
```

*   **License**: Creative Commons Attribution Share Alike 4.0 International
*   **Version**: 1.0.2
*   **Splits**:

Split  | Examples
:----- | -------:
`'test'` | 4344
`'train'` | 11314
`'validation'` | 2838

*   **Features**:

```json
{
    "id": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "question": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "answers": {
        "feature": {
            "dtype": "string",
            "id": null,
            "_type": "Value"
        },
        "length": -1,
        "id": null,
        "_type": "Sequence"
    },
    "table": {
        "header": {
            "feature": {
                "dtype": "string",
                "id": null,
                "_type": "Value"
            },
            "length": -1,
            "id": null,
            "_type": "Sequence"
        },
        "rows": {
            "feature": {
                "feature": {
                    "dtype": "string",
                    "id": null,
                    "_type": "Value"
                },
                "length": -1,
                "id": null,
                "_type": "Sequence"
            },
            "length": -1,
            "id": null,
            "_type": "Sequence"
        },
        "name": {
            "dtype": "string",
            "id": null,
            "_type": "Value"
        }
    }
}
```



## random-split-4


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:wikitablequestions/random-split-4')
```

*   **Description**:

```
This WikiTableQuestions dataset is a large-scale dataset for the task of question answering on semi-structured tables.
```

*   **License**: Creative Commons Attribution Share Alike 4.0 International
*   **Version**: 1.0.2
*   **Splits**:

Split  | Examples
:----- | -------:
`'test'` | 4344
`'train'` | 11321
`'validation'` | 2831

*   **Features**:

```json
{
    "id": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "question": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "answers": {
        "feature": {
            "dtype": "string",
            "id": null,
            "_type": "Value"
        },
        "length": -1,
        "id": null,
        "_type": "Sequence"
    },
    "table": {
        "header": {
            "feature": {
                "dtype": "string",
                "id": null,
                "_type": "Value"
            },
            "length": -1,
            "id": null,
            "_type": "Sequence"
        },
        "rows": {
            "feature": {
                "feature": {
                    "dtype": "string",
                    "id": null,
                    "_type": "Value"
                },
                "length": -1,
                "id": null,
                "_type": "Sequence"
            },
            "length": -1,
            "id": null,
            "_type": "Sequence"
        },
        "name": {
            "dtype": "string",
            "id": null,
            "_type": "Value"
        }
    }
}
```



## random-split-5


Use the following command to load this dataset in TFDS:

```python
ds = tfds.load('huggingface:wikitablequestions/random-split-5')
```

*   **Description**:

```
This WikiTableQuestions dataset is a large-scale dataset for the task of question answering on semi-structured tables.
```

*   **License**: Creative Commons Attribution Share Alike 4.0 International
*   **Version**: 1.0.2
*   **Splits**:

Split  | Examples
:----- | -------:
`'test'` | 4344
`'train'` | 11316
`'validation'` | 2836

*   **Features**:

```json
{
    "id": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "question": {
        "dtype": "string",
        "id": null,
        "_type": "Value"
    },
    "answers": {
        "feature": {
            "dtype": "string",
            "id": null,
            "_type": "Value"
        },
        "length": -1,
        "id": null,
        "_type": "Sequence"
    },
    "table": {
        "header": {
            "feature": {
                "dtype": "string",
                "id": null,
                "_type": "Value"
            },
            "length": -1,
            "id": null,
            "_type": "Sequence"
        },
        "rows": {
            "feature": {
                "feature": {
                    "dtype": "string",
                    "id": null,
                    "_type": "Value"
                },
                "length": -1,
                "id": null,
                "_type": "Sequence"
            },
            "length": -1,
            "id": null,
            "_type": "Sequence"
        },
        "name": {
            "dtype": "string",
            "id": null,
            "_type": "Value"
        }
    }
}
```


